

* ************************************************************************************
* PROGRAM: LongRun_Replication_AllSteps
* PROGRAMMER: Simone Schaner
* PURPOSE: Start-to-finish replicaton of "The Persistent Power of Behavioral Change"
* ************************************************************************************

* **************************************************************
* 1. HOUSEKEEPING
* **************************************************************

version 14
clear all
macro drop _all
set more off
set matsize 10000


* **************************************************************
* 2. FILE NAMES AND PATHS
* **************************************************************

* PATHS
* path to replication folder :: update this to the path on your machine
global rep_path "XXXX"

global el1path_raw "$rep_path/Raw Data/Endline1"
global el2path_raw "$rep_path/Raw Data/Endline2"
global acctpath_raw "$rep_path/Raw Data/AcctLevel"
global basepath_raw "$rep_path/Raw Data/Baseline"
global dopath "$rep_path/Do Files"	

global finaldata "$rep_path/Final Data"
global out_sheet "$rep_path/Tables_Figures"
*global censpath "/Users/sschaner/Dropbox/_Projects/ATM/Data_Background/KenyaCensus09"
*global FApath "/Users/sschaner/Dropbox/_Projects/ATM/Data_Background/FinAccess2009"

* FILES
* input
global acctlevel_raw "LongRun_AcctData_raw"
global baseline_raw "LongRun_Baseline_raw"	
global end_main "LongRun_EL1_mainData_raw"
global end_secK "LongRun_EL1_secKData_raw"
global end_rosca "LongRun_EL1_roscaData_raw"
global end_hh "LongRun_EL1_hhData_raw"
global end_wave2 "LongRun_EL2_raw"	
global accts_quarterly "QAcctLevelData"

* output -- files needed to create paper tables (+ accts_quarterly)
global acctlevel  "LongRun_AcctLevelData"
global couplelevel "LongRun_CoupleLevelData"
global ind_final "LongRun_Indlevel_Final" 

* SUPPLEMENTARY ADO FILES THAT MUST BE INSTALLED TO RUN CODE
foreach x in estout {
	cap findfile `x'.ado		
	if _rc==601 {
	ssc install `x'
	}
}
* be sure grc1leg is installed on your machine
foreach x in grc1leg {
	cap findfile `x'.ado		
	if _rc==601 {
	findit `x'
	}
}


* **************************************************************
* 3. REPLICATE DATASET CONSTRUCTION
* **************************************************************

* a. user-written commands
do "$dopath/LongRun_1_coretables.do"

* b. assemble  data 
do "$dopath/LongRun_2_MakeData_Replication.do"


* d. label and drop variables
do "$dopath/LongRun_3_label"

* c. make paper tables and graphs
do "$dopath/LongRun_4_PaperTabsFigs.do"





