

****************** ADDITIONAL PROGRAMS ********************

cap prog drop tableme
prog define tableme, eclass
	version 10.0
	syntax varlist, MARker(varlist min=1 max=1) COeff(varlist min=1 max=1) SE(varlist min=1 max=1) SIGdig(integer) [MAXdec(numlist min=1 max=1)] [BRACKet] [BRACE] [PVal] 
		if "`marker'"=="" di "Variable marking rows to format is missing!"
		if "`coeff'"=="" di "Variable marking regression coefficients is missing!"
		if "`se'"=="" di "Variable marking standard errors is missing!"
		
	 	qui {
		local sd= `sigdig'
		local sd1= `sigdig'+1
		local sd2= `sigdig'+2
		local sd_1= `sigdig'-1
		local sd_2= `sigdig'-2
		local sd_3= `sigdig'-3
		
		foreach var of varlist `varlist' {
		format `var' %09.`sd'g
		tempname `var'_s
		tempname `var'_loc
		tempname `var'_len
		tempname `var'_f1
		tempname `var'_f2
		tempname `var'_rounder
		tempname l1
		tempname l2
		
		tostring `var', ge(``var'_s') usedis force
			replace ``var'_s'= "0"+``var'_s' if substr(``var'_s',1,1)=="."  & `marker' & `var'!=.
			replace ``var'_s'= "-0"+substr(``var'_s',2,.) if substr(``var'_s',1,2)=="-." & `marker'  & `var'!=.

			g ``var'_loc'=.			
			foreach int in 1 2 3 4 5 6 7 8 9 {
				replace ``var'_loc'= strpos(``var'_s',"`int'") if strpos(``var'_s',"`int'")!=0 & strpos(``var'_s',"`int'")<``var'_loc'
				}
				
			* NUMBER OF ZEROES IN SIG DIGS
			local i=1 
			local text ""
			while `i'<=`sigdig' {
				local text "`text'"+"0"
				local++i
				}
				
				
			g ``var'_len'= length(``var'_s')
				replace ``var'_len'= ``var'_len'-``var'_loc'
			
			replace ``var'_s'= ``var'_s'+"0" if abs(`var')<1 & ``var'_len'==`sd_2' & `marker'
			replace ``var'_s'= ``var'_s'+"0" if abs(`var')>=1 & abs(`var')<10 & ``var'_len'==`sd_1' & `marker'
			replace ``var'_s'= ``var'_s'+".0" if abs(`var')>=10 &  ``var'_len'==`sd_2' & `marker'

			replace ``var'_s'= ``var'_s'+"00" if abs(`var')<1 & ``var'_len'==`sd_3' & `marker' 
			replace ``var'_s'= "1."+"`text'" if abs(`var')<1 & (`var')>(1-1/(10^`sigdig'))
			
			replace ``var'_s'= ``var'_s'+".00" if abs(`var')>=1 & abs(`var')<10 & ``var'_len'==`sd_3' & `marker'
			
			* OVERRIDE TO MAX NUMBER OF DECIMAL PLACES
			if "`maxdec'"!="" {
				local ct= 1/(10^`maxdec')
				g ``var'_f1'= round(`var',`ct')
					format ``var'_f1' %9.`maxdec'f					
					tostring ``var'_f1', ge(``var'_f2') usedis force
				g `l1'= length(``var'_s')
				g `l2'= length(``var'_f2')
					g ``var'_rounder'= strpos(``var'_s',"e") | (`l1'>`l2')
					replace ``var'_s'= ``var'_f2' if ``var'_rounder'
			}		
					
				if "`pval'"=="" {
				replace ``var'_s'= ``var'_s'+"***" if abs(`var'[_n]/`var'[_n+1])>=2.326 & `coeff'  & `var'!=. & `marker'
				replace ``var'_s'= ``var'_s'+"**" if abs(`var'[_n]/`var'[_n+1])<2.326 & abs(`var'[_n]/`var'[_n+1])>=1.96 & `coeff'  & `var'!=. & `marker'
				replace ``var'_s'= ``var'_s'+"*" if abs(`var'[_n]/`var'[_n+1])<1.96 & abs(`var'[_n]/`var'[_n+1])>=1.645 & `coeff'	  & `var'!=. & `marker'
				}
			if "`pval'"!="" {
				replace ``var'_s'= ``var'_s'+"***" if abs(`var'[_n+1])<=.01 & `coeff'  & `var'!=. & `marker'
				replace ``var'_s'= ``var'_s'+"**" if abs(`var'[_n+1])>.01 & abs(`var'[_n+1])<=.05 & `coeff'  & `var'!=. & `marker'
				replace ``var'_s'= ``var'_s'+"*" if abs(`var'[_n+1])>.05 & abs(`var'[_n+1])<=.1 & `coeff'	  & `var'!=. & `marker'
				}	
	if "`bracket'"=="" & "`brace'"==""	replace ``var'_s'= "("+``var'_s'+")" if `se' & `marker' & `var'!=.
			else if "`bracket'"!="" replace ``var'_s'= "["+``var'_s'+"]" if `se' & `marker' & `var'!=.
			else if "`brace'"!=""   replace ``var'_s'= "{"+``var'_s'+"}" if `se' & `marker' & `var'!=.
		
			drop `var'
			g `var'= ``var'_s'

	 	}
		}
		end
		

* DETAIL HOW I ADDRESS OUTLIERS
cap prog drop fixout
prog define fixout
		args out
		g W`out'=`out'
		g L`out'=`out'
		g T`out'=`out'
		g R`out'=`out'
			cap replace `out'=. if `out'_miss==1
		_pctile `out', p(99)				
			replace T`out'= . if `out'>r(r1) & `out'!=.	
			replace W`out'= r(r1) if `out'>r(r1) & `out'!=.	
		replace L`out'= ln(`out'+(`out'^2+1)^.5)	
			cap replace `out'=0 if `out'_miss==1
end



		
cap prog drop coretable_fdr
prog define coretable_fdr

syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)]
	
qui {

// define labels
la var intrtI "$\beta_1$: Individual Interest"
la var intrtI_sp "$\beta_2$: Spousal Interest"
la var intrtJ "$\beta_3$: Joint Interest"
la var cashprize "\rule{0pt}{4ex} $\beta_4$: Cash Prize - Self"	
la var cashprize_sp "$\beta_5$: Cash Prize - Spouse"


// locals to assist in making the table
local ester=1
local eststr ""


	foreach out in `varlist'  {
	cap est drop E`ester'
	makinit `out'
	est restore Q`out'
	
		// overall sig of individual interest
		test intrtI + intrtI_sp=0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p1 `combo'

		// equality of ind and joint on HH outcomes
		test (intrtI + intrtI_sp)=intrtJ
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p2 `combo'

		// overall sig of cash on HH outcomes
		test cashprize + cashprize_sp = 0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p3 `combo'

		// cash = ind
		test (cashprize + cashprize_sp) = (intrtI + intrtI_sp)
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p4 `combo'
				
		// all treatments = 0
		test cashprize = cashprize_sp = intrtI = intrtI_sp = intrtJ = 0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p5 `combo'

		estadd local space=""
		
	// DV mean	
	qui sum `out' if intrtI==0 
			estadd scalar Cont_MeanI=r(mean)
	qui sum `out' if intrtJ<.3 
			estadd scalar Cont_MeanJ=r(mean)			
			
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester
		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(intrtI intrtI_sp intrtJ cashprize cashprize_sp) label noabbrev `type' replace nogaps  collabels(none)   ///
		cell(b(fmt(a2) star ) se(par fmt(a2) ) pv(fmt(a2) star pvalue(pv) par([ ]) )) ///
		stats(space p1 p2 p4  space Cont_MeanI Cont_MeanJ N, fmt(0 a2 a2 a2 0 a2 a2 0) /// 
		labels("\emph{P-values from F-Tests}" "\enspace $\beta_1+\beta_2=0$" "\enspace $\beta_1+\beta_2=2\beta_3$" "\enspace $\beta_1+\beta_2=\beta_4+\beta_5$" /// 
			   " " "DV Mean (0\% Ind)" "DV Mean (4\% Joint)" "N")) ///
		nonote eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline posthead(\hline) subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.2\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
end



		
		
		
		
cap prog drop coretable_ltx
prog define coretable_ltx
	
syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)]
	
qui {

// locals to assist in making the table
local ester=1
local eststr ""

// label covariates
la var intrtI "$\beta_1$: Individual Interest"
la var intrtI_sp "$\beta_2$: Spousal Interest"
la var intrtJ "$\beta_3$: Joint Interest"
la var cashprize "\rule{0pt}{4ex} $\beta_4$: Cash Prize - Self"	
la var cashprize_sp "$\beta_5$: Cash Prize - Spouse"

local col=1
local row=1
mat p_`label'= J(150,6,.)

	foreach out in `varlist'  {
	cap est drop E`ester'	
	reg `out' intrtI intrtI_sp intrtJ cashprize cashprize_sp `extra' `if', clu(ipac)
		local rowz=1
		foreach beep in intrtI intrtI_sp intrtJ cashprize cashprize_sp {
			mat p_`label'[`row',1]= 2*ttail(e(df_r),abs(_b[`beep']/_se[`beep']))
			mat p_`label'[`row',2]= `rowz'
			mat p_`label'[`row',3]= `col'
			mat p_`label'[`row',4]= _b[`beep']
		local ++row
			local ++rowz
			local ++rowz
		}
		
		// overall sig of individual interest
		test intrtI + intrtI_sp=0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p1 `combo'

		// equality of ind and joint on HH outcomes
		test (intrtI + intrtI_sp)=intrtJ
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p2 `combo'

		// overall sig of cash on HH outcomes
		test cashprize + cashprize_sp = 0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p3 `combo'

		// cash = ind
		test (cashprize + cashprize_sp) = (intrtI + intrtI_sp)
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p4 `combo'
				
		// all treatments = 0
		test cashprize = cashprize_sp = intrtI = intrtI_sp = intrtJ = 0
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p5 `combo'

		estadd local space=""
		
	// DV mean	
	qui sum `out' if intrtI==0 
			estadd scalar Cont_MeanI=r(mean)
	qui sum `out' if intrtJ<.3 
			estadd scalar Cont_MeanJ=r(mean)			
			
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester
		local ++col
		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(intrtI intrtI_sp intrtJ cashprize cashprize_sp) label noabbrev `type' replace nogaps ///
		stats(space p1 p2 p3 space Cont_MeanI Cont_MeanJ N, fmt(0 a2 a2 a2 0 a2 a2 0)  /// 
		labels("\emph{P-values from F-Tests}" "\enspace $\beta_1+\beta_2=0$" "\enspace $\beta_1+\beta_2=2\beta_3$" "\enspace $\beta_1+\beta_2=\beta_4+\beta_5$"  /// 
			   " " "DV Mean (0\% Ind)" "DV Mean (4\% Joint)" "N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline posthead(\hline) subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.3\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
end


cap prog drop coupletable_ltx
prog define coupletable_ltx
	
syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)]	
qui {

preserve

// locals to assist in making the table
local ester=1
local eststr ""
// label covariates
la var intrtI "Individual Interest"
la var intrtJ "Joint Interest"
la var cashprize "\rule{0pt}{4ex}Cash Prize"	

	foreach out in `varlist'  {
	cap est drop E`ester'
	
	reg `out' intrtI intrtJ cashprize `extra' O`out' `if', r
	
	// DV mean	
	qui sum `out' if intrtJ<.6 
			estadd scalar Cont_MeanJ=r(mean)			
			
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester

		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(intrtI  intrtJ cashprize ) label noabbrev `type' replace nogaps ///
		stats( Cont_MeanJ N, fmt(a2 0)  /// 
		labels("\rule{0pt}{4ex}DV Mean (4\% Joint)" "N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline posthead(\hline) subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.3\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
restore
end


cap prog drop maxtable_ltx
prog define maxtable_ltx
	
syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)]	
qui {
// locals to assist in making the table
local ester=1
local eststr ""
// label covariates
la var max6 "Maximum Interest 12 Percent"
la var max10 "Maximum Interest 20 Percent"
la var maxIH "Husband's Account Has Max. Int."	
la var maxIW "Wife's Account Has Max. Int."

	foreach out in `varlist'  {
	cap est drop E`ester'
	reg `out' max6 max10 maxIH maxIW `extra' `if', clu(ipacou)
	
	// DV mean	
	qui sum `out' if max6==0 & max10==0 
			estadd scalar Cont_Mean=r(mean)			
			
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester

		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(max6 max10 maxIH maxIW ) label noabbrev `type' replace nogaps ///
		stats( Cont_Mean N, fmt(a2 0)  /// 
		labels("\rule{0pt}{4ex}DV Mean (4\% Max. Int)" "N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline posthead(\hline) subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.3\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
end


cap prog drop hettable_ltx
prog define hettable_ltx

syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)] GROUP(varlist) GROUP1(string) GROUP0(string)
	
qui {
preserve
// locals to assist in making the table
local ester=1
local eststr ""

// label covariates
la var intrtI "\enspace Individual Interest"
la var intrtI_sp "\enspace Spousal Interest"
la var intrtJ "\enspace Joint Interest"
la var cashprize "\rule{0pt}{4ex} \enspace Cash Prize - Self"	
la var cashprize_sp "\enspace Cash Prize - Spouse"

local header ""
foreach out in `varlist'  {
cap est drop E`ester'
		local labz: variable label `out'
			local header "`header' & `labz'"
		g `out'G1= `out' if `group'==1
		g `out'G0= `out' if `group'==0

	reg `out'G1 intrtI intrtI_sp intrtJ  cashprize cashprize_sp `extra' `if'
		est store G1
	reg `out'G0 intrtI intrtI_sp intrtJ  cashprize cashprize_sp `extra' `if'
		est store G0
			
	suest G1 G0, vce(cluster ipac)
		
		foreach itype in I I_sp J {	
			test [G1_mean]intrt`itype'=[G0_mean]intrt`itype'
				local n1= r(p)
				local star ""
					if `n1'<=.01 local star "\sym{***}"
					if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
					if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
					local n2 = trim("`: display %10.3f `n1''")
					local combo "`n2'`star'"
				estadd local p_`itype' `combo'			
				}

		qui sum `out'G1 if e(sample)
			estadd scalar n1= r(N)
			estadd scalar mean1= r(mean)
		qui sum `out'G0 if e(sample)
			estadd scalar n0= r(N)
			estadd scalar mean0= r(mean)
	
		estadd local space=""
					
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester

		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(intrtI intrtI_sp intrtJ) label noabbrev `type' replace nogaps eqlabels("\emph{`group1'}" "\emph{`group0'}") ///
		stats(mean1 mean0 n1 n0 space p_I p_I_sp p_J, fmt(a2 a2 0 0 0 a2 a2 a2)  /// 
		labels("\rule{0pt}{4ex}DV Mean: `group1'" "DV Mean: `group0'" "N: `group1'" "N: `group0'" "\rule{0pt}{4ex}\emph{Tests of Equality}" "\enspace P-value: Individual Interest" "\enspace P-value: Spousal Interest" "\enspace P-value: Joint Interest")) ///
		nonote star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline  subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.3\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		posthead(`header' \\ \hline) /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
restore
end


cap prog drop r1pantable_ltx
prog define r1pantable_ltx
	
syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)] WIDC(string) [EXTRAC1(string)] [EXTRAC2(string)] [EXTRAC3(string)] [EXTRAHEAD(string)] [EXTRAVARHead(string)]
	
qui {

local q= wordcount("`varlist'")
	local seclast= `q'-1
	local colcount=`q'+1
// locals to assist in making the table
local ester=1
forval i=1/`q' {
	local eststr`i' ""
	}
	
// label covariates
la var intrtI_sp "\enspace Spousal Interest"
la var intrtJ "\enspace Joint Interest"
la var intrtI "\enspace Individual Interest"

local counter=1		
foreach out in `varlist'  {
cap est drop E`ester'
	local paren`counter' ""
	local headz`counter' : variable label E`out'
	
	cap drop raw tc98 tc95 tc90 tr99 tr98 tr95
		g raw= E`out'
		g tc98= EW98`out'
		g tc95= EW95`out'
		g tc90= EW90`out'
		g tr99= tE99`out'
		g tr98= tE98`out'
		g tr95= tE95`out'
	la var raw "Raw"
	la var tc98 "\specialcell{Top Coded, \\ 98th \\ Percentile}"
	la var tc95 "\specialcell{Top Coded, \\ 95th \\ Percentile}"
	la var tc90 "\specialcell{Top Coded, \\ 90th \\ Percentile}"
	la var tr99 "\specialcell{Trimmed, \\ 99th \\ Percentile}"
	la var tr98 "\specialcell{Trimmed, \\ 98th \\ Percentile}"
	la var tr95 "\specialcell{Trimmed, \\ 95th \\ Percentile}"

local varhead ""
	foreach dep in raw tc98 tc95 tc90 tr99 tr98 tr95 {
	local labelq : variable label `dep'
	local varhead "`varhead'& `labelq'"	
		reg `dep' intrtI intrtI_sp intrtJ cashprize cashprize_sp `extra' `if', clu(ipac)		
			est store E`ester'
				local eststr`counter' "`eststr`counter'' E`ester'"
				local paren`counter' "`paren`counter'' & (`ester')"
				local ++ester	
		}
		local ++counter
		} // end outcome loop
		} //end qui loop
* FIRST PANEL		
esttab `eststr1' using "`table'", keep(intrtI intrtI_sp intrtJ) label  noabbrev `type' replace nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  star(* 0.10 ** 0.05 *** 0.01) `extrac1' ///
		b(a2) se(a2) noline subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=.9\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} {\begin{tabular}{l*{8}{C{`widc'}}} \toprule \toprule `paren1' `extrahead' \\ `varhead' `extravarhead' \\ \toprule \multicolumn{8}{l}{`headz1'}  \\") 

* MIDDLE PANELS
forval z=2/`seclast' {
esttab `eststr`z'' using "`table'", append keep(intrtI intrtI_sp intrtJ) label  noabbrev `type'  nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) `extrac2' ///
		b(a2) se(a2) noline  subs("\beta\_" "\beta_") /// 
		prehead("{ \begin{tabular}{l*{8}{C{`widc'}}}  \\ \multicolumn{8}{l}{`headz`z''}  \\") 
		}
* FINAL PANEL
esttab `eststr`q'' using "`table'", append keep(intrtI intrtI_sp intrtJ) label  noabbrev `type'  nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) `extrac3' ///
		b(a2) se(a2) noline subs("\beta\_" "\beta_") /// 
		prehead("{ \begin{tabular}{l*{8}{C{`widc'}}} \\ \multicolumn{8}{l}{`headz`q''}  \\") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table}) 
end		


cap prog drop r2pantable_ltx
prog define r2pantable_ltx

syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)] WIDC(string) [EXTRAC1(string)] [EXTRAC2(string)] [EXTRAC3(string)] [EXTRAHEAD(string)] [EXTRAVARHead(string)]
	
qui {

local q= 4
	local colcount= wordcount("`varlist'")+1
	local seclast= `q'-1	
	
// locals to assist in making the table
local ester=1
forval i=1/`q' {
	local eststr`i' ""	
	}
	
// label covariates
la var intrtI_sp "\enspace Spousal Interest"
la var intrtJ "\enspace Joint Interest"
la var intrtI "\enspace Individual Interest"

local counter=1		
foreach type in _MEAN _PRED _REV _PER {
	local varhead ""
	local paren`counter' ""
	
	foreach out in `varlist'  {
	// GET LABELS HERE
cap est drop E`ester'
	local headz`counter' : variable label `out'`type' // this is the label for panels	
	local labelq : variable label `out'
		local varhead "`varhead'& `labelq'" //this is the label for columns
		
		reg `out'`type' intrtI intrtI_sp intrtJ cashprize cashprize_sp `extra' `if', clu(ipac)		
			est store E`ester'
				local eststr`counter' "`eststr`counter'' E`ester'"
				local paren`counter' "`paren`counter'' & (`ester')" // column numbers
				local ++ester	
		}
		local ++counter
		} // end outcome loop
		} //end qui loop
* FIRST PANEL		
esttab `eststr1' using "`table'", keep(intrtI intrtI_sp intrtJ) label  noabbrev `type' replace nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  star(* 0.10 ** 0.05 *** 0.01) `extrac1' ///
		b(a2) se(a2) noline subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=.9\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} {\begin{tabular}{l*{`colcount'}{C{`widc'}}} \toprule \toprule `paren1' `extrahead' \\ `varhead' `extravarhead' \\ \toprule \multicolumn{`colcount'}{l}{`headz1'}  \\") 

* MIDDLE PANELS
forval z=2/`seclast' {
esttab `eststr`z'' using "`table'", append keep(intrtI intrtI_sp intrtJ) label  noabbrev `type'  nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) `extrac2' ///
		b(a2) se(a2) noline  subs("\beta\_" "\beta_") /// 
		prehead("{ \begin{tabular}{l*{8}{C{`widc'}}}  \\ \multicolumn{`colcount'}{l}{`headz`z''}  \\") 
		}
* FINAL PANEL
esttab `eststr`q'' using "`table'", append keep(intrtI intrtI_sp intrtJ) label  noabbrev `type'  nogaps nomtit nonum ///
		stats(N, fmt(0) labels("\enspace N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) `extrac3' ///
		b(a2) se(a2) noline subs("\beta\_" "\beta_") /// 
		prehead("{ \begin{tabular}{l*{8}{C{`widc'}}} \\ \multicolumn{`colcount'}{l}{`headz`q''}  \\") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table}) 
end		

cap prog drop lintable_ltx
prog define lintable_ltx

syntax varlist [if], [Table(string)] [EXtra(varlist)]  [TYPE(string)] [FOOTnote(string)] [PREHEAD1(string)] /// 
	[PREHEAD2(string)] [TITLE(string)] [LABel(string)]
	
qui {

// locals to assist in making the table
local ester=1
local eststr ""

// label covariates
la var pct2I "Individual Interest Rate: \\ \enspace 4 Percent"
la var pct6I "\enspace 12 Percent"
la var pct10I "\enspace 20 Percent" 
la var pct2I_sp "Spousal Interest Rate: \\ \enspace 4 Percent" 
la var pct6I_sp "\enspace 12 Percent"
la var pct10I_sp "\enspace 20 Percent"
la var pct6J "Joint Interest Rate: \\ \enspace 12 Percent" 
la var pct10J "\enspace 20 Percent"

	foreach out in `varlist'  {
	cap est drop E`ester'
	reg `out' pct2I pct6I pct10I pct2I_sp pct6I_sp pct10I_sp pct6J pct10J cashprize cashprize_sp `extra' `if', clu(ipac)

		// linearity of individual interest
		cap test pct2I=pct6I/3=pct10I/5
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p1 `combo'

		// linearity of spousal interest
		cap test pct2I_sp=pct6I_sp/3=pct10I_sp/5
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p2 `combo'

		// linearity of joint interest
		cap test pct6J/3=pct10J/5
			local n1= r(p)
			local star ""
				if `n1'<=.01 local star "\sym{***}"
				if `n1'>.01 & `n1'<=.05 local star "\sym{**}"	
				if `n1'>.05 & `n1'<=.1 local star "\sym{*}"	
			local n2 = trim("`: display %10.3f `n1''")
			local combo "`n2'`star'"
				estadd local p3 `combo'

		estadd local space=""
		
	// DV mean	
	qui sum `out' if e(sample) & intrtI==0 
			estadd scalar Cont_MeanI=r(mean)
	qui sum `out' if e(sample) & intrtJ<.3 
			estadd scalar Cont_MeanJ=r(mean)			
			
	est store E`ester'
		local eststr "`eststr' E`ester'"
		local ++ester

		} // end outcome loop
		} // end quietly loop
		
esttab `eststr' using "`table'", keep(pct2I pct6I pct10I pct2I_sp pct6I_sp pct10I_sp pct6J pct10J) label noabbrev `type' replace nogaps ///
		stats(space p1 p2 p3 space Cont_MeanI Cont_MeanJ N, fmt(0 a2 a2 a2 0 a2 a2 0)  /// 
		labels("\emph{P-values from Test of Linearity}" "\enspace Individual Interest" "\enspace Spousal Interest" "\enspace Joint Interest" " " "DV Mean (0\% Ind)" "DV Mean (4\% Joint)" "N")) ///
		nonote  eqlabels(none) star(* 0.10 ** 0.05 *** 0.01) ///
		b(a2) se(a2) noline posthead(\hline) subs("\beta\_" "\beta_") /// 
		prehead("\begin{table}[h!] \begin{adjustbox}{max width=1.3\textwidth} \begin{threeparttable} \caption{`title'} \label{`label'} { `prehead1'`ester'`prehead2'") /// 
		postfoot(\hline \end{tabular} } \begin{tablenotes}[flushleft] \small \item `footnote' \end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table})
end

* TESTING EQUALITY OF GROUPS: CORETABLE 3
cap prog drop coretable3
prog define coretable3
syntax varlist [if], [Table(string)] [EXtra(varlist)] [Cont(string)] GRoup(varlist)
qui {
	mat t=J(30,21,.)
	mat p=J(500,4,.)

	local col=1
	local prow=1	
	foreach out in `varlist'  {
		
		g `out'G1= `out' if `group'==1
		g `out'G0= `out' if `group'==0
	
		local row=1

			reg `out'G1 intrtI intrtI_sp intrtJ $`cont' `extra' `if'
				est store `out'G1
				local n1= e(N)
			reg `out'G0 intrtI intrtI_sp intrtJ $`cont' `extra' `if'
				est store `out'G0
				local n0= e(N)
			
			suest `out'G1 `out'G0, vce(cluster ipac)
					
			foreach gr in G1 G0 {	
				foreach cov in intrtI intrtI_sp intrtJ {
					mat t[`row',`col']=   _b[`out'`gr'_mean:`cov']
						mat p[`prow',1]= 2*(1- normal(abs(_b[`out'`gr'_mean:`cov']/_se[`out'`gr'_mean:`cov'])))
							mat p[`prow',2]= `row'
							mat p[`prow',3]= `col'
							mat p[`prow',4]= _b[`out'`gr'_mean:`cov']
						local ++prow				
						local ++row
						
					mat t[`row',`col']=   _se[`out'`gr'_mean:`cov']
						local ++row
						}
					}

		foreach itype in I I_sp J {	
			test [`out'G1_mean]intrt`itype'=[`out'G0_mean]intrt`itype'
				mat t[`row',`col']= r(p)			
				local ++row
			}
			
		sum `out'G1 if e(sample) 
			mat t[`row',`col']= r(mean)
				local ++row
		sum `out'G0 if e(sample) 
			mat t[`row',`col']= r(mean)
				local ++row
		mat t[`row',`col']= `n1'
			local ++row
		mat t[`row',`col']= `n0'
		cap drop `out'G1
		cap drop `out'G0
	local ++col
		}
preserve
drop _all
svmat t		
		g marker=1 if _n<=17
		g pval= (_n>=13 & _n<=15)
		g coeff= round(_n/2)!=_n/2 & marker==1 & pval==0 & _n<=12
		g se= round(_n/2)==_n/2 & marker==1 & pval==0 & _n<=12

forval i=1/21 {
	g t`i'_X= t`i'
	}
tableme t1-t21, coeff(coeff) mark(marker) se(se) sig(3) maxdec(3)
forval i=1/21 {
	replace t`i'= t`i'+"*" if t`i'_X<=.1 & pval==1 & t`i'_X!=.
	replace t`i'= t`i'+"*" if t`i'_X<=.05 & pval==1 & t`i'_X!=.
	replace t`i'= t`i'+"*" if t`i'_X<=.01 & pval==1 & t`i'_X!=.		
	}

}
list t1-t18, clean noobs
qui {
if "`table'"!="" {
	g table = ""
		replace table = "TABLE `table' - ${date}" if _n == 1
		xmlsave table t1-t21 using "${out_sheet}LongRunTables_T`table'_${date}", replace doctype(excel)	
	}
	}
restore
end






