


* *********************************************************
* PROGRAM: ATM_MakeEndlineData_16jan2014
* PROGRAMMER: Simone Schaner
* PURPOSE: This file puts together an individual and couple
*	level datasets that can be merged with the core analysis
*	files
* DATE CREATED: 18 Oct 2012
* ********************************************************
 	
 cd "$el1path_raw"
 
 * SECTION K STUFF
 use $end_secK, clear
  	replace g_1_id= subinstr(g_1_id,"w","W",.)
	replace g_1_id = subinstr(g_1_id,"h","H",.)
		replace k3_joint_resp= 200 if g_1_id=="0633W1"
 	tempfile sk
 		save "`sk'"
		
 * ROSCA STUFF
 use $end_rosca, clear	
 	replace a_oth=lower(a_oth)
 	g nday=1 if a_meet=="1"
 		replace nday= 7 if a_meet=="2"
 		replace nday= 30.5 if a_meet=="3" | a_oth=="the second week of the month"
 		replace nday= 14 if strpos(a_oth,"after 2weeks") | strpos(a_oth,"two week") | strpos(a_oth,"bi") | a_oth=="after every 14 days" | a_oth=="twicw a week"
 		replace nday= 30.5*3 if strpos(a_oth,"afer three months with a specific") | strpos(a_oth,"3 month")
 		replace nday= 30.5*3 if strpos(a_oth,"two month")
 		replace nday= 20 if strpos(a_oth,"after every 20 days")		
 		replace nday= 3 if strpos(a_oth,"3 day")
 		replace nday= 30.5/2 if (strpos(a_oth,"twice") | strpos(a_oth,"twwice")) & strpos(a_oth,"month") & nday==.
  		replace nday= 30.5/3 if (strpos(a_oth,"three") | strpos(a_oth,"thrice")) & strpos(a_oth,"month") & nday==.		
 		replace nday= 7/2 if strpos(a_oth,"twice") & strpos(a_oth,"week") & nday==. 
 		replace nday= 7/3 if (strpos(a_oth,"three") | strpos(a_oth,"thrice"))  & strpos(a_oth,"week") & nday==. 	
 		replace nday= 365/2 if strpos(a_oth,"twice") & strpos(a_oth,"year") & nday==. 
 		replace nday=365 if a_oth=="yearly." | a_oth=="annually"
 		replace nday=5 if a_oth=="after every 5 days" | a_oth=="after five days"
 		replace nday=4 if a_oth=="after four days"
 		replace nday=2 if a_oth=="after every two days" | a_oth=="after two days"
 		replace nday=30.5*7 if a_oth=="after seven months."
 		replace nday=3 if a_oth=="after three days"
 		replace nday=20 if a_oth=="after twenty days"	 
 		replace nday=14 if a_oth=="every forthnight."
 		replace nday=7/4 if a_oth=="four times a week"
 		replace nday=30.5 if a_oth=="jumping one month."
 		replace nday=1 if a_oth=="no meeting but money deposited to each day's designate recipient on a daily basis"
 		
 		destring b_mem, replace
 		destring c_cont, replace
 		destring d_pot, replace
 		g timetofinish= b_mem*nday/365	
 		replace d_pot=. if timetof>6 & timetof!=.	
 		g mysave= d_pot/2 if b_mem>0 & d_pot>=0
 		g rmiss= mysave==. if a_meet=="."
 		keep mysave parent_key rmiss
 			collapse (sum) mysave rmiss, by(parent_key)
 				replace rmiss=1 if rmiss>0
 				replace mysave=. if rmiss==1
 				ren parent_key key
 			tempfile rosc
 			save "`rosc'"
 			
 use $end_main, clear
  		* DATA CLEANING / CHECKING 	
		foreach var in n_1_id g_1_id {
	 		replace `var'= subinstr(`var',"w","W",.)
	 		replace `var'= subinstr(`var',"h","H",.)
 			}
		cap drop idgender
		g idgender= substr(g_1_id,5,1)	
 	
 * MERGE ON SECTION K
 merge 1:1 g_1_id using "`sk'"
 	tab _merge
 		keep if _merge==1 | _merge==3
 		drop _merge	
* MERGE ON ROSCA INFO
merge 1:1 key using "`rosc'"
	tab _merge
	keep if _merge==1 | _merge==3
	drop _merge

* LIMIT TO ANALYSIS SAMPLE HERE	 	
* ORIGINAL COUPLE ID NUMBER
g ipacoupleid= substr(g_1_id,1,4)	

* ORIGINAL PARTICIPANT OR SPLITOFF SPOUSE? 	
 		g orig= substr(g_1_id,6,1)=="0"
 		g split= substr(g_1_id,6,1)=="1"
  		g indid= substr(g_1_id,1,5)
		
* NEW COUPLE ID NUMBERS - INCLUSIVE OF SPLIT-OFFS
g base_id = substr(g_1_id,1,4)
g split_off = substr(g_1_id,6,1)
g hus_wife = substr(g_1_id,5,1)
g hus = 1 if hus_wife == "H"
g wife = 1 if hus_wife == "W"
	bysort base_id: egen num_H = count(hus)
	bysort base_id: egen num_W = count(wife)
replace hus=0 if hus==.
replace wife=0 if wife==.

* GENERATE COUPLE ID STATUS'S :: WHEN THINGS SPLIT, THE HUSBAND REMAINS THE 'ORIGINAL' COUPLE
g ecouple_status= "0" if split_off== "0" & hus /* new husband is always in the 'original' couple */
	replace ecouple_status="1" if split_off== "1" & hus /* new husband of an original wife */
	replace ecouple_status="0" if split_off== "1" & wife /*assign to original husband */
	replace ecouple_status="0" if num_W==1 & split_off == "0" & wife & h_12_spouse_status==1
	replace ecouple_status="1" if num_W==1 & split_off == "0" & wife & h_12_spouse_status!=1
	replace ecouple_status="1" if num_W==2 & split_off == "0" & wife

* Confusing since husband refused -- fill them manually
replace ecouple_status = "1" if g_1_id == "3370W0"
replace ecouple_status = "0" if g_1_id == "3370W1"

g Enewcoupleid = ecouple_status+base_id

drop base_id split_off hus_wife hus wife num_H num_W

* CREATE ENDLINE DEMOGRAPHIC VARIABLES 		
g byte Efemale= h_1_se==2 if h_1_se!=.
ren h_2_age Eage
	replace Eage=. if Eage<0
g byte Eliterate= h_3==1 & h_4==1 if h_3!=. & h_4!=. & h_3>0 & h_4>0
g Eedu= h_5
	replace Eedu="9" if Eedu=="F1"
	replace Eedu="10" if Eedu=="F2"
	replace Eedu="11" if Eedu=="F3"
	replace Eedu="12" if Eedu=="F4"
	replace Eedu="13" if Eedu=="F5"
	replace Eedu="14" if Eedu=="F6"
	replace Eedu="14" if Eedu=="22"
	replace Eedu="16" if Eedu=="30"
	replace Eedu="10" if Eedu=="20"
	replace Eedu="0" if Eedu=="21"
		tab Eedu
		destring Eedu, replace
  			replace Eedu=. if Eedu<0	
g byte Eoccup_sfarm= h_6_oc==4 if h_6_oc>0 & h_6_oc<. 
	g byte Eoccup_mv= h_6_oc==1 if h_6_oc>0 & h_6_oc<. 
	g byte Eoccup_boda= h_6_oc==2 if h_6_oc>0 & h_6_oc<. 
	g byte Eocup_unemp= h_6_oc==7 if h_6_oc>0 & h_6_oc<.

ren h_6_oter Eotherocc_des
	cap replace Eotherocc_des= h_6_other if Eotherocc_des==""
	g entre= Eotherocc_des=="Bike repairer" | Eotherocc_des=="Bodaboda" | Eotherocc_des=="Brick making and charcoal selling" | strpos(Eotherocc,"Business") | strpos(Eotherocc,"business") | ///
		strpos(Eotherocc_des,"seller") | strpos(Eotherocc,"vend") | strpos(Eotherocc,"Dress") | strpos(Eotherocc,"Elec") | strpos(Eotherocc,"Drive") | strpos(Eotherocc,"drive") | strpos(Eotherocc,"self") | ///
		Eotherocc=="Embroidery and textiles" | Eotherocc=="Fish monger" | Eotherocc=="Fishing" | strpos(Eotherocc,"Hair") | strpos(Eotherocc,"Handcraft") | strpos(Eotherocc,"tailor") | ///
		Eotherocc=="Hotel owner" | Eotherocc=="Hotelier" | Eotherocc=="Landlord" | strpos(Eotherocc,"brew") | strpos(Eotherocc,"selling") | strpos(Eotherocc,"Own") | Eotheroc=="Pension and sells from milk" | ///
		Eotherocc=="Photography" | Eotherocc=="Pork butchery" | Eotherocc=="Riding a motorbike." | strpos(Eotherocc,"Runs") | strpos(Eotherocc,"Sale")  | strpos(Eotherocc,"Salo") | strpos(Eotherocc,"Selling") | ///
		strpos(Eotherocc,"Sells") | Eotherocc=="She own aclinic" | Eotherocc=="She's a bisness woman" | Eotherocc=="She's a fruits vendor" | Eotherocc=="Supplier of cleaning agents." | strpos(Eotherocc,"Tail") | ///
		Eotheroc=="Taxi driver" | Eotherocc=="Vending charcoal." 
	replace entre=1 if Eotherocc=="Building and construction" | Eotherocc=="Bussines and farming" | Eotheroc=="Butcher" | Eotheroc=="Charcoal burner" | ///
		Eotheroc=="ILLICIT BREWER" | Eotherocc=="Jua Kali" | Eotherocc=="Jua kali" | Eotherocc=="Juakali" | Eotherocc=="POULTRY KEEPING" | Eotherocc=="Poultry farmer" | Eotherocc=="Poultry farming" | ///
		Eotherocc=="She depends on is cows" 		
g Eoccup_entre= entre==1 | 	h_6_oc==1 | h_6_oc==2 | h_6_oc==3 | h_6_oc==5 | h_6_oc==8 if h_6_oc!=. & h_6_oc>0
g byte Eoccup_other= Eoccup_sfarm==0 & Eoccup_entre==0 if Eoccup_boda!=.
	drop entre
	ren h_6_oc occupation
ren h_7 Ekids
	replace Ekids=. if Ekids<0

* MARITAL STATUSES 	
replace h_9=1 if g_1_id=="1574H0" | g_1_id=="2784W0" | g_1_id=="2677W0"
g byte Emarried= h_9==1 if h_9!=. & h_9>0
g byte Edivsep= h_9==2 | h_9==3 if  h_9!=. & h_9>0
g byte Enevmar= h_9==4 if  h_9!=. & h_9>0

g Epolygamous= h_10_>1 if h_10_!=. & h_10_>=0
	replace Epolygamous= h_10w>0 if h_10w>=0 & h_10w!=. & Epolygamous==.

replace h_12_spouse_status=6 if g_1_id=="2356H0" /* husband says wife is dead but FOs were able to locate her -- she says was not married to husband */
replace h_12_spouse_status=1 if g_1_id=="2308W0" /* husband confirms this is his wife */
replace h_12_spouse_status =1 if g_1_id=="0813H0"	| g_1_id=="1388W0" | g_1_id=="2089W0" | g_1_id=="2308W0" | g_1_id=="3188H0" | g_1_id=="3233H0" | g_1_id=="0798W0" /* spouse confirms marriage */

g mstatcode= 1 if h_12_spouse_status==1 /* currently married to person attended session with */
	replace mstatcode= 2 if h_12_spouse_status!=1 & h_12_spouse_status!=. & h_9==1 /* married to someone else */
	replace mstatcode= 3 if h_12_spouse_status!=1 & h_12_spouse_status!=. & h_9>1 & h_9<=4 /* not currently married */
	replace mstatcode=2 if g_1_id=="0751W0" | g_1_id=="1186W0" | g_1_id=="1574W0" | g_1_id=="3319W0" | g_1_id=="0334H0" | g_1_id=="1138H0" | ///
		g_1_id=="2826H0" | g_1_id=="3370W0" | g_1_id=="0736H0" | g_1_id=="0736W0"
	replace h_12_spouse_status=3 if (g_1_id=="0751W0" | g_1_id=="1186W0" | g_1_id=="1574W0" | g_1_id=="3319W0" | g_1_id=="0334H0" | g_1_id=="1138H0" | ///
		g_1_id=="2826H0" | g_1_id=="3370W0" | g_1_id=="0736H0" | g_1_id=="0736W0") & h_12_spouse_status==1

	la define mstatcode 1 "Married to original spouse" 2 "Married to someone else" 3 "Not currently married"
	la val mstatcode mstatcode
	
* HOUSEHOLD IDENTIFIER
g spM= substr(g_1_id,5,2)=="H1" /* id split spouses */
g spW= substr(g_1_id,5,2)=="W1"

* THERE IS NO PERFECT WAY TO DO THIS SINCE W/ POLYGAMISTS WHAT IT MEANS TO BE MARRIED IS A BIT SUBJECTIVE...
g hhnum2="A" if orig==1 & mstatcode==1 /* original participant still married to original spouse */
	replace hhnum2="B" if (orig==1 & mstatcode!=1 & Efemale==0) | (orig==0 & Efemale==1) /* men & their split spouses */
	replace hhnum2="C" if (orig==1 & mstatcode!=1 & Efemale==1) | (orig==0 & Efemale==0) /* women & their split spouses */
	replace hhnum2="B" if g_1_id=="0798W0" /* just guess on this one... */
g hhid= ipacou+hhnum2	
ren hhnum2 hhnum

* INTACT COUPLES 
g Eintact_couple_i= mstatcode==1 if mstatcode!=.
egen Eintact_couple= max(Eintact_couple_i), by(ipac)
	drop Eintact_couple_i

* TRUE COUPLES: THERE IS NO PERFECT WAY TO RECONCILE CONCORDANCE -- ASSUME LEGIT IF ONE CONFIRMS
g Elegit_couple_i= h_12_spouse_status>=1 & h_12_spouse_status<4 if h_12_spouse_status!=.
	egen Elegit_couple= max(Elegit_couple_i), by(ipac)
	drop Elegit_couple_i

* FALSE COUPLES: THERE IS NO PERFECT WAY TO RECONCILE CONCORDANCE -- ASSUME FALSE IF ONE CONFIRMS (as robustness check to above)
g Efalse_couple_i= h_12_spouse_status>=4 | h_12_spouse_status==-99 if h_12_spouse_status!=.
	egen Efalse_couple= max(Efalse_couple_i), by(ipac)
	drop Efalse_couple_i

* WHO DECIDES ABOUT CONSUMPTION/SAVINGS IN HH
	g byte Econs_me= i_1_howtospend ==1 if i_1_howtospend>0 & i_1_howtospend <.
		g byte Econs_sp= i_1_howtospend ==2 if i_1_howtospend>0 & i_1_howtospend <.
		g byte Econs_both= i_1_howtospend ==5 if i_1_howtospend>0 & i_1_howtospend <.
		g byte Econs_ind= i_1_howtospend ==6 if i_1_howtospend>0 & i_1_howtospend <.
		g byte Econs_oth= Econs_me==0 & Econs_sp==0 & Econs_both==0 & Econs_ind==0 if Econs_me!=.
			replace Econs_oth=0 if i_1_oth=="Both together and individually."
			replace Econs_both=1 if i_1_oth=="Both together and individually."
			replace Econs_oth=1 if (Econs_both==1 | Econs_ind==1 )& Emarr==0
				replace Econs_both=0 if Emarr==0
				replace Econs_ind=0 if Emarr==0
	replace i_2_quan=. if i_2_oth=="They do not save"
	g byte Esave_me= i_2_quantsave ==1 if i_2_quantsave>0 & i_2_quantsave <.
		g byte Esave_sp= i_2_quantsave ==2 if i_2_quantsave>0 & i_2_quantsave <.
		g byte Esave_both= i_2_quantsave ==5 if i_2_quantsave>0 & i_2_quantsave <.
		g byte Esave_ind= i_2_quantsave ==6 if i_2_quantsave>0 & i_2_quantsave <.
		g byte Esave_oth= Esave_me==0 & Esave_sp==0 & Esave_both==0 & Esave_ind==0 if Esave_me!=.
			replace Esave_oth=0 if i_2_other=="Together and sometimes separately." | i_2_oth=="Sometimes wife or sometimes husband"
			replace Esave_both=1 if i_2_other=="Together and sometimes separately." | i_2_oth=="Sometimes wife or sometimes husband" 
		replace Esave_oth=1 if (Esave_both==1 | Esave_ind==1) & Emarr==0
			replace Esave_both=0 if Emarr==0
			replace Esave_ind=0 if Emarr==0 
				drop i_1_* i_2_* setofh* jj2_note h_11*note gfo_remind device_id subscriber start end today g_2_back h_8_8_note i_marfo 
				cap drop submissiond
g Eladder_spend= i_mar_3 if i_mar_3>=0
g Eladder_kids= i_mar_4 if i_mar_4>=0
g Eladder_amtsave= i_mar_5 if i_mar_5>=0
g Eladder_howsave= i_mar_6 if i_mar_6>=0
g Eladder_selftem= i_mar_7 if i_mar_7>=0
g Eladder_sptem= i_mar_8 if i_mar_8>=0
	drop i_mar_*

* RECODE SCREENER Qs WHEN POSSIBLE IF DONT KNOW IF HAVE, CODE TO 0 FOR OWN INFO
foreach var in j_12 j_16 j_18 j_22 j_26 {
	replace `var'=0 if `var'==-99
	} 
	
foreach var of varlist j_2a* j_2b* j_2c* j_2d* j_13 j_15 j_17 j_19 j_21 j_23_a_lock j_23_b_other j_25_a_lock j_25_b_other j_31 j_33 j_35 j_37a j_37b j_37c j_39a j_39b j_39c {
	replace `var'=0 if `var'==-88
	replace `var'=0 if `var'==.
	replace `var'=. if `var'<0
	}

* RECODE ALL MISSINGS HERE
foreach var of varlist * {
	cap replace `var'=. if `var'<0
	}

* FIX DATA ENTRY ERRORS	
replace j_2a_horticulture_j=6200 if g_1_id=="1923H0" /*certain typo*/
replace j_2b_wage_r= 20000 if g_1_id=="2518H0" /*certain typo*/
replace j_37c=1050 if j_37c==5001050 /*certain typo*/
replace j_36= 2 if g_1_id=="1140W0" | g_1_id=="0912W0" /* spouse cross reports zero, no or very little business income */
replace j_37c=0 if g_1_id=="1140W0"	| g_1_id=="0912W0" /* spouse cross reports zero, no or very little business income */
replace j_10a_family_j= 3500 if g_1_id=="0464H0"	 
replace j_10b_banks_r=. if g_1_id=="2286H0"
replace j_10e_shops_j=0 if g_1_id=="2533W0" /*husband cross reports zero, extreme value*/

* STEP 2: INCOME, DEBT TRANSFERS: RECODE SPOUSE/JOINT TO 0 FOR UNMARRIED FOLKS
foreach stem in j_1_inc_farm j_2a_horticulture j_2b_wage j_2c_business j_2d_other /// 
				j_10a_family j_10b_banks j_10c_mf j_10d_local j_10e_shops j_10f_other_debt /// 
				j_11a_r_outside j_11b_g_outside j_11e_r_member j_11f_g_member {
					replace `stem'_s=0 if Emarr!=1
					replace `stem'_j=0 if Emarr!=1	
					replace `stem'_r=0 if `stem'_r==-88
					replace `stem'_s=0 if `stem'_s==-88
					replace `stem'_j=0 if `stem'_j==-88				
					}
		
foreach var in j_11c_r_spouse_r j_11d_g_spouse_r j_15 j_17 j_21 j_25_a j_25_b j_29 j_33 j_37b j_37c j_39b j_39c {
	replace `var'=0 if Emarr!=1 /* recode joint saving to 0 if individual is not currently married */
	}

foreach ends in r s j {
	replace j_1_inc_farm_`ends'= j_1_inc_farm_`ends'/12 /* convert annual amount into monthly amount */
	ren  j_2c_business_`ends' inc_bus_`ends'	
	ren j_11a_r_outside_`ends' xfer_rec_outside_`ends'
	ren j_11b_g_outside_`ends' xfer_give_outside_`ends'	
	ren j_10a_family_`ends' debt_family_`ends'
	ren j_10b_banks_`ends' debt_banks_`ends'
	ren j_10c_mf_`ends' debt_mfi_`ends'
	ren j_10d_local_`ends' debt_moneylend_`ends'
	ren j_10e_shops_`ends' debt_shops_`ends'
	ren j_10f_other_debt_`ends' debt_other_`ends'	
	ren j_11e_r_member_`ends' xfer_rec_hhmem_`ends'
	ren j_11f_g_member_`ends' xfer_give_hhmem_`ends'
	}
drop j_fo j_*note* 


ren j_17 save_ba_j
ren j_13 save_ba_r
ren j_15 save_ba_s
	
g save_home_r= j_23_a_lock + j_23_b_other 
g save_home_s= j_25_a_lock + j_25_b_other
g save_home_j= 0
g save_sacco_r= j_19
g save_sacco_s= j_21
g save_sacco_j= 0
g save_mpesa_r= j_31
g save_mpesa_s= j_33
g save_mpesa_j= 0
ren mysave save_rosca_r
	g save_rosca_j=0
	replace save_rosca_r=0 if j_26_ind_rosca==2
ren j_37a save_bus_r
ren j_37b save_bus_s
ren j_37c save_bus_j
ren j_39a save_otherinv_r
ren j_39b save_otherinv_s
ren j_39c save_otherinv_j
ren j_35 save_renovate_j
	g save_renovate_r=0
	g save_renovate_s=0

	
foreach stem in j_1_inc_farm j_2a_horticulture j_2b_wage inc_bus j_2d_other debt_family debt_mfi debt_banks debt_moneylend debt_shops debt_other ///
	xfer_rec_outside xfer_give_outside xfer_rec_hhmem xfer_give_hhmem save_ba save_bus save_otherinv save_home save_sacco save_mpesa save_renovate {
	
	foreach let in r s j {

		g F`stem'_`let'= `stem'_`let' if Efemale==1
		g M`stem'_`let'= `stem'_`let' if Efemale==0
		
		egen FF`stem'_`let'= max(F`stem'_`let'), by(hhid)
		egen MM`stem'_`let'= max(M`stem'_`let'), by(hhid)
				drop F`stem'_`let' M`stem'_`let'
		}
		g SP`stem'_r= FF`stem'_s if Efemale==0
			replace SP`stem'_r= MM`stem'_s if Efemale==1
		g SP`stem'_s= FF`stem'_r if Efemale==0
			replace SP`stem'_s= MM`stem'_r if Efemale==1
		g SP`stem'_j= FF`stem'_j if Efemale==0
			replace SP`stem'_j= MM`stem'_j if Efemale==1	 
		}

		g Fsave_rosca_r= save_rosca_r if Efemale==1
		g Msave_rosca_r= save_rosca_r if Efemale==0
		
		egen FFsave_rosca_r= max(Fsave_rosca_r), by(hhid)
		egen MMsave_rosca_r= max(Msave_rosca_r), by(hhid)
				drop Fsave_rosca_r Msave_rosca_r
		* didn't ask for cross reports here, so just impute spousal responses
		g save_rosca_s= FFsave_rosca_r if Efemale==0
			replace save_rosca_s= MMsave_rosca_r if Efemale==1
			replace save_rosca_s=0 if Emarr==0
		drop FF* MM*

foreach ends in r s j {
	g inc_lastm_`ends' =  j_1_inc_farm_`ends' + j_2a_horticulture_`ends' + j_2b_wage_`ends' + inc_bus_`ends' + j_2d_other_`ends'
	g inc_farm_`ends' = j_1_inc_farm_`ends' + j_2a_horticulture_`ends'
	g inc_oth_`ends' = j_2d_other_`ends'
	g inc_wage_`ends'= j_2b_wage_`ends'
	g debt_`ends'= debt_family_`ends' + debt_banks_`ends' + debt_mfi_`ends' + debt_moneylend_`ends' + debt_shops_`ends' + debt_other_`ends'	

	g SPinc_lastm_`ends' =  SPj_1_inc_farm_`ends' + SPj_2a_horticulture_`ends' + SPj_2b_wage_`ends' + SPinc_bus_`ends' + SPj_2d_other_`ends'
	g SPinc_farm_`ends' = SPj_1_inc_farm_`ends' + SPj_2a_horticulture_`ends'
	g SPinc_oth_`ends' = SPj_2d_other_`ends'
	g SPinc_wage_`ends'= SPj_2b_wage_`ends'
	g SPdebt_`ends'= SPdebt_family_`ends' + SPdebt_banks_`ends' + SPdebt_mfi_`ends' + SPdebt_moneylend_`ends' + SPdebt_shops_`ends' + SPdebt_other_`ends'	

	g xfer_rec_`ends'= xfer_rec_outside_`ends' +  xfer_rec_hhmem_`ends'
	g xfer_give_`ends'= xfer_give_outside_`ends' + xfer_give_hhmem_`ends'
	}
		
	replace xfer_rec_r= xfer_rec_r + j_11c_r_spouse_r
	replace xfer_give_r= xfer_give_r + j_11d_g_spouse_r
	replace xfer_rec_s= xfer_rec_s + j_11d_g_spouse_r
	replace xfer_give_s= xfer_give_s + j_11c_r_spouse_r
 		ren j_11c_r_spouse_r xfer_rec_spouse
 		ren j_11d_g_spouse_r xfer_give_spouse 	
  	g netxfer_spouse= xfer_rec_spouse-xfer_give_spouse


* LABEL A BUNCH OF VARIABLES
la var netxfer_spouse "Net tranfer from spouse (positive if individual is net recipient)"
la var xfer_rec_spouse "Value of transfer received from spouse"
la var xfer_give_spouse "Value of transfer given to spouse"
la var xfer_rec_r "Value of total transfer individual received"
la var xfer_rec_s "Individual report: value of total transfer spouse received"
la var xfer_rec_j "Value of total transfer couple jointly received"
la var xfer_give_r "Value of total transfer individual gave"
la var xfer_give_s "Individual report: value of total transfer spouse gave"
la var xfer_give_j "Value of total transfer couple jointly gave"
la var xfer_rec_outside_r "Value of total transfer individual received (people outside HH)"
la var xfer_rec_outside_s "Individual report: value of total transfer spouse received (people outside HH)"
la var xfer_rec_outside_j "Value of total transfer couple jointly received (people outside HH)"
la var xfer_give_outside_r "Value of total transfer individual gave (people outside HH)"
la var xfer_give_outside_s "Individual report: value of total transfer spouse gave (people outside HH)"
la var xfer_give_outside_j "Value of total transfer couple jointly gave (people outside HH)"
la var xfer_rec_hhmem_r "Value of total transfer individual received (other HH members)"
la var xfer_rec_hhmem_s "Individual report: value of total transfer spouse received (other HH members)"
la var xfer_rec_hhmem_j "Value of total transfer couple jointly received (other HH members)"
la var xfer_give_hhmem_r "Value of total transfer individual gave (other HH members)"
la var xfer_give_hhmem_s "Individual report: value of total transfer spouse gave (other HH members)"
la var xfer_give_hhmem_j "Value of total transfer couple jointly gave (other HH members)"
la var inc_lastm_r "Individual income last month"
la var inc_lastm_s "Individual report: spousal income last month"
la var inc_lastm_j "Jointly earned income last month"
la var debt_r "Individually owned total debt"
la var debt_s "Individual report: spousal total debt"
la var debt_j "Jointly owned total debt"
la var debt_family_r "Individual family debt"
la var debt_family_s "Individual report: spouse's family debt"
la var debt_family_j "Jointly owned family debt"
la var debt_banks_r "Individual bank debt"
la var debt_banks_s "Individual report: spouse's bank debt"
la var debt_banks_j "Jointly owned bank debt"
la var debt_mfi_r "Individual mfi debt"
la var debt_mfi_s "Individual report: spouse's mfi debt"
la var debt_mfi_j "Jointly owned mfi debt"
la var debt_moneylend_r "Individual moneylender debt"
la var debt_moneylend_s "Individual report: spouse's moneylender debt"
la var debt_moneylend_j "Jointly owned moneylender debt"
la var debt_shops_r "Individual shopkeeper debt"
la var debt_shops_s "Individual report: spouse's shopkeeper debt"
la var debt_shops_j "Jointly owned shopkeeper debt"
la var debt_other_r "Individual other debt"
la var debt_other_s "Individual report: spouse's other debt"
la var debt_other_j "Jointly owned other debt"
		
g value_livestock=0
g SPvalue_livestock=0 if Emarr==1

foreach var in j_ls_3_cattlel_b j_ls_4_cattleh_b j_ls_5_sheep_b j_ls_6_goat_b j_ls_7_pig_b j_ls_8_chick_b j_ls_9_other_b {

		g F`var'= `var' if Efemale==1
		g M`var'= `var' if Efemale==0
		
		egen FF`var'= max(F`var'), by(hhid)
		egen MM`var'= max(M`var'), by(hhid)
		g SP`var'= FF`var' if Efemale==0
			replace SP`var'= MM`var' if Efemale==1
				drop F*`var' M*`var'
					
* IMPUTATION FOR VALUE OF LIVESTOCK DONE HERE
	replace `var'= SP`var' if `var'==. & Emarr==1											

		 replace value_livestock= value_livestock+`var'
		 replace SPvalue_livestock= SPvalue_livestock+SP`var'

		}
		
g SPsave_rosca_r=.
g SPsave_rosca_j=.

foreach stem in inc_lastm inc_farm inc_bus inc_oth inc_wage debt debt_family debt_banks debt_mfi debt_moneylend debt_shops debt_other save_rosca ///
	 save_ba save_bus save_home save_sacco save_mpesa save_otherinv xfer_give xfer_rec xfer_give_outside xfer_rec_outside xfer_give_hhmem xfer_rec_hhmem  {
		g `stem'= `stem'_r+`stem'_j/2
		cap g SP`stem'= SP`stem'_r+SP`stem'_j/2
		}

g hasbusinc= inc_bus>0 | save_bus>0 if (inc_bus!=. | save_bus!=.)
replace save_renovate_j= SPsave_renovate_j if save_renovate_j==.
g save_renovate= save_renovate_j
				
* LABEL A BUNCH OF VARIABLES
	la var hasbusinc "Has positive individual or joint business income"
	la var save_renovate "Investments in the home (past year)"
	la var save_otherinv "Value of all other savings/investments"
	la var save_bus "Value of business inventory/assets"
	la var save_mpesa_r "Individual savings on MPESA"
	la var save_mpesa_s "Individual report: spouse's savings on MPESA"
	la var save_mpesa_j "Joint mpesa savings (always 0)"
	la var save_sacco_r "Individual SACCO savings"
	la var save_sacco_s "Individual report: spouse's SACCO savings"
	la var save_sacco_j "Joint SACCO savings (always 0)"
	la var save_home_r "Individual savings at home"
	la var save_home_s "Individual report: spousal savings at home"
	la var save_home_j "Joint savings ath ome (always 0)"
	la var save_ba_r "Indvidual bank savings"
	la var save_ba_s "Individual report: spousal bank savings"
	la var save_ba_j "Joint bank savings"
	la var save_rosca "Savings in ROSCAs (approximate)"
	la var save_rosca_r "Savings in ROSCAs (approximate) -- same as save_rosca"
	la var value_livestock "Total value household livestock"
	
g byte Esd_mpesa= j_30_ind_mpesa==1 if j_30_ind_mpesa!=.
g byte Esd_ba_any= j_12_ind_account==1 | j_16_joint_account==1 if j_12_ind_account!=. & j_16_joint_account!=.
g byte Esd_ba_ind= j_12_ind_account==1 if j_12_ind_account!=.
g byte Esd_ba_joint= j_16_joint_account==1 if j_16_joint_account!=.
	replace Esd_ba_any= Esd_ba_ind if Emarr!=1

g byte Esd_sacco= j_18_ind_sacco==1 if j_18_ind_sacco!=.
g byte Esd_hh= j_22_ind_home==1 if j_22_ind_home!=.
g byte Esd_rosca= j_26_ind_rosca==1 if j_26_ind_rosca!=.
g byte Esd_bus= j_36_assets==1 if j_36_assets!=.
g byte Esd_other= j_38_assets==1 if j_38_assets!=.
	ren jrosca_27_ind Enum_rosca
		replace Enum_rosca=0 if Esd_rosca==0
replace save_rosca=0 if Esd_rosca==0


g total_assets_r= save_ba_r+save_sacco_r+save_mpesa_r+save_home_r+save_bus_r+save_otherinv_r+save_rosca
	replace total_assets_r= total_assets_r+ value_livestock if Emarr==0
g total_assets_s= save_ba_s+save_sacco_s+save_mpesa_s+save_home_s+save_bus_s+save_otherinv_s+save_rosca_s
g total_assets_j= (save_ba_j+save_bus_j+save_otherinv_j+value_livestock)
	replace total_assets_j=0 if Emarr==0	
g total_assets= total_assets_r + total_assets_j/2 
g SPtotal_assets= SPsave_ba+SPsave_sacco+SPsave_mpesa+SPsave_home+SPsave_bus+SPsave_otherinv+SPvalue_livestock/2
	la var total_assets "Cash savings + business stock + other investments + value livestock/2"
	
drop j_12* j_14* j_16* j_18* j_19 j_20 j_21 j_22 j_23* j_24* j_25* j_26* j_28* j_29* j_30 j_31 j_32 j_33* j_34

g acres_land= 0 if j_40_land==2
	replace acres_land= j_41_acres if acres_land==. & j_41_acres>=0	
	drop j_40 j_41_
	
g good_walls= j_42_w==1 | j_42_w==2 | j_42_w==4 | j_42_w==5 | j_42_w==6 if j_42_w>=1 & j_42_w!=.
g good_roof= j_43_r==2 | j_43_o=="Tiles" if j_43_r>=1 & j_43_r!=.
g good_floor= j_44_fl==2 | j_44_fl==3 if j_44_fl>=1 & j_44_fl!=.
g good_toilet= j_45_t==1 | j_45_t==2 if j_45_t>=1 & j_45_t!=.

g acres_land_miss= acres_land==.
	replace acres_land=0 if acres_land_miss==1
g xsave_renovate= save_renovate
	g xsave_renovate_miss= save_renovate==.
	replace xsave_renovate=0 if save_renovate==.
	
pca good_walls good_roof good_floor good_toilet
	predict asset_index
		qui sum asset_index
			replace asset_index= (asset_index-r(mean))/r(sd)
	drop xsave*
		ren m_3_ladder mjaza_help
		ren m_4_ladder mjaza_likely
			replace mjaza_help=. if mjaza_help<0
			replace mjaza_likely=. if mjaza_likely<0
		drop m_5_costre

* TIME INCONSISTENCY
foreach tab in 1 6 11 16 {
	local start=`tab'
	g indiff_`tab'= 295 if l_`start'_==2
		local ++start
		replace indiff_`tab'= 255 if l_`start'_==2
			local ++start
		replace indiff_`tab'= 185 if l_`start'_==2
			local ++start
		replace indiff_`tab'= 115 if l_`start'_==2
			local ++start
		replace indiff_`tab'= 45 if l_`start'_==2
		replace indiff_`tab'= 5 if l_`start'_==1
	g pat_`tab'= indiff_`tab'==295	if indiff_`tab'!=.
		}
		
	g frac_pat= (pat_1 + pat_6 + pat_11 + pat_16)/4
	
	foreach tab in 1 11 {
		g altb_`tab'= (indiff_`tab'/300)^(1/4)
		}
	foreach tab in 6 16 {
		g altb_`tab'= (indiff_`tab'/300)^(1/8)
		}
	egen beta= rowmean(altb_1 altb_6 altb_11 altb_16) if altb_1+altb_6+altb_11+altb_16!=.
	
	g always_pat= indiff_1+indiff_6+indiff_11+indiff_16==1180 if indiff_1+indiff_6+indiff_11+indiff_16!=.
	g always_impat= indiff_1+indiff_6+indiff_11+indiff_16==20 if indiff_1+indiff_6+indiff_11+indiff_16!=.
 
	
g hyp1= indiff_11>indiff_1 if indiff_11!=. & indiff_1!=.
g hyp2= indiff_16>indiff_6 if indiff_16!=. & indiff_6!=.

g rev1= indiff_11<indiff_1 if indiff_11!=. & indiff_1!=.
g rev2= indiff_16<indiff_6 if indiff_16!=. & indiff_6!=.
	g frac_hyp= (hyp1+hyp2)/2
	g frac_rev= (rev1+rev2)/2
	g frac_consist= 1 - (hyp1 + hyp2 + rev1 + rev2)/2
	
g hyperbolic= frac_hyp>frac_rev if frac_hyp!=. & frac_rev!=.
g rev_hyp= frac_rev>frac_hyp if frac_hyp!=. & frac_rev!=.
	la var hyperbolic "Respondent is impatient now, patient later"
	la var rev_hyp "Respondent is patient now, impatient later"
g consistent= frac_consist==1 if frac_consist!=.
	la var consistent "Respondent is time consistent on all question pairs"
		
cap drop quizid fo_comment_* village
drop id_duplicate *note* end_time meta

* DIVIDE ALL JOINT INCOME AND ASSETS BY TWO TO APPORTION TO SPOUSES
foreach var of varlist *_j {
	replace `var'= `var'/2
	}
tempfile indlevel
	save "`indlevel'"

* COUPLE LEVEL FOR BARGAINING POWER MEASURE
keep hhid idgender k3* k2* orig mstatcode
	replace k3_joint_sp=300 if hhid=="0580A" & idgender=="H"
	replace k3_joint_resp=400 if hhid=="0815A" & idgender=="W"
	replace k3_joint_sp=300 if hhid=="1299A" & idgender=="H"
	replace k2_ind_sp=300 if hhid=="3957A" & idgender=="W"

reshape wide k3* k2* orig mstatcode, i(hhid) j(idgender) string
	
* WHO ARE STABLE COUPLES
g stable= origH==1 & origW==1 & mstatcodeH==1 & mstatcodeW==1
		tempfile tomerge
			save "`tomerge'"

use "`indlevel'"
	merge m:1 hhid using "`tomerge'"
	tab _merge
		drop _merge
	g inwave1=1
tempfile out_ind
	save `out_ind'

* **********************************************************
* **********************************************************
* WAVE 2 ENDLINE
* **********************************************************
* **********************************************************

* NOW DO STUFF FROM SECOND WAVE -- INDIVIDUAL LEVEL...
cd "$el2path_raw"
use $end_wave2, clear
	ren id Eg_1_id
replace p1_age=. if p1_age<0

* LABOR HOURS
replace p2_int="" if p2_total>=24 & p2_total!=. & p2_int=="D"
replace p2c=15 if p2c==150 & Eg_1_id=="3322H0"
foreach var of varlist p2a-p2h {
	replace `var'= 0 if `var'==. & p2_total!=. & p2_int!=""
	replace `var'= `var'/5.5 if p2_int=="W"
	replace `var'=. if p2_int==""
	}
	
   ren p2a labor_ownfarm
   ren p2b labor_othfarm
   ren p2c labor_casual
   ren p2d labor_salary
   ren p2e labor_ownbus
   ren p2f labor_othbus
   ren p2g labor_hh
   ren p2h labor_livestock
   
   replace labor_ownbus=0 if p5_p==-97 
   
   g totlabor= labor_ownfarm + labor_othfarm + labor_casual + labor_salary + labor_ownbus + labor_othbus + labor_hh + labor_livestock
	
* INCOME
replace p3_inc=. if p3_inc<0
g inc_monthly= p3_inc if p3_int=="M"
	replace inc_monthly = p3_inc*(30.5/7) if p3_int=="W"
	replace inc_monthly = p3_inc*5.5*(30.5/7) if p3_int=="D"
	sum inc_monthly, detail
ren p3_inc inc_raw
	ren p3_int inc_interval
	replace inc_interval="X" if inc_raw!=. & inc_interval==""

* HAS NON-FARM BUSINESS
g has_business= p4<=3 if p4!=.
	replace has_business=0 if p5_p==-97
	replace has_business=1 if labor_ownbus>0 & labor_ownbus!=. /* has business if reports working for it and doesn't have -97 in profits Q */
 	
* MONTHLY BUSINESS PROFIT
replace p5_p=. if p5_p<=-98
replace p5_p=0 if p4==4 /* no profit if business is no longer operational */
g profit_monthly= p5_p if p5_int=="M" & p5_p>=0
	replace profit_monthly = p5_p*(30.5/7) if p5_int=="W" & p5_p>=0
	replace profit_monthly = p5_p*5.5*(30.5/7) if p5_int=="D" & p5_p>=0
	replace profit_monthly=0 if p5_p==0
	replace p5_p=0 if p5_p==-97

replace inc_raw=p5_p if inc_monthly<profit_monthly & profit_monthly!=.
replace inc_int= p5_i if inc_monthly<profit_monthly & profit_monthly!=.
replace inc_monthly=profit_monthly if inc_monthly<profit_monthly & profit_monthly!=.


g has_profit= p5_p>0 if p5_p!=.
	replace has_profit=0 if p4==4

ren p5_p profit_raw

* issue is i shouldn't control for this b/c all the "0" profit values have a missing interval
ren p5_int profit_interval
	replace profit_int="X" if profit_int=="" & profit_raw!=. & profit_raw!=0
	 		
* HOW CAREFULLY DO YOU STICK TO YOUR BUDGET
g strong_budgeter= q1>=3 if q1!=. & q1>0
g vstrong_budgeter= q1==4 if q1!=. & q1>0
g no_budgeter= q1==1 if q1!=. & q1>0

* MENTAL ACCOUNTING QUESTIONS
replace total_budget=. if total_budget<=0
replace total_budget=0 if no_budgeter==1 /* if person does not budget, do not use reported budget responses */

forval i=1/18 {
	g hasacct_`i'=0 if total_budget!=.
	g budget_`i'=0 if total_budget!=. & a0!=""
	g flex_`i'=0 if total_budget!=.
	g inflex_`i'=0 if total_budget!=.
	g separate_`i'=0 if total_budget!=.
	g frac_`i'=0 if total_budget!=.
	g priority_`i'=0 if total_budget!=.	
		forval j=1/7 {
			replace hasacct_`i'=1 if a`j'_account==`i' & no_budgeter!=1 & total_budget!=.
			replace budget_`i'= budget_`i' + a`j'_budget if a`j'_account==`i' & no_budgeter!=1 & total_budget!=.	
			replace flex_`i'=1 if a`j'_reduce==1 & a`j'_account==`i' & no_budgeter!=1 & total_budget!=.
			replace separate_`i'=1 if a`j'_separate==1 & a`j'_account==`i' & no_budgeter!=1 & total_budget!=.
		}
	replace priority_`i'= (q2_leavealone_1==`i' | q2_leavealone_2==`i' | q2_leavealone_3==`i') & no_budgeter!=1 if total_budget!=.
	replace inflex_`i'=1 if hasacct_`i'==1 & flex_`i'==0	
	g bud_inflex_`i'= inflex_`i'*budget_`i'	
	g bud_separate_`i'= separate_`i'*budget_`i'	
	}	
	
	egen total_items=rowtotal(hasacct_*) if hasacct_1!=.
	egen total_separate= rowtotal(separate_*) if hasacct_1!=.	
	egen total_flex= rowtotal(flex_*) if hasacct_1!=.
	egen total_inflex= rowtotal(inflex_*) if hasacct_1!=.
	egen total_bud_inflex= rowtotal(bud_inflex_*) if hasacct_1!=.
	egen total_bud_separate= rowtotal(bud_separate_*) if hasacct_1!=.


	g frac_separate= total_separate/total_items
	g frac_flex= total_flex/total_items 	
	g frac_inflex= total_inflex/total_items

* Aggregate accounts
foreach stem in hasacct budget inflex flex separate priority {
	g `stem'_bus= `stem'_5
	g `stem'_farmlandlive= `stem'_4 + `stem'_2 + `stem'_3
	g `stem'_home= `stem'_1   		
	g `stem'_savings= `stem'_6 + `stem'_7 + `stem'_10 
	g `stem'_edu= `stem'_9
	g `stem'_food= `stem'_12
	g `stem'_other= `stem'_13 + `stem'_14 + `stem'_15 + `stem'_16 + `stem'_17 + `stem'_18 + `stem'_11 + `stem'_8
	}
	
 foreach var of varlist hasacct_* inflex_* flex_* separate_* {
 	replace `var'=1 if `var'>0 & `var'!=.
 	}

g budgetmiss=0
 forval i=1/18 {
 	di `i'
	replace budgetmiss= budgetmiss+1 if budget_`i'==. & hasacct_`i'==1
	}
	replace total_budget=. if budgetmiss>0
 forval i=1/18 {
	replace frac_`i'=. if total_budget==.
		}		
	replace total_bud_inflex=. if total_budget==.

g frac_bud_inflex=total_bud_inflex / total_budget
	replace frac_bud_inflex=0 if total_budget==0
g frac_bud_separate=total_bud_separate / total_budget
	replace frac_bud_separate=0 if total_budget==0
	
foreach var in total_bud_inflex total_budget budget_bus budget_farmlandlive budget_home budget_savings budget_edu budget_food budget_other {
	g `var'_monthly= `var' if a0=="M"
		replace `var'_monthly= `var'*(30.5/7) if a0=="W"
		replace `var'_monthly= `var'*7*30.5/7 if a0=="D"
		}
foreach stem in bus farmlandlive home savings edu food other {
	g frac_`stem'= budget_`stem' / total_budget
	}	
	
g reg_saver= q5==1 if q5>0 & q5!=.	
g nevrare_saver= q5==4 | q5==3 if q5>0 & q5!=.	
g save_priority= q6==1 if q6>0 & q6!=.
g often_stress= q7==1 if q7>0 & q7!=.
g some_stress= q7<=2 if q7>0 & q7!=.

* GOALS
g goal_none= q3_savings=="0" if q3_savings!=""
g goal_bus= strpos(q3_savings,"5")>0 if q3_savings!=""
g goal_farmlandlive= strpos(q3_savings,"2")>0 | strpos(q3_savings,"4")>0 | strpos(q3_savings,"3")>0 if q3_savings!=""
g goal_home= strpos(q3_savings,"1,")>0 | q3_savings=="1"  if q3_savings!=""
g goal_saving= strpos(q3_savings,"6")>0 | strpos(q3_savings,"7")>0 if q3_savings!=""
g goal_health= strpos(q3_savings,"8") if q3_savings!=""
g goal_edu= strpos(q3_savings,"9")>0 if q3_savings!=""
g goal_oth= strpos(q3_savings,"10") if q3_savings!=""

foreach var of varlist goal_* {
	replace `var'=1 if `var'>0 & `var'!=.
	}
		
g wfall_edu= q8a>0 & q8a!=. if q8_total!=.
g wfall_farmlandlive= q8b>0 & q8b!=. if q8_total!=. 
g wfall_home= q8c>0 & q8c!=. if q8_total!=. 
g wfall_business= q8d>0 & q8d!=. if q8_total!=. 
g wfall_food= q8e>0 & q8e!=. if q8_total!=. 
g wfall_debt= q8f>0 & q8f!=. if q8_total!=. 
g wfall_welf= q8g>0 & q8g!=. if q8_total!=. 
g wfall_leis= q8h>0 & q8h!=. if q8_total!=.
g wfall_save= q8i>0 & q8i!=. if q8_total!=. 
g wfall_oth= q8j_a>0 & q8j_a!=. if q8_total!=. 

foreach var of varlist q8a-q8i q8j_amount {
	replace `var'=. if q8_total!=10000
	replace `var'=0 if `var'==. & q8_total!=.
	}

ren q8a wfall_amt_edu
ren q8b wfall_amt_farmlandlive
ren q8c wfall_amt_home
ren q8d wfall_amt_business
ren q8e wfall_amt_food 
ren q8f wfall_amt_debt
ren q8g wfall_amt_welf
ren q8h wfall_amt_leis
ren q8i wfall_amt_save
ren q8j_am wfall_amt_oth


g tochange_fl=0
replace tochange_fl=1 if q8j_oth=="1000 EMERGENCY LIVESTOCK (2000)" | q8j_oth=="1000 LIVESTOCK INVESTMENT" | q8j_oth=="1000 POULTRY FARMING" | ///
	q8j_oth=="1000, BUY POULTRY" | q8j_oth=="1000, LIVESTOCK" | q8j_oth=="10000 LIVESTOCK" | q8j_oth=="10000 LIVESTOCK INVESTMENT" | q8j_oth=="10000 POUTRY INVESTMENT" | ///
	q8j_oth=="10000, BUY A COW" | q8j_oth=="10000, BUY LIVESTOCK & POULTRY" | q8j_oth=="10000, BUY LIVESTOCK & POULTRY" | q8j_oth=="10000, LAND INVESTMENT" | ///
	q8j_oth=="10000, LAND/BRICK MAKING" | q8j_oth=="10000, LIVESTOCK" | q8j_oth=="10000, LIVESTOCK INVESTMENT" | q8j_oth=="10000, LIVESTOCKS" 
replace tochange_fl=1 if q8j_oth=="10000, LIVESTOCLK" | q8j_oth=="10000, POULTRY & PIG PD" | q8j_oth=="10000, POULTRY FARMING" | q8j_oth=="1500, LIVESTOCK" | q8j_oth=="1500, LIVESTOCK INVESTMENT" | ///
	q8j_oth=="2000 POULTRY FARMING" | q8j_oth=="2000, LIVESTOCK" | q8j_oth=="2000, LIVESTOCK OINVESTMENT" | q8j_oth=="2500, LIVESTOCK" | q8j_oth=="3000 LIVESTOCK" | ///
	q8j_oth=="3000, LIVESTOCK" | q8j_oth=="3000, LIVESTOCK (CHILDREN RANGE)" | q8j_oth=="3000, LIVESTOCKS" | q8j_oth=="3500 LAND MESUREMENTS" | q8j_oth=="4000, LIVESTOCK" | ///
	q8j_oth=="4500, LIVESTOCK" | q8j_oth=="500  POULTRY KEEPING" | q8j_oth=="5000 LIVESTOCK" | q8j_oth=="5000 LIVESTOCK INVESTMENT" | q8j_oth=="5000 LIVESTOCKS" 
replace tochange_fl=1 if	q8j_oth=="5000 POULTRY AND LIVESTOCK" | q8j_oth=="5000, LAND (MAKING BRICKS)" | q8j_oth=="5000, LIVESTOCK" | q8j_oth=="5000,POULTRY FARMING" | q8j_oth=="5500, INVEST IN POULTRY FARMING" | ///
	q8j_oth=="6000, LIVESTOCK INVESTMENT" | q8j_oth=="6000, POULTRY PROJECT" | q8j_oth=="7000, LIVESTOCK" | q8j_oth=="7000, POULTRY FARMING" | q8j_oth=="8000 LIVESTOCK" | ///
	q8j_oth=="8000, BUY LIVESTOCK" | q8j_oth=="8000, LIVESTOCK INVESTMENT" | q8j_oth=="9000,LIVESTOCK" | q8j_oth=="9400 LIVESTOCK INVESTMENT" | q8j_oth=="LIVESTOCK" | ///
	q8j_oth=="LIVESTOCK INVESTMENT" | q8j_oth=="LIVESTOCK INVESTMENTS" | q8j_oth=="300 LAND RENTED"

replace wfall_amt_farmlandlive= wfall_amt_farmlandlive+wfall_amt_oth if tochange_fl==1 & q8j_oth!="1000 EMERGENCY LIVESTOCK (2000)"
	replace wfall_amt_oth= 0 if tochange_fl==1 & q8j_oth!="1000 EMERGENCY LIVESTOCK (2000)"
replace wfall_amt_farmlandlive= wfall_amt_farmlandlive+1000 if q8j_oth=="1000 EMERGENCY LIVESTOCK (2000)" 
replace wfall_farmland=1 if tochange_fl==1
drop tochange_fl

g tochange_save=0
	replace tochange_save=1 if strpos(q8j_oth,"EMERGEN")>0 | q8j_oth=="10000, WILL SAVE IT IN A BANK INORDER F" | q8j_oth=="2000, OPEN ACCOUNT" | q8j_oth=="5000 OPEN ABANK ACCOUNT"
	replace wfall_amt_save= wfall_amt_save+wfall_amt_oth if tochange_save==1
	replace wfall_amt_oth= 0 if tochange_save==1
	replace wfall_save=1 if tochange_save==1
		drop tochange_save

replace q9_fin="" if q9_fin=="-99"
g help_acct= strpos(q9_fin,"4")>0 | q9_other9==" MY MONEY IS SAFE IN A BANK" if q9_fin!=""
g help_plan= strpos(q9_fin,"5")>0 | q9_other10=="CAN BUDGET ALITTLE MY INCOME." | q9_other9=="0N THE WAY OF THIKING IN TERMS OF STRESS MANAGEMENT DUE TO SAVINGS" | ///
	q9_other9=="I HAVE LEANT HOW TO BUDGET AND HOW TO SAVE" | q9_other9=="IT GAVE ME A VISION IN LIFE" | q9_other9=="I PROMISE INVESTMENT NOW" | ///
	q9_other9=="I'M NOW ABLE TO PLAN TOGETHER WITH MY SPOUSE." | q9_other9=="I AM KEIN TO KNOW MY INCOME AMOUNTS FROM EVERY SOURE" | ///
	q9_other9=="HELPED HIM MAKE BUDGETS AND RECORDS OF INCOME." | q9_other9=="I CAN NOW CONTROL MY FINANCIAL THROUGH BUDGETS" | q9_other9=="OPENED MY MIND ON INVESTMENTS." | ///
	q9_other9=="I AM ABLE TO PLAN FOR THE FUTURE." | | q9_other9=="IT HELPED ME MENTALLY ON HOW TO MANAGE MY ACCOUNTS" if q9_fin!=""	
g help_learn= strpos(q9_fin,"6")>0 | q9_other10=="IT HAS HELPED HER BEFORE THEY WERE VERY IGNORANT" ///
	| q9_other9=="I CANT KEEP MONEY IN THE HOUSE FOR FUTURE USE." | ///
	q9_other9=="I REALISED THE IMPOTANCE OF ACCOUNTS AND BANG" | q9_other9=="I HAVE LEANT HOW TO BUDGET AND HOW TO SAVE" | q9_other9=="I NOW KNOW HOW TO USE MONEY" if q9_fin!=""
replace help_learn=1 if q9_other9=="I AM KEIN TO KNOW MY INCOME AMOUNTS FROM EVERY SOURE" | q9_other9=="I KNOW PRODUCTS OFFERED BY BANKS" | ///
	q9_other9=="I LEARNT IMPORTANCE OF A JOINT ACCOUNT WHILE ANY OF US CAN OPERATE" | q9_other9=="IT OPENED MY MIND" | ///
	q9_other9=="I NOW KNOW IMPORTANCE OF HAVING AN INCOME SOURCELIKE BUSINESS" | q9_other9==" IT WIDENED MY SCOPE ON HOW TO SPEND MY MONEY" 
g help_pri= strpos(q9_fin,"7")>0 | strpos(q9_fin,"8")>0 | q9_other10=="HE BECOME SECURE WHEN SAVING MONEY" | /// 
	q9_other9=="GAVE ME MOTIVATION ON HOW TO SAVE & MADE ME TO BE CLOSE TO MY FAMILY MEMBERS." | q9_other9=="I NOW GET ENCOURAGED TO SAVE REGULARLY." | q9_other9=="HE LEARNED HOW TO SAVE." if q9_fin!="" 
g help_pri_spec= strpos(q9_fin,"8")>0 if q9_fin!="" 
g help_oth= strpos(q9_fin,"9")>0 | strpos(q9_fin,"10")>0 if q9_fin!="" 
g help_rel= q9_other9=="BONDED THEIR RELATIONSHIP WITH HIS WIFE" | q9_other9=="WE COULD MANAGE OUR FINANCE TOGETHER IN THE JOIN ACCOUNTS" | ///
	q9_other9=="GAVE ME MOTIVATION ON HOW TO SAVE & MADE ME TO BE CLOSE TO MY FAMILY MEMBERS." | q9_other9=="I WAS ABLE TO BUY LIVESTOCK AND IT STREINGTHENED RELATIONSHIP WITH WIFE" | ///
	q9_other9=="I'M NOW ABLE TO PLAN TOGETHER WITH MY SPOUSE." | q9_other9=="IT STRENGTHEN OUR BUSINESS AND WIFE" | q9_other9=="I WAS ABLE TO JOINTLY SAME WITH MY WIFE" | ///
	q9_other9=="IT SHOWS THE IMPORTANCE OF WORKING TOGETHER AS A TEAM" | q9_other9=="STRENGTHEN THEIR RELATIONSHIP" | q9_other9=="I NOW KNOW HOW TO SHARE MONEY WITH MY SPOUSE" if q9_fin!=""
g help_invest= q9_other9=="EMERGENCIES AND BUSINESS" | q9_other9=="I KNOW WHAT DO AND I ALSO STARTED SOMETHING WILL MAKE THE SCORE." | q9_other9=="I USED TO RECEIVE FUNDS FROM IPA THAT I INVESTED IN MY BUSINESS" | ///
	q9_other9=="I WAS ABLE TO PURCHASE LIVESTOCK / GOAT AND CATTLE." | q9_other9=="TO EXPAND MY BUSNESS" | q9_other9=="I AM ABLE TO INVEST" | q9_other9=="I WAS ABLE TO BUY LIVESTOCK" if q9_fin!=""
replace help_invest=1 if	q9_other9=="I WAS ABLE TO BUY LIVESTOCK AND IT STREINGTHENED RELATIONSHIP WITH WIFE" | q9_other9=="I RECEIVED FUNDS FROM IPA AND INCREASE MY STOCK" | ///
	q9_other9=="THROUGH THE BANK HA BEEN ABLE TO BORROW LOAN FROM THE BANK FOR BUSINESS." | q9_other9=="WAS ABLE TO BE GIVEN A LOAN AT BANK WHICH STARTED PIKY BUSINESS." | ///
	q9_other9=="WAS ABLE TO GET A LOAN WHICH SHE STARTED POULTRY FARMING" | q9_other9=="I WAS ABLE TO OPEN A BUSINESS" | q9_other9=="I RECEIVED FUNDS FOR BUSINESS" 	
replace help_invest=1 if q9_other9=="IAM ABLE TO RUN MY OWN PROJECTS" | q9_other9=="I WAS ABLE TO BOOST MY BUSINESS" | q9_other9=="I WAS ABLE TO SAVE & START MY BUSINESS." | q9_other9=="I WAS ABLE TO PURCHASE LIVESTOCK" | ///
	q9_other9=="I WAS ABLE TO TAKE A LOAN THAT RUNS MY WIFE'S BUSINESS." | q9_other9=="I WAS ABLE TO SAVE AND BOUGHT SOME COWS." | q9_other9=="SHE GOT ADVICE THAT HELPED OPEN A BUSINESS" | ///
	q9_other9=="I NOW KNOW IMPORTANCE OF HAVING AN INCOME SOURCELIKE BUSINESS" | q9_other9=="I OPENED ABUSINESS THROUGH SAVINGS" | q9_other9=="SAVED MONEY AND OPENED A BUSINESS." 
replace help_invest=1 if 	q9_other9=="I MANAGED TO OPEN MY OWN BUSINESS" | q9_other9=="STARTED POULTRY FARMING" | q9_other9=="I BOUGHT LIVESTOCK FROM MY SAVINGS" | ///
	 q9_other9=="I WAS ABLE TO BUY A COW AND IT HAS BROUGHT A LOT OF PROFIT" | q9_other9=="THE BUSINESS HAS EXPANDED" 
g nohelp= (help_acct + help_plan + help_learn + help_pri + help_oth)==0 if q9_fin!="" 

foreach var of varlist quizid-nohelp {
	ren `var' E2`var'
	}
g Einwave2=1
cd "$finaldata"	
tempfile end_ind2
save `end_ind2'

* ******************************************************************************	
* ******************************************************************************
* PREPARE BASELINE, MERGE ON TO ENDLINE
* ******************************************************************************
* ******************************************************************************

* Couple status
	use `out_ind', clear
			destring ipacou, replace
			collapse (max) Elegit_couple Efalse_couple, by(ipac)
				g Efollow=1
				tempfile couplestat
				save "`couplestat'"
* **************************************************************************		

use "$acctpath_raw/$acctlevel_raw", clear

drop   accttype joint ind_h ind_w joint_int w_int h_int indiv cashinacct  

* RESHAPE DATA TO COUPLE LEVEL!
reshape wide saved* fee* withd* dep* with_amt* freeatm ///
	open intrt atm_with* timeprefdep  active_last6 active_last12 txn_last6 txn_last12 anydep* anywith* ///
	pct0 pct2 pct6 pct10 bal* avg_bal* has_atm* synth_atm  ///
	ln_* cash_elig highest num_txn* loanmarker, i(ipacoup) j(acct) string
	
* Create some "couple level" cross account savings/use variables
foreach var in timeprefdep with_amt_6m with_amt_3y bal_6m bal_3y dep_amt_6m dep_amt_3y dep_6m dep_3y fee_6m fee_3y withd_6m withd_3y avg_bal_6m avg_bal_3y {
				g `var'= `var'IH+`var'IW+`var'J
				}	

g saved_6m= (saved_6mIH+saved_6mIW+saved_6mJ)>0
g saved_3y= (saved_3yIH+saved_3yIW+saved_3yJ)>0

foreach var in with_amt_6m with_amt_3y dep_amt_6m dep_amt_3y bal_6m bal_3y avg_bal_6m avg_bal_3y {
	g ln_`var'= ln(`var')
		}
	
	egen maxintrt= rowmax(intrtIH intrtIW intrtJ)
	egen minintrt= rowmin(intrtIH intrtIW intrtJ)

	g gapJ_IH= intrtJ-intrtIH
	g gapJ_IW= intrtJ-intrtIW
	g gapIH_IW= intrtIH-intrtIW
	
	g numopen= openIH+openIW+openJ
	g byte anyindiv= (openIH+openIW)>0
	
foreach t in J IH IW {
	la var highest`t' "Dummy - acct `t' has highest interest date"
	}
	
sort ipacoupleid
	tempfile couplelevel 
	save "`couplelevel'", replace
	
	keep ipacoupleid
		sort ipacou
		tempfile sampset
		save "`sampset'", replace

* *****************************************************************************
* *****************************************************************************
* *****************************************************************************
* MERGE ON BASELINE DATA
* *****************************************************************************
* *****************************************************************************
* *****************************************************************************
cd "$basepath_raw"
use $baseline_raw, clear
	
* NOW TRY AND IDENTIFY SWITCH POINTS IN EACH TABLE
local adder=1
g valid_tables=0
g now_tables=0
g wait_tables=0

forval i=1(5)46 {
	g switch_t`i'= 0 if  miss_t`i'!=5
	replace valid_tables= valid_tables+1 if  miss_t`i'!=5
		forval j=1/5 {
			replace switch_t`i'=`j' if d`adder'==2 & switch_t`i'==0  & miss_t`i'!=5
		local ++adder
		}
	replace switch_t`i'=6 if switch_t`i'==0 & miss_t`i'!=5
	replace wait_tables= wait_tables+1 if switch_t`i'==1
	replace now_tables= now_tables+1 if switch_t`i'==6
	}
	di `adder'

g byte now_always= now_tables==valid_tables if valid_tables>0
g byte wait_always= wait_tables==valid_tables if valid_tables>0

* GENERATE HYPERBOLIC MEASURES
g hyp_valid=0
g tot_hyp=0
g tot_rev=0
foreach val in 31 36 41 46 {
	if `val'<40 local del= 30
		if `val'>40 local del= 25
			di `del'
				local pair= `val'-`del'
	g byte hyp`val'= switch_t`val'<switch_t`pair' if miss_t`val'!=5 & miss_t`pair'!=5
	g byte rev`val'= switch_t`val'>switch_t`pair' if miss_t`val'!=5 & miss_t`pair'!=5
	g byte consistent`val'= switch_t`val'==switch_t`pair' if miss_t`val'!=5 & miss_t`pair'!=5
	replace hyp_valid= hyp_valid+1 if miss_t`val'!=5 & miss_t`pair'!=5
	replace tot_hyp= tot_hyp+1 if hyp`val'==1
	replace tot_rev= tot_rev+1 if rev`val'==1
	}
	replace tot_hyp=. if hyp_valid==0
	replace tot_rev=. if hyp_valid==0
	
* FRACTION HYPERBOLIC CHANGES 
g frac_hyp= tot_hyp/hyp_valid
g frac_rev= tot_rev/hyp_valid
	replace frac_hyp= frac_hyp>frac_rev if frac_hyp!=.
	replace frac_rev= frac_rev>frac_hyp if frac_rev!=.
	
	foreach var in frac_rev frac_hyp {
		g `var'_miss= `var'==.
		replace `var'=0 if `var'_miss==1
		}
		
ren switch_t6 switch_t13
ren switch_t1 switch_t6
ren switch_t11 switch_t20
ren switch_t16 switch_t27
ren switch_t21 switch_t55
ren switch_t26 switch_t83
ren switch_t31 switch_t7
ren switch_t36 switch_t14
ren switch_t41 switch_t28
ren switch_t46 switch_t56

* SOME AD HOC WAY OF ESTIMATING A BETA AND A DELTA
foreach t in 7 14 28 56 {
	g beta_`t'=.
		replace beta_`t'= (295/300)^(1/`t') if switch_t`t'==1
		replace beta_`t'= (255/300)^(1/`t') if switch_t`t'==2
		replace beta_`t'= (185/300)^(1/`t') if switch_t`t'==3
		replace beta_`t'= (115/300)^(1/`t') if switch_t`t'==4
		replace beta_`t'= (45/300)^(1/`t') if switch_t`t'==5
		replace beta_`t'= (5/300)^(1/`t') if switch_t`t'==6
	replace beta_`t'= beta_`t'^7
	}		
g beta1=.
	 * USE ESTIMATES FROM ALL BETA OBSERVATIONS
		egen betamean= rowmean(beta_7-beta_56)
			replace beta1= betamean if beta1==.
				drop betamean				
* NOW TRY AND ESTIMATE THE HYPERBOLIC PARAMETER
foreach t in 6 13 27 55 {
	g del_`t'=.
	local k=`t'+1
		replace del_`t'= (295/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==1 & beta1!=.
		replace del_`t'= (255/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==2 & beta1!=.
		replace del_`t'= (185/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==3 & beta1!=.
		replace del_`t'= (115/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==4 & beta1!=.
		replace del_`t'= (45/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==5   & beta1!=.
		replace del_`t'= (5/300)*(1/beta_`k'^(`t'/7)) if switch_t`t'==6	  & beta1!=.
		}	
	egen deltamean=rowmean(del_6-del_55)
	g delta1=.
		replace delta1=deltamean if delta1==.
			drop deltamean 
			
* ALSO DO A PREF PARAMETER ESTIMATE USING ALL THE DATA, ASSUMING NO TIME INCONSISTENCY
foreach t in 6 13 20 27 55 83 {
	g altb_`t'=.
		replace altb_`t'= (295/300)^(1/`t') if switch_t`t'==1
		replace altb_`t'= (255/300)^(1/`t') if switch_t`t'==2
		replace altb_`t'= (185/300)^(1/`t') if switch_t`t'==3
		replace altb_`t'= (115/300)^(1/`t') if switch_t`t'==4
		replace altb_`t'= (45/300)^(1/`t') if switch_t`t'==5
		replace altb_`t'= (5/300)^(1/`t') if switch_t`t'==6
	replace altb_`t'= altb_`t'^7
		}		
		egen altbetmean= rowmean(beta_7-beta_56 altb_6-altb_83)
		g beta3=. 
			replace beta3= altbetmean if beta3==.
			drop altbetmean

g edu= a6
	replace edu="9" if edu=="F1"
	replace edu="10" if edu=="F2"
	replace edu="11" if edu=="F3"
	replace edu="12" if edu=="F4"
	replace edu="14" if edu=="F6"
	replace edu="14" if edu=="22"
	replace edu="16" if edu=="30"
	replace edu="10" if edu=="20"
	replace edu="0" if edu=="21"
		tab edu
		destring edu, replace
	
ren a2 age
ren a8 kids
	replace kids=13 if kids==43 & male==0 /* assume this was a coding error */
g byte phone= e1==1 if e1!=.
	g byte own_phone= e1==1 & e2==1 if e1!=. & (e2!=. | e1==2)
	
* DROP INTERMEDIATE STUFF
drop switch* hyp31-consistent46 beta_* del_* altb_* 

g byte female= male==0
		
* BASIC DEMOGRAPHIC VARIABLES
	g byte edu_no= edu==0 if edu>=0 & edu<.
	g byte edu_ltpri= edu>0 & edu<8 if edu>=0 & edu<.
	g byte edu_pri= edu==8 if edu>=0 & edu<.
	g byte edu_somehs= edu>8 & edu<12 if edu>=0 & edu<.
	g byte edu_infpoly= edu==20 | edu==21 if edu>=0 & edu<.
	g byte edu_hs= edu>=12  if edu>=0 & edu<.
	g byte edu_prim= edu>=8 & edu<12 if edu<.
	
	g byte read= a3==1 if a3>0 & a3<.
	g byte write= a4==1 if a4>0 & a4<.
	g byte polygamous= a5==2 if a5<. & a5>0
	
	
	g entre= otherA7=="ARTIST BUSIA TOWN" | otherA7=="BARBER" | strpos(otherA7,"BICYC") | strpos(otherA7,"BUSINE") | strpos(otherA7,"BUTCH") | strpos(otherA7,"CARP") | ///
		strpos(otherA7,"CATERESS") | otherA7=="CATTLE KEEPING" | otherA7=="CATTLE RERIARING DAIRY AND FOR LABOUR" | otherA7=="CHARCOAL SELLER" | otherA7=="CHEMIST" | ///
		otherA7=="DRESSMAKER" | otherA7=="DRIVER" | otherA7=="DRIVING" | otherA7=="DUKA" | otherA7=="ELECRICIAN" | otherA7=="ELECTRICIAN" | otherA7=="ENTERPRENEUR" | ///
		strpos(otherA7,"FISH") | otherA7=="GRINDING" | otherA7=="GROCER" | otherA7=="HAIR DRESSER" | otherA7=="HAIR DRSSER" | otherA7=="HAS A FRUIT STILL AT HOME" | ///
		otherA7=="HOME KIOSK" | otherA7=="HORTICULTURE" | otherA7=="HOTEL" | otherA7=="HOTEL BUSINESS" | otherA7=="HOTEL OWNER" | otherA7=="HOTEL OWNER&POSHOMILL" 
	replace entre=1 if otherA7=="HOTELIER" | otherA7=="INA KALI" | otherA7=="JUA KALI" | strpos(otherA7,"LANDLORD") | otherA7=="LOCAL BREW DEALER" | otherA7=="LORRY DRIVER" | ///
		otherA7=="MARKET VENDOR" | strpos(otherA7,"MASON") | otherA7=="MECHANIC" | strpos(otherA7,"BIKE") | otherA7=="MUUZA MKATE" | otherA7=="OWNER OF GRINDING MACHINE" | ///
		otherA7=="OWNS A BUTCHERY" | otherA7=="PLAMBER" | strpos(otherA7,"PLUM") | otherA7=="PORK BUTCHERY" | otherA7=="RADIO, TV, SOLAR PANELS ETC" | strpos(otherA7,"RENT") | ///
		strpos(otherA7,"ROAD") | otherA7=="SALES BRICKS" | otherA7=="SALES CLOTHES" | otherA7=="SALES CROPS $ GOAT AT HOME" | otherA7=="SALES EGGS" | strpos(otherA7,"SALON") | ///
		strpos(otherA7,"SALOON") | strpos(otherA7,"SELL") | strpos(otherA7,"SHOP") | otherA7=="SMALL SCALE FOR COMMERCIAL PURPOSE" | otherA7=="SOLONIST" | otherA7=="TAILOR" | ///
		otherA7=="TAILORING" | otherA7=="TAXI DRIVER" | otherA7=="TRACK DRIUER" | otherA7=="VEGETABLE VENDOR" | otherA7=="VETERINARY" | otherA7=="WELDING"
	g occup_entre= a7==1 | a7==2 | a7==3 | a7==5 | a7==8 | entre if a7!=.		
		 
	g byte occup_sfarm= a7==4 if a7>0 & a7<. 
	g byte occup_mv= a7==1 if a7>0 & a7<. 
	g byte occup_boda= a7==2 if a7>0 & a7<. 
	g byte occup_other= occup_sfarm==0 & occup_mv==0 & occup_boda==0 if occup_boda!=.
					
* SAVINGS 
replace b1=2 if b1==. & b2>0 & b2!=.
replace b1=3 if b1==. & b2==3 | b2==0
replace b11=.d if b11==99
	
* WHO DECIDES ABOUT CONSUMPTION/SAVINGS IN HH
	g byte cons_me= a9==1 if a9>0 & a9<.
	g byte cons_sp= a9==2 if a9>0 & a9<.
	g byte cons_both= a9==5 if a9>0 & a9<.
	g byte cons_ind= a9==6 if a9>0 & a9<.
	g byte cons_oth= cons_me==0 & cons_sp==0 & cons_both==0 & cons_ind==0 if cons_me!=.
	g byte save_me= a10==1 if a10>0 & a10<.
	g byte save_sp= a10==2 if a10>0 & a10<.
	g byte save_both= a10==5 if a10>0 & a10<.
	g byte save_ind= a10==6 if a10>0 & a10<.
	g byte save_oth= save_me==0 & save_sp==0 & save_both==0 & save_ind==0 if save_me!=.

foreach var in cons save {
	g `var'_hub= `var'_me if female==0 & `var'_me!=.
		replace `var'_hub= `var'_sp if female==1 & `var'_me!=.
	g `var'_wife= `var'_sp if female==0 & `var'_me!=.
		replace `var'_wife= `var'_me if female==1 & `var'_me!=.
	replace `var'_both= `var'_both+`var'_ind
	}	
	replace save_both=1 if save_ind==1
	replace cons_both=1 if cons_ind==1

* USE OF DIFFERENT SAVINGS DEVICES
	g byte sd_ba= b1<=2 if b1>0 & b1<.
	g byte sd_fba= b1==1 if b1>0 & b1<.
	g byte sd_sacco= b5==1 if b5>0 & b5<.
	g byte sd_formal= sd_ba==1 | sd_sacco==1 if sd_ba!=. & sd_sacco!=.	
	g byte sd_hh= b9==1 if b9>0 & b9<.
	g byte sd_rosca= b13==1 if b13>0 & b13<.
	g byte sd_mpesa= b17==1 if b17>0 & b17<.
	g byte sd_oth= b21==1 if b21>0 & b21<.

	g W99a11= a11	
	_pctile W99a11, p(99)
		replace W99a11= r(r1) if W99a11>r(r1) & W99a11<.
		
foreach var in b2 b6 b10 b18 b22 {
	g W99`var'= `var'
		_pctile W99`var', p(99)
		replace W99`var'= r(r1) if W99`var'<. & W99`var'>r(r1)
		}
				
g savings_3d= b2+b6+b10
g savings_5d= b2+b6+b10+b18+b22
g W99savings_3d= W99b2+W99b6+W99b10
g W99savings_5d= W99b2+W99b6+W99b10+W99b18+W99b22
	la var savings_3d "Savings in bank, SACCO, at home"
	la var savings_5d "Savings in bank, SACCO, home, MPESA, other"
	la var W99savings_3d "Savings in bank, SACCO, at home - top coded"
	la var W99savings_5d "Savings in bank, SACCO, home, MPESA, other - top coded"
	
		sort ipacoupl
			merge ipacou using "`sampset'"
			tab _merge
			keep if _merge==3
			drop _merge
			
tempfile indlevel
	save "`indlevel'", replace
	
cd "$finaldata"
use "`indlevel'", clear

	g hhid2=substr(q1a,1,4)
	destring hhid2, replace
		g gen= substr(q1a,5,1)
		g gen2=1 if gen=="H"
			replace gen2=2 if gen=="W"
		g persid=gen2*10000+hhid2
		

g gender=substr(hsp_id,5,1)
	
replace read=0 if write==0 & edu==0
g byte literate= read==1 & write==1 if read!=. & write!=.


* ***************************************************
sort ipacou
	tempfile almostind
	save "`almostind'", replace
* ***************************************************

drop q1a-q6mm q8 male miss_t1-miss_t46  hsp_id otherB* a1 a6 e1-e4 q6* hhid2 gen gen2 persid 

reshape wide age-d50 joint_oth-W99savings_5d otherA* literate , i(ipacoupleid) j(gender) string

sort ipacoupleid
	tempfile baseline
	save "`baseline'", replace
	
drop _all

* NOW MERGE BASELINE INFO ONTO COUPLE AND ACCOUNT LEVEL DATASETS!
use "`couplelevel'"		
	sort ipacoupleid
	merge ipacoupleid using "`baseline'"
	tab _merge
		list ipacou if _merge==2 /* BAD ATM AND MULTIPLE ATTENDERS ARE DROPPED */
		keep if _merge==3
		drop _merge

* RECODE DEMOGRAPHICS AS NECESSARY
* VARS, SQUARED TERMS, CROSS PRODUCTS, AND DUMMIES FOR MISSING VALUES
g byte polygamous= polygamousH==1 | polygamousW==1 if (polygamousH!=. | polygamousW!=.)
foreach var in age kids edu literate a11 sd_ba savings_3d savings_5d phone cons_me cons_sp cons_both cons_ind cons_oth /// 
		save_hub save_wife cons_hub cons_wife save_me save_sp save_ind  save_both save_oth own_phone b14  polygamous ///
		occup_sfarm occup_entre occup_mv occup_boda occup_other b2 b6 b10 b18 b22 sd_rosca sd_hh sd_sacco sd_mpesa sd_oth  {
			foreach g in H W {
				g byte `var'`g'_miss= `var'`g'==. | `var'`g'==.d | `var'`g'==.n | `var'`g'==.r
					replace `var'`g'=0 if `var'`g'_miss==1
						g `var'`g'2= `var'`g'^2
				}
			g `var'HW= `var'H*`var'W
				g byte `var'HW_miss= `var'H_miss==1 | `var'W_miss==1
			}
	
foreach var in sd_ba literate phone own_phone occup_sfarm occup_entre occup_mv occup_boda occup_other {
	g byte `var'HWzero= `var'H==0 & `var'W==0
		replace `var'HWzero=0 if `var'HW_miss
		}
		
g byte polygamous_miss= polygamous==.
	replace polygamous=0 if polygamous_miss

* ***********************************************************************************
* ***********************************************************************************
	* USED ANY ACCOUNT
			foreach acct in IH IW J {
				cap g byte used`acct'= (bal2`acct'+100)!=ipadeps`acct'
					cap replace used`acct'=0 if open`acct'==0
				cap g byte saved`acct'= avg_bal2`acct'>0
					cap replace saved`acct'=0 if open`acct'==0
			}


foreach var in literate phone sd_ba {
	g byte `var'_d= `var'H!=`var'W
	replace `var'_d=0 if `var'HW_miss==1
	}

	
g base_saveJ= (joint_saved1H+joint_saved1W)/2 
	g base_saveIH= savings_5dH-joint_saved1H if base_saveJ!=. & savings_5dH_miss==0
	g base_saveIW= savings_5dW-joint_saved1W if base_saveJ!=. & savings_5dW_miss==0
	
		
* MEASURES OF HETEROGENEITY WITHIN THE HOUSEHOLD
g d_edu= eduH-eduW if eduH_miss==0 & eduW_miss==0
	qui sum d_edu, detail
		replace d_edu= d_edu-r(p50) /* normalize by median */

g d_age= ageH-ageW if ageHW_miss==0
	qui sum d_age, detail
		replace d_age= d_age-r(p50)
		
g d_kids= kidsH-kidsW if kidsHW_miss==0
	qui sum d_kids, detail
		replace d_kids= d_kids-r(p50)
		
g d_inc_raw= a11H-a11W if a11HW_miss==0
	qui sum d_inc_raw, detail
		replace d_inc_raw= d_inc_raw-r(p50)
		
g d_inc_n= (a11H-a11W)/(a11H+a11W) if a11HW_miss==0
	qui sum d_inc_n, detail
		replace d_inc_n= d_inc_n-r(p50)

g d_save_raw= savings_3dH-savings_3dW if savings_3dH_miss==0 & savings_3dW_miss==0
	qui sum d_save_raw, detail
		replace d_save_raw= d_save_raw-r(p50)
		
g d_save_n= (savings_3dH-savings_3dW)/(savings_3dH+savings_3dW) if savings_3dH_miss==0 & savings_3dW_miss==0
	qui sum d_save_n, detail
		replace d_save_n= d_save_n-r(p50)

foreach var in d_age d_edu d_kids d_inc_raw d_inc_n d_save_raw d_save_n {
	xtile t`var'= `var', nq(3)
	qui tab t`var', ge(`var'dum)
	}
	
replace freeatmJ=. if jointacctdecn==2

* SUBSISTENCE FARMER/NO JOB
g sub_unempH= a7H==4 | a7H==7 | a7H==9 if a7H!=.
g sub_unempW= a7W==4 | a7W==7 | a7W==9 if a7W!=.

foreach var in sub_unempH sub_unempW {
	g byte `var'_miss= `var'==.
	replace `var'=0 if `var'==.
	}
foreach var in sub_unemp {
	g byte `var'HW= `var'H*`var'W
	g byte `var'HW_miss= `var'H_miss | `var'W_miss
	}

	g saved_alt= saved_altIH==1 | saved_altIW==1 | saved_altJ==1
	g active_last12= active_last12IH==1 | active_last12IW==1 | active_last12J==1
	g active_last6= active_last6IH==1 | active_last6IW==1 | active_last6J==1
	 
	g village_dist= village_distH
		drop village_distH village_distW /* same for both spouses */

	foreach i in H W {
		ren frac_hyp_miss`i' frac_hyp`i'_miss 
		ren frac_rev_miss`i' frac_rev`i'_miss 
		}
		
foreach var in literate kids  polygamous occup_sfarm save_hub save_wife cons_hub cons_wife occup_entre W99a11 a11 age edu sd_ba sd_sacco sd_hh sd_rosca W99savings_3d savings_3d W99savings_5d savings_5d ///
	save_me save_sp save_both save_ind frac_hyp frac_rev b2 b6 b10 b18 b22 W99b2 W99b6 W99b10 W99b18 W99b22 cons_both cons_ind save_both save_ind {
		cap ren `var'H_miss `var'_missH
		cap ren `var'W_miss `var'_missW
		}
g village_distH=village_dist
g village_distW= village_dist

foreach var in W99savings_3d W99savings_5d W99b2 W99b6 W99b10 W99b18 W99b22 W99a11 {
	foreach g in H W {
		g `var'_miss`g'= `var'`g'==. | `var'`g'==.d | `var'`g'==.r
		replace `var'`g'=0 if `var'_miss`g'==1
		}
		}
* ***************************************************
* COUPLE LEVEL DATASET IS SAVED RIGHT HERE 
cd "$finaldata"	
	save $couplelevel, replace
* ***************************************************

* MERGE ON SELECT INFO TO INDIV LEVEL FILE
keep ipacou dist session loanmarker* avg_bal* ln*  bal* ///
	  del* beta3H beta3W maxintrt synth* fee* cashprizeamt_h cashprizeamt_w ///
	intrtIH intrtIW intrtJ pct*IH pct*IW pct*J openIH openIW openJ freeatmIH freeatmIW freeatmJ es /// 
	beta3H beta3W cashprize_h cashtofb_h cashtofb_w cashatipa_h cashatipa_w cashprize_w ///
	saved*IH saved*IW saved*J saved_6m saved_3y active* dep* withd* *txn* sub_unempH* sub_unempW* with_amt* ///
	cashprize_h cashprize_w femaleH femaleW ageH ageW eduH eduW literateH literateW literate_missH literate_missW kidsH kidsW kids_missH kids_missW /// 
	polygamousH polygamousW polygamous_missH polygamous_missW occup_sfarmH occup_sfarmW occup_entreH occup_entreW occup_sfarm_missH occup_sfarm_missW /// 
	W99a11H W99a11W W99a11_missH W99a11_missW sd_baH sd_baW sd_saccoH sd_saccoW sd_sacco_missH sd_sacco_missW sd_hhH sd_hhW sd_hh_missH sd_hh_missW /// 
	sd_roscaH sd_roscaW sd_rosca_missH sd_rosca_missW save_meH save_meW save_spH save_spW save_me_missH save_me_missW frac_hypH frac_hypW frac_revH /// 
	frac_revW frac_hyp_missH frac_hyp_missW beta3H beta3W village_distH village_distW W99b2H W99b2W W99b6H W99b6W W99b10H W99b10W b2_missH b2_missW b6_missH b6_missW b10_missH b10_missW 
			
sort ipacou
merge 1:m ipacou using "`almostind'"
	tab _merge
	keep if _merge==3 /* keep sample defined in couple level dataset */
	drop _merge
	
foreach var in sub_unemp {
	g `var'= `var'H if female==0
		replace `var'= `var'W if female==1
	
	g `var'_miss= `var'H_miss if female==0
		replace `var'_miss= `var'W_miss if female==1
	}
	
* CASH PRIZE
foreach var in cashprize cashtofb cashatipa {
	g byte `var'=`var'_h if female==0
		replace `var'= `var'_w if female
		}
		
* ADD FINAL VARIABLES
* HOUSEHOLD MEASURES OF SAVINGS
foreach var in savings_3d savings_5d {
	g `var'_h= `var' if male==1
	g `var'_w= `var' if male==0
		egen `var'_h2= max(`var'_h), by(ipacou)
		egen `var'_w2= max(`var'_w), by(ipacou)
			g `var'hh= `var'_h2 + `var'_w2
				drop `var'_h `var'_h2 `var'_w*
	}
	
* DUMMY VARIABLES PLUS FILL IN MISSINGS FOR ALL CONTROLS
foreach var of varlist age read write edu edu_no edu_ltpri edu_pri edu_somehs edu_infpoly edu_hs kids cons_me cons_sp cons_both cons_ind cons_oth /// 
		save_hub save_wife cons_hub cons_wife save_me save_sp save_ind  save_both save_oth a11 W99a11 b14 sd_ba  savings_3d /// 
		savings_5d W99savings_3d W99savings_5d polygamous savings_3dhh ///
		savings_5dhh literate b2 b10 occup_sfarm occup_entre sd_rosca sd_hh  sd_sacco sd_mpesa sd_oth own_phone phone edu_prim {
				g byte `var'_miss= `var'==. | `var'==.d | `var'==.n | `var'==.r
				replace `var'=0 if `var'_miss
			}
 g cashprize_sp= cashprize_h*female + cashprize_w*male	
 g intrtI_sp= intrtIH*female + intrtIW*male	

* INDIVIDUAL-SPECIFIC ACCOUNT USE MEASURES

foreach stem in intrt open freeatm dep_amt_6m dep_amt_3y with_amt_6m with_amt_3y dep_6m dep_3y withd_last6 withd_last12 withd_6m withd_3y fee_6m fee_3y ///
	loanmarker avg_bal_6m avg_bal_3y with_amt_last12 dep_amt_last12 dep_last6 dep_last12 txn_last6 txn_last12 active_last6 active_last12 num_txns_6m num_txns_3y ln_dep_amt_6m ln_dep_amt_3y ///
	ln_bal_6m ln_bal_3y ln_with_amt_6m ln_with_amt_3y pct0 pct2 pct6 pct10 saved_6m saved_3y saved_alt synth_atm bal_6m bal_3y {
		g `stem'I= `stem'IH*male + `stem'IW*female
		}

egen poly_sum= sum(polygamous), by(ipacou)
egen poly_sum_miss= sum(polygamous_miss), by(ipacou)
	replace polygamous= poly_sum==1 | poly_sum==2 if poly_sum_miss!=2
		drop poly_sum poly_sum_miss
			
			
			
* ***************************************************
* IND LEVEL DATASET IS SAVED RIGHT HERE 
tempfile indlevel
	save `indlevel'
* ***************************************************

use $couplelevel, clear	
* MERGE ON THE TIME PREF STUFF TO THE ACCT LEVEL AS WELL
keep ipaco frac_hypH frac_hypW-beta3W intrtJ intrtIH intrtIW edu* *_miss polygamous occup_* /// 
	   maxintrt *_n literate* a11*  ///
	 a7H a7W own_phoneH own_phoneW beta3H beta3W saved*IH saved*IW saved*J valid_tables* sub_unemp* hyp_valid* tot_hyp* tot_rev* frac_rev* frac_hyp* ///
	 sd_* b2H b2W b6H b6W b10H b10W openIH openIW openJ savings_5d* fee*IH fee*IW fee*J savings_3d* village_dist 
	sort ipaco
	tempfile cltp
	save "`cltp'", replace
drop _all
		use "$acctpath_raw/$acctlevel_raw", clear
		sort ipacou
		merge m:1 ipacou using "`cltp'", update replace
			tab _merge
			keep if _merge==3
			drop _merge
		
	replace freeatm=. if jointacctdecn==2 & joint /*these people are both to sign*/
	g byte es_j= es*joint

* ***************************************************
* ACCOUNT LEVEL DATASET IS SAVED RIGHT HERE 
	save $acctlevel, replace
* ***************************************************

* *******************************************************************
* *******************************************************************
* *******************************************************************
* NOW MERGE BASELINE AND ENDLINE TOGETHER !!!!!!!!!!!!!
* *******************************************************************
* *******************************************************************
* *******************************************************************
use `indlevel'
	g Eg_1_id= hsp_id+"0"
	tempfile yess
		save "`yess'"
	
	use `out_ind', clear
			drop hhid h_1_sex* h_3* h_4* h_5* h_6* h_8* h_10* l_* n_1_id* 
	foreach var of varlist * {
			local cmd ""
				if substr("`var'",1,1)!="E" local cmd "ren `var' E`var'"
				`cmd'
			}
				drop Eidgender 
				ren Eipacou ipacoupleid
					destring ipacou, replace
	merge 1:1 Eg_1_id using	"`yess'"
	tab _merge
	g baselineonly= _merge==2
	g inendline= _merge==3
	drop if Eorig==1 & _merge==1 /* excluded from enrollment */
		drop _merge
			
	foreach var of varlist intrtIH intrtIW intrtJ freeatm* synth_atm* cashprize* {
		egen M`var'= min(`var'), by(ipac)
		replace `var'=M`var' if `var'==.
		drop M`var'
		}
	replace female= Efemale if female==.	
	replace male= 1-Efemale if male==.
	g sdum= session<11
	g myint=max(intrtIH,intrtJ) if female==0
	replace myint=max(intrtIW,intrtJ) if female==1
		
	egen index=group(openIH openIW openJ female)
		qui tab index, ge(idum)
	g goodatm= (freeatmIH&male) | freeatmJ
	g myfee_6m= fee_6mIH*male + fee_6mIW*female + fee_6mJ/2
	g myfee_3y= fee_3yIH*male + fee_3yIW*female + fee_3yJ/2	
		
* MERGE ON STUFF FROM WAVE 2 
merge 1:1 Eg_1_id using `end_ind2'
	drop if _merge==2 /* excluded from enrollment */
	drop _merge
	cap replace Einwave1=0 if Einwave1==.
	cap replace Einwave2=0 if Einwave2==.

	
* CHECK FOR EXTREME DEVIATIONS BEFORE WINSORIZING
g inflation_factor= (131.78 - 102.90) / 102.90 /* Sept quarter CPIs for 2009 and 2012 from http://www.knbs.or.ke/index.php?option=com_phocadownload&view=category&id=8&Itemid=509 */
g inflation_factor2= (140.99 - 102.90) / 102.90 /* Sept quarter CPIs for 2009 and 2013 from http://www.knbs.or.ke/index.php?option=com_phocadownload&view=category&id=8&Itemid=509 */
	la var inflation_factor "Inflation from Q3 2009 to Q3 2012"
	la var inflation_factor2 "Inflation from Q3 2009 to Q3 2013"
g a11_month= a11*30.5/7 if a11_miss==0 
g diff1= (Einc_lastm/(1+inflation_factor) - a11_month) 
g diff2= (E2inc_month/(1+inflation_factor2) - Einc_lastm/(1+inflation_factor)) 
g diff3= (E2profit_month/(1+inflation_factor2) - Einc_bus/(1+inflation_factor)) 

g iEinc_lastm= Einc_lastm/(1+inflation_factor) 
g iEinc_bus= Einc_bus/(1+inflation_factor)

sum iEinc_lastm if Eorig==1 & male
	replace E2inc_month=. if abs(diff2)>=r(sd)*7 & diff2!=. & male
sum iEinc_bus if Eorig==1 & male
	replace E2profit_month=. if abs(diff3)>=r(sd)*7 & diff3!=. & male

sum iEinc_lastm if Eorig==1 & female
	replace E2inc_month=. if abs(diff2)>=r(sd)*7 & diff2!=. & female
sum iEinc_bus if Eorig==1 & female
	replace E2profit_month=. if abs(diff3)>=r(sd)*7 & diff3!=. & female
	
drop iEinc_lastm iEinc_bus diff1 diff2 diff3 a11_month

	
	
* ***********************************************************************************	
* ***********************************************************************************
* PERFORM WINSORIZING HERE	
* ***********************************************************************************	
* ***********************************************************************************	

* note: winsorized vars will be MISSING for all split spouses!!!
foreach var in save_rosca save_rosca_r save_rosca_s save_rosca_j save_ba save_ba_r save_ba_s save_ba_j save_bus save_bus_r save_bus_j save_bus_s save_otherinv save_otherinv_r save_otherinv_s save_otherinv_j ///
	save_home save_home_r save_home_s save_home_j save_sacco save_sacco_r save_sacco_s save_sacco_j save_mpesa save_mpesa_r save_mpesa_s save_mpesa_j /// 
	save_renovate save_renovate_r save_renovate_s save_renovate_j inc_bus inc_bus_r inc_bus_s inc_bus_j inc_farm inc_farm_r inc_farm_s inc_farm_j inc_oth inc_oth_r inc_oth_s inc_oth_j /// 
	inc_wage inc_wage_r inc_wage_s inc_wage_j value_livestock ///
	debt_family debt_family_r debt_family_s debt_family_j debt_banks debt_banks_r debt_banks_s debt_banks_j debt_mfi debt_mfi_r debt_mfi_s debt_mfi_j debt_moneylend debt_moneylend_r debt_moneylend_s /// 
	debt_moneylend_j debt_shops debt_shops_r debt_shops_s debt_shops_j debt_other debt_other_r debt_other_s debt_other_j /// 
	xfer_rec_outside xfer_rec_outside_r xfer_rec_outside_s xfer_rec_outside_j xfer_give_outside xfer_give_outside_r xfer_give_outside_s xfer_give_outside_j /// 
	xfer_rec_spouse xfer_give_spouse xfer_rec_hhmem xfer_rec_hhmem_r xfer_rec_hhmem_s xfer_rec_hhmem_j xfer_give_hhmem xfer_give_hhmem_r xfer_give_hhmem_s xfer_give_hhmem_j  {

	g EW`var'= E`var' if Eorig==1
		_pctile EW`var' if Eorig==1, p(99.5)
			replace EW`var'= r(r1) if EW`var'>r(r1) & EW`var'!=.
	
	* robustness: code missings (aka d/k) as '0' instead of .
	g EM`var'= E`var'
		replace EM`var'=0 if E`var'==.

	g EMW`var'= EM`var' if Eorig==1
		_pctile EMW`var' if Eorig==1, p(99.5)
			replace EMW`var'= r(r1) if EMW`var'>r(r1) & EMW`var'!=.

			
	foreach num in 99 98 95 90 {
	g EW`num'`var'= E`var' if Eorig==1
		_pctile EW`num'`var', p(`num')
			replace EW`num'`var'= r(r1) if EW`num'`var'>r(r1) & EW`num'`var'!=.

	g EMW`num'`var'= EM`var' if Eorig==1
		_pctile EMW`num'`var', p(`num')
			replace EMW`num'`var'= r(r1) if EMW`num'`var'>r(r1) & EMW`num'`var'!=.
	}	
	}	
	
	
	foreach win in W W99 W98 W95 W90 M MW MW99 MW98 MW95 MW90 {
		g E`win'inc_lastm_r= E`win'inc_bus_r + E`win'inc_farm_r + E`win'inc_wage_r + E`win'inc_oth_r
		g E`win'inc_lastm_j= (E`win'inc_bus_j + E`win'inc_farm_j + E`win'inc_wage_j + E`win'inc_oth_j) if Emarr==1
			replace E`win'inc_lastm_j=0 if Emarr==0
		g E`win'inc_lastm_s= (E`win'inc_bus_s + E`win'inc_farm_s + E`win'inc_wage_s + E`win'inc_oth_s) if Emarr==1
			replace E`win'inc_lastm_s=0 if Emarr==0
		g E`win'inc_lastm= E`win'inc_bus + E`win'inc_farm + E`win'inc_wage + E`win'inc_oth
		
		g E`win'total_assets_r= E`win'save_ba_r + E`win'save_rosca_r + E`win'save_bus_r + E`win'save_home_r + E`win'save_sacco_r + E`win'save_mpesa_r + E`win'save_otherinv_r + E`win'value_livestock if Emarr==0
			replace E`win'total_assets_r= E`win'save_ba_r + E`win'save_rosca_r + E`win'save_bus_r + E`win'save_home_r + E`win'save_sacco_r + E`win'save_mpesa_r + E`win'save_otherinv_r if Emarr==1
		g E`win'total_assets_j= (E`win'save_ba_j + E`win'save_rosca_j + E`win'save_bus_j + E`win'save_home_j + E`win'save_sacco_j + E`win'save_mpesa_j + E`win'save_otherinv_j + .5*E`win'value_livestock) if Emarr==1
			replace E`win'total_assets_j= 0 if Emarr==0	
		g E`win'total_assets_s= (E`win'save_ba_s + E`win'save_rosca_s + E`win'save_bus_s + E`win'save_home_s + E`win'save_sacco_s + E`win'save_mpesa_s + E`win'save_otherinv_s) if Emarr==1
			replace E`win'total_assets_s= 0 if Emarr==0	
		g E`win'total_assets= E`win'save_ba + E`win'save_rosca + E`win'save_bus + E`win'save_home + E`win'save_sacco + E`win'save_mpesa + E`win'save_otherinv + E`win'value_livestock*.5 if Emar==1
			replace E`win'total_assets= E`win'save_ba + E`win'save_rosca + E`win'save_bus + E`win'save_home + E`win'save_sacco + E`win'save_mpesa + E`win'save_otherinv + E`win'value_livestock if Emar==0		
		
		g E`win'debt_r= E`win'debt_family_r + E`win'debt_banks_r + E`win'debt_mfi_r + E`win'debt_moneylend_r + E`win'debt_shops_r + E`win'debt_other_r
		g E`win'debt_j= (E`win'debt_family_j + E`win'debt_banks_j + E`win'debt_mfi_j + E`win'debt_moneylend_j + E`win'debt_shops_j + E`win'debt_other_j) if Emarr==1
			replace E`win'debt_j=0 if Emarr==0
		g E`win'debt= E`win'debt_family + E`win'debt_banks + E`win'debt_mfi + E`win'debt_moneylend + E`win'debt_shops + E`win'debt_other
		}
		
	foreach stem in profit_monthly inc_monthly {
		g E2M`stem'= E2`stem'
			replace E2M`stem'=0 if E2M`stem'==. & Einwave2==1

		foreach part in E2 E2M {			
		g `part'W`stem'= `part'`stem' if Eorig==1
			_pctile `part'W`stem' if Eorig==1, p(99.5)
				replace `part'W`stem'= r(r1) if `part'W`stem'>r(r1) & `part'W`stem'!=.

		foreach num in 99 98 95 90 {
			g `part'W`num'`stem'= `part'`stem' if Eorig==1
				_pctile `part'W`num'`stem', p(`num')
					replace `part'W`num'`stem'= r(r1) if `part'W`num'`stem'>r(r1) & `part'W`num'`stem'!=.
			}
		}
	}	
	
	foreach stem in inc profit {
		g E2M`stem'_raw= E2`stem'_raw
			replace E2M`stem'_raw=0 if E2M`stem'_raw==. & Einwave2==1

		foreach part in E2 E2M {			
		g `part'W`stem'_raw= `part'`stem'_raw if Eorig==1
		
			foreach type in D W M X {
				_pctile `part'W`stem'_raw if Eorig==1 & E2`stem'_int=="`type'", p(99.5)
					replace `part'W`stem'_raw= r(r1) if `part'W`stem'_raw>r(r1) & `part'W`stem'_raw!=. & E2`stem'_int=="`type'"
			}

		foreach num in 99 98 95 90 {
			g `part'W`num'`stem'_raw= `part'`stem'_raw if Eorig==1
				foreach type in D W M X {
					_pctile `part'W`num'`stem'_raw if E2`stem'_int=="`type'", p(`num')
					replace `part'W`num'`stem'_raw= r(r1) if `part'W`num'`stem'_raw>r(r1) & `part'W`num'`stem'_raw!=. & E2`stem'_int=="`type'"
				}
			}
		}
	}	
		
* ALMOST FINISHED....
g Ecoupleid= substr(Eg_1_id,1,4)+Ehhnum
tempfile xx12
	save "`xx12'"
		keep if Ehhnum!=""
		keep if Einwave1==1
		replace gender= substr(Eg_1_id,5,1)
keep Ecoupleid gender Eage Eedu Eliterate Einc_lastm_r Esave_sp Econs_sp Esave_me Econs_me Eg_1_id Etotal_assets_r Etotal_assets
	 		
* STANDARDIZED MEASURES OF AGE, EDU, LITERACY, INCOME FOR BARGAINING POWER MEASURE
foreach var in Eage Eedu Eliterate Einc_lastm_r {
	qui sum `var'
	g `var'_s= (`var'-r(mean))/r(sd)
	}

reshape wide Eage* Eedu* Eliterate* Einc_lastm_r* Esave_sp Econs_sp Esave_me Econs_me Eg_1_id Etotal_assets_r Etotal_assets, i(Ecoupleid) j(gender) string
	foreach var in Eage_s Eliterate_s Eedu_s Einc_lastm_r_s {
		g del`var'= `var'H-`var'W
		}
						
* 2) BASED ON DEMOGRAPHIC DIFFERENCES
g bp_demoH= (delEage_s + delEliterate_s + delEedu_s + delEinc_lastm_r_s)/4
g bp_demoW= bp_demoH*-1	

* 2b) PCA AGGREGATION
	pca delEage_s delEliterate_s delEedu_s delEinc_lastm_r_s
		predict alt_bp_demoH
		sum alt_bp_demoH
			replace alt_bp_demoH= (alt_bp_demoH-r(mean))/r(sd)
	foreach var in Eage_s Eliterate_s Eedu_s Einc_lastm_r_s {
		drop del`var'
		}			
	g alt_bp_demoW= alt_bp_demoH*-1	

* BASED ON WHO DECIDES
foreach var in Esave_spH Econs_spH Esave_meW Econs_meW {
	replace `var'= `var'*-1
	}	
g simple_decideH= Esave_meH+Esave_spH+Econs_meH+Econs_spH+Esave_meW+Esave_spW+Econs_meW+Econs_spW
	g simple_decideW= simple_decideH*-1
pca Esave_meH Econs_meH Esave_spW Econs_spW Esave_spH Econs_spH Esave_meW Econs_meW
	predict decideH
		sum decideH
			replace decideH= (decideH-r(mean))/r(sd)
			g decideW= decideH*-1

* FRACTION OF ASSETS
g EfracH= Etotal_assets_rH/(Etotal_assetsH+Etotal_assetsW)
g EfracW= Etotal_assets_rW/(Etotal_assetsH+Etotal_assetsW)
	
keep simple_decide* decide* alt_bp_demo* bp_demo* Ecoupleid Eg_1_id* Efrac*

reshape long simple_decide decide alt_bp_demo bp_demo Eg_1_id Efrac, i(Ecoupleid) j(gender) string
	foreach var in simple_decide decide alt_bp_demo bp_demo {
		ren `var' E`var'
		}
la var Efrac "Fraction of assets individually owned by respondent"

	drop gender 
	drop if Eg_1_id==""
	merge 1:m Eg_1_id using "`xx12'"
		tab _merge
		drop _merge
			
replace active_last12= active_last12I==1 | active_last12J==1

g Esaver= Esave_ba>0 if Esave_ba!=.


g Enetass= Etotal_assets - Edebt
	g EW99netass= EW99total_assets - EW99debt
g Enetass_r= Etotal_assets_r - Edebt_r
g EW99netass_r= EW99total_assets_r - EW99debt_r
g Enetass_j= Etotal_assets_j - Edebt_j
g EW99netass_j= EW99total_assets_j - EW99debt_j

foreach var in W99b2 W99b6 W99b10 W99b18 W99b22 {
	g `var'_miss= `var'==. | `var'==.d | `var'==.r
	replace `var'=0 if `var'_miss==1
	}
	

g max6= maxint==6
g max10= maxint==10
g maxIH= maxint==intrtIH
g maxIW= maxint==intrtIW
	
 	g synth_atmI_sp= (synth_atmIH*female + synth_atmIW*male)
	g sessdum= session>=11
	foreach num in 0 2 6 10 {
		g pct`num'I_sp= pct`num'IH*female + pct`num'IW*male
		}
	foreach var in intrtIH intrtIW intrtJ intrtI intrtI_sp {
		replace `var'= `var'/10
	}
 	foreach var in b6 b18 b22 {
		g `var'_miss= `var'>=.
		replace `var'=0 if `var'_miss==1
	}
		tempfile merged_ind
		save `merged_ind', replace	
	
* ******************************************************************************	
* ******************************************************************************
* FINAL ANALYSIS DATASET
* ******************************************************************************
* ******************************************************************************

cd "$finaldata"
use $acctlevel, clear
	foreach var in avg_bal_6m dep_amt_6m bal_6m {
	replace `var'=`var'-100		
	}
foreach var in dep_amt_6m dep_amt_last12 with_amt_6m with_amt_last12 bal_6m bal_3y avg_bal_6m {
	fixout `var'	
	ren W`var' XX`var'
	g JXX`var'= XX`var'*joint
		egen XX`var'J= max(JXX`var'), by(ipacou)
			replace XX`var'J= XX`var'J/2
		drop JXX`var'
	}
	
	g gender= "H" if ind_h==1
		replace gender= "W" if ind_w==1
		drop if gender==""
		
keep ipac gender XX*
	tempfile acctdata
	save "`acctdata'"


use `merged_ind', clear
keep if Eorig==1	
	foreach var in Einc_lastm EW99inc_lastm EW99inc_bus Ehasbusinc {
		ren `var' `var'1
		}
	ren E2W99inc_monthly EW99inc_lastm2
	ren E2W99profit_monthly EW99inc_bus2	
	ren E2has_profit Ehasbusinc2
	ren E2inc_monthly Einc_lastm2
		replace Ehasbusinc2=. if EW99inc_bus2==.

keep EW99inc_lastm1 EW99inc_lastm2  EW99inc_bus1 EW99inc_bus2 Ehasbusinc1 Ehasbusinc2 Einc_lastm2 Einc_lastm1 Eg_1_id intrtI intrtI_sp intrtJ  maxint max6 max10 maxIH maxIW cashprize cashprize_sp ipac synth_atmI synth_atmI_sp synth_atmJ es sessdum pct* female occup_entre occup_entre_miss
reshape long EW99inc_lastm EW99inc_bus Ehasbusinc Einc_lastm, i(Eg_1_id) j(round)
	ren EW99inc_lastm INCOME
	ren Einc_lastm INCOME_RAW
	ren EW99inc_bus PROFIT
	ren Ehasbusinc HAS_PROFIT
	tempfile panel
		save "`panel'"
use `merged_ind', clear		
	drop if Eorig==0
	
	merge 1:1 ipac gender using "`acctdata'"
		drop if _merge==2 // only in bank acct data
		drop _merge
		
g saved_any6m= saved_6mI + saved_6mJ>0
replace active_last12= active_last12I + active_last12J>0

foreach ed in 3y {
	replace avg_bal_`ed'I=  avg_bal_`ed'I-100
	replace avg_bal_`ed'J=  avg_bal_`ed'J-100	
	}	

foreach var in dep_amt_6m dep_amt_last12 with_amt_6m with_amt_last12 bal_6m bal_3y avg_bal_6m {
	
g W`var'I= XX`var'
g W`var'J= XX`var'J
	cap drop T`var'
	g T`var'= W`var'I + W`var'J
	}

la var openI "\specialcell{Opened \\ Account}"
la var saved_6mI "\specialcell{Used \\ Account}"
la var Wdep_amt_6mI "\specialcell{Total \\ Deposits}" 
la var Wwith_amt_6mI "\specialcell{Total \\ With- \\ drawals}"
la var Wbal_6mI "\specialcell{Ending \\ Balance}"
la var Wavg_bal_6mI "\specialcell{Average \\ Balance}"

la var openJ "\specialcell{Opened \\ Account}"
la var saved_6mJ "\specialcell{Used \\ Account}"
la var Wdep_amt_6mJ "\specialcell{Total \\ Deposits}" 
la var Wwith_amt_6mJ "\specialcell{Total \\ With- \\ drawals}"
la var Wbal_6mJ "\specialcell{Ending \\ Balance}"
la var Wavg_bal_6mJ "\specialcell{Average \\ Balance}"
la var Tdep_amt_6m "\specialcell{Total \\ Deposits}" 
la var Twith_amt_6m "\specialcell{Total \\ With- \\ drawals}"

la var active_last12I "\specialcell{Used \\ Account}"
la var Wdep_amt_last12I "\specialcell{Total \\ Deposits}" 
la var Wwith_amt_last12I "\specialcell{Total \\ With- \\ drawals}"
la var Wbal_3yI "\specialcell{Ending \\ Balance}"
cap la var Wabl3I "\specialcell{Average \\ Balance}"
la var active_last12J "\specialcell{Used \\ Account}"
la var Wdep_amt_last12J "\specialcell{Total \\ Deposits}" 
la var Wwith_amt_last12J "\specialcell{Total \\ With- \\ drawals}"
la var Wbal_3yJ "\specialcell{Ending \\ Balance}"
cap la var Wabl3J "\specialcell{Average \\ Balance}"

la var Esd_ba_ind "\specialcell{Has \\ Account}"
la var saved_any6m "\specialcell{Used Ind. \\ Or Joint}"
la var active_last12 "\specialcell{Used Ind. \\ Or Joint}"
la var Tavg_bal_6m "\specialcell{Average \\ Balance}"
la var Tbal_6m "\specialcell{Ending \\ Balance}"
la var Tbal_3y "\specialcell{Ending \\ Balance}"
la var Esd_ba_any "\specialcell{Has \\ Account}"
la var EW99save_ba "\specialcell{Account \\ Balance}"	
la var EW99value_livestock "\specialcell{Value \\ Livestock}"	
replace occup_entre=. if occup_entre_miss==1

	
	fixout E2labor_ownb
	
	append using "`panel'"
	replace round=0 if round==.
	
	qui sum inflation_factor
	replace inflation_factor= r(mean) if inflation_factor==.
qui sum inflation_factor2
	replace inflation_factor2= r(mean) if inflation_factor2==.
	
// DEFLATE STUFF

* DEFLATE 2013, 2012 KSH INTO 2009 KSH USING KENYAN CPI
foreach var of varlist EW* Einc_lastm Einc_bus Etotal_assets Esave_bus Evalue_livestock /// 
	Esave_rosca_r Esave_rosca_j Esave_ba_r Esave_ba_s Esave_ba_j Esave_bus_r Esave_bus_j Esave_bus_s Esave_otherinv_r Esave_otherinv_s Esave_otherinv_j ///
	Esave_home_r Esave_home_s Esave_home_j Esave_sacco_r Esave_sacco_s Esave_sacco_j Esave_mpesa_r Esave_mpesa_s Esave_mpesa_j /// 
	Esave_renovate_r Esave_renovate_s Esave_renovate_j Einc_bus_r Einc_bus_s Einc_bus_j Einc_farm_r Einc_farm_s Einc_farm_j Einc_oth_r Einc_oth_s Einc_oth_j /// 
	Einc_wage_r Einc_wage_s Einc_wage_j ///
	Edebt_family_r Edebt_family_s Edebt_family_j Edebt_banks_r Edebt_banks_s Edebt_banks_j Edebt_mfi_r Edebt_mfi_s Edebt_mfi_j Edebt_moneylend_r Edebt_moneylend_s /// 
	Edebt_moneylend_j Edebt_shops_r Edebt_shops_s Edebt_shops_j Edebt_other_r Edebt_other_s Edebt_other_j Wbal_3yI Wbal_3yJ Tbal_3y {
	replace `var'= `var'/(1+inflation_factor) 
	}
foreach var of varlist E2*inc_mon* E2*profit_mon* E2*inc_raw E2*profit_raw {
	replace `var'= `var'/(1+inflation_factor2) 
	}
foreach var in INCOME INCOME_RAW PROFIT {
	replace `var'= `var'/(1+inflation_factor)  if round==1
	replace `var'= `var'/(1+inflation_factor2) if round==2
	}

foreach var in Edebt Etotal_assets Einc_lastm Esave_ba Einc_bus Esave_bus {
	fixout `var'
	}
g lass= asinh(Etotal_assets)
g linc= asinh(INCOME_RAW)
g linc1= asinh(Einc_lastm)
g linc2= asinh(E2inc_month)
replace Evalue_livestock= Evalue_livestock*.5	
replace EW99value_livestock= EW99value_livestock*.5	
	fixout Evalue_livestock
fixout E2inc_month
g mecons= Econs_me==1 | Econs_ind==1 if Econs_both!=.
g mesave= Esave_me==1 | Esave_ind==1 if Esave_both!=. 
g agg= Eladder_spend + Eladder_amtsave + Eladder_howsave + Eladder_kids + Eladder_selft + Eladder_spt	
g anyreno= Esave_renovate>0 if Esave_renovate!=.
g Edecide_ind= Esave_me + Esave_sp + Esave_ind
g like10= Emjaza_like>=10 if Emjaza_like!=.
g help10= Emjaza_help>=10 if Emjaza_help!=.

la var Emjaza_help "\specialcell{Helpful: \\ Scale}"
la var  Emjaza_likely "\specialcell{Sign Up: \\ Scale}" 
la var like10 "\specialcell{Sign Up: \\ 10/10}" 
la var help10 "\specialcell{Helpful: \\ 10/10}"
la var LEvalue_livestock "\specialcell{Value \\ Livestock \\ (Hypersine)}"
la var anyreno "\specialcell{Any \\ Renovations \\ Last Year}"
la var Egood_roof "\specialcell{Home Has \\ Permanent \\ Roof}"
la var Eladder_spend "\specialcell{Agreement - \\ How to Spend \\ Money}"
la var Eladder_amtsave "\specialcell{Agreement - \\ How Much \\ to Save}"
la var Esave_both "\specialcell{Savings Decision \\ Making - Decide \\ Together}"
la var EW99total_assets "\specialcell{Total \\ Assets}"
la var EW99debt "Debt"
la var EW99netass "\specialcell{Assets \\ Net Debt}"
la var EW99inc_lastm "\specialcell{Monthly \\ Income \\ Wave 1}"
la var E2W99inc_month "\specialcell{Monthly \\ Income \\ Wave 2}" 
la var INCOME "\specialcell{Monthly \\ Income \\ Pooled}" 
la var lass "\specialcell{Total \\ Assets}"
la var linc "\specialcell{Monthly \\ Income \\ Pooled}"
la var linc1 "\specialcell{Monthly \\ Income \\ Wave 1}"
la var linc2 "\specialcell{Monthly \\ Income \\ Wave 2}"
la var Eoccup_entre "\specialcell{Main \\ Occupation \\ Entrepreneur}"
la var Ehasbusinc "\specialcell{Operating \\ Business}"
la var EW99save_bus "\specialcell{Business \\ Capital}" 
la var EW99inc_bus "\specialcell{Business \\ Profit}"
la var E2has_bus "\specialcell{Operating \\ Business}" 
la var E2W99profit_month "\specialcell{Business \\ Profit}"
la var WE2labor_ownb "\specialcell{Hours \\ Worked on \\ Business}"
la var HAS_PROFIT "\specialcell{Operating \\ Business}"
la var PROFIT "\specialcell{Business \\ Profit}"
la var E2save_pri "\specialcell{Savings \\ a Priority}"
la var E2reg_save "\specialcell{Saves \\ Regularly}"
la var E2hasacct_bus "\specialcell{Has Business \\ Budget}"
la var E2inflex_bus "\specialcell{Downwardly \\ Rigid Business \\ Budget}"
la var EW99inc_lastm_r "\specialcell{Income - \\ All Sources}"
la var EW99total_assets_r "\specialcell{Assets - \\ All Sources}"
la var EW99inc_bus_r "\specialcell{Business \\ Profits}"
la var EW99save_bus_r "\specialcell{Business \\ Capital}"
la var EW99inc_lastm_j "\specialcell{Income - \\ All Sources}"
la var EW99total_assets_j "\specialcell{Assets - \\ All Sources}"
la var EW99inc_bus_j "\specialcell{Business \\ Profits}"
la var EW99save_bus_j "\specialcell{Business \\ Capital}"
la var EW99save_rosca "\specialcell{ROSCA \\ Savings}" 
la var EW99save_sacco "\specialcell{SACCO \\ Savings}" 
la var EW99save_mpesa "\specialcell{Mobile \\ Money \\ Savings}" 
la var EW99save_home "\specialcell{Home \\ Savings}" 
la var EW99save_otherinv "\specialcell{Other \\ Savings}"
la var EW99inc_farm "\specialcell{Farm \\ Income}"
la var EW99inc_wage "\specialcell{Wage \\ Income}"
la var EW99inc_oth "\specialcell{Other \\ Income}"
la var EW99debt_banks "Banks"
la var EW99debt_mfi "MFIs"
la var EW99debt_family "\specialcell{Family \\ Members}"
la var EW99debt_moneylend "\specialcell{Money- \\ Lenders}"
la var EW99debt_shops "Shops"
la var EW99debt_other "\specialcell{Other \\ Sources}"
cap drop male
	g male= 1-female
	
	g byte town= session==21 | session==23 | session==28 | session==19 ///
		| session==11 | session==13 | session==3 | session==7 | session==14 | session==16 | session==17 ///
		| session==30 | session==32
	
cd "$finaldata"
	
save $ind_final, replace	
	
	
	
	
	
	
	
	
	
		
