*************************************
** Label LongRun_AcctLevelData.dta **
*************************************

cd "$finaldata"

use $acctlevel, clear

label var a11H "Income in the last week, by husband"
label var a11HW_miss "Income in the last week by both wife and husband, missing indicator"
label var a11W "Income in the last week, by wife"
label var a7H "Occupation, husband"
label var a7W "Occupation, wife"
label var ageHW_miss "Age of husband or wife, missing indicator"
label var b10H "Cash at home, by husband"
label var b10W "Cash at home, by wife"
label var b2H "Balance in savings account, by husband"
label var b2W "Balance in savings account, by wife"
label var b6H "Balance in SACCO account, by husband"
label var b6W "Balance in SACCO account, by wife"
label var beta1W "Wife's estimated exponential discount factor using -future vs future- time preference choices"
label var beta3H "Husband's estimated exponential discount factor using all time preference choices"
label var beta3W "Wife's estimated exponential discount factor using all time preference choices"
label var d_inc_n "Income difference btw husband and wife, normalized"
label var d_save_n "Savings difference btw husband and wife, normalized"
label var delta1W "Wife's estimated hyperbolic discount factor"
label var eduH "Level of education (years), husband"
label var eduW "Level of education (years), wife"
label var es_j "Was the household selected for extra statements, joint account"
label var fee_3yIH "Total fees charged in 3y after project, husband account"
label var fee_3yIW "Total fees charged in 3y after project, wife account"
label var fee_3yJ "Total fees charged in 3y after project, joint account"
label var fee_6mIH "Total fees charged in 6m after project, husband account"
label var fee_6mIW "Total fees charged in 6m after project, wife account"
label var fee_6mJ "Total fees charged in 6m after project, joint account"
label var frac_hypH "Fraction hyperbolic preference reversals, husband"
label var frac_hypW "Fraction hyperbolic preference reversals, wife"
label var frac_hyp_missH "Fraction hyperbolic preference reversals, husband, missing indicator"
label var frac_hyp_missW "Fraction hyperbolic preference reversals, wife, missing indicator"
label var frac_revH "Fraction reverse hyperbolic preferences, husband"
label var frac_revW "Fraction reverse hyperbolic preferences, wife"
label var frac_rev_missH "Fraction reverse hyperbolic preferences, husband, missing indicator"
label var frac_rev_missW "Fraction reverse hyperbolic preferences, wife, missing indicator"
label var hyp_validH "Husband has hyperbolic preferences"
label var hyp_validW "Wife has hyperbolic preferences"
label var intrtIH "Interest on husband's account"
label var intrtIW "Interest on wife's account"
label var intrtJ "Interest on joint account"
label var kidsH "# of kids, husband"
label var kidsHW_miss "# kids missing, husband or wife report"
label var literateH "Husband is literate"
label var literateW "Wife is literate"
label var literate_missH "Husband is literate,missing indicator"
label var literate_missW "Wife is literate,missing indicator"
label var maxintrt "Max interest among H, W, and/or J accounts"
label var occup_entreH "Husband is an entrepreneur"
label var occup_entreW "Wife is an entrepeneur"
label var occup_sfarmH "Husband is small farmer"
label var occup_sfarmW "Wife is small farmer"
label var occup_sfarm_missH "Husband is small farmer, missing indicator"
label var occup_sfarm_missW "Wife is small farmer, missing indicator"
label var openIH "Husband's account is open"
label var openIW "Wife's account is open"
label var openJ "Joint account is open"
label var own_phoneH "Husband owns phone"
label var own_phoneW "Wife owns phone"
label var polygamous "Polygamous household"
label var save_meH "Husband reports he does most of saving in HH"
label var save_spH "Husband reports his wife does most of saving in HH"
label var saved_3yIH "Saved in husband's acct - balance greater than IPA deposits - 3y"
label var saved_3yIW "Saved in wife's acct - balance greater than IPA deposits - 3y"
label var saved_3yJ "Saved in joint acct - balance greater than IPA deposits - 3y"
label var saved_6mIH "Saved in husband's acct - balance greater than IPA deposits - 6m"
label var saved_6mIW "Saved in wife's acct - balance greater than IPA deposits - 6m"
label var saved_6mJ "Saved in joint acct - balance greater than IPA deposits - 6m"
label var saved_altIH "Husband made at least one deposit - 3y"
label var saved_altIW "Wife made at least one deposit - 3y"
label var saved_altJ "Husband or wife made at least one deposit - 3y"
label var saved_alt_6mIH "Husband made at least one deposit - first 6 months"
label var saved_alt_6mIW "Wife made at least one deposit - first 6 months"
label var saved_alt_6mJ "Husband or wife made at least one deposit - first 6 months"
label var savings_3dH "Savings in bank, SACCO, at home by husband"
label var savings_5dH "Savings in bank, SACCO, at home, MPESA, other by husband"
label var sd_baH "Husband has savings account"
label var sd_baW "Wife has savings account"
label var sd_hhH "Husband saves at home"
label var sd_hhW "Wife saves at home"
label var sd_hh_missH "Husband saves at home, missing indicator"
label var sd_hh_missW "Wife saves at home, missing indicator"
label var sd_roscaH "Husband saves in ROSCA"
label var sd_roscaW "Wife saves in ROSCA"
label var sd_rosca_missH "Husband saves in ROSCA, missing indicator"
label var sd_rosca_missW "Wife saves in ROSCA, missing indicator"
label var sd_saccoH "Husband has SACCO acct"
label var sd_saccoW "Wife has SACCO acct"
label var sd_sacco_missH "Husband has SACCO acct, missing indicator"
label var sd_sacco_missW "Wife has SACCO acct, missing indicator"
label var sub_unempH "Husband is small farmer, unemployed, or househusband"
label var sub_unempW "Wife is a small farmer, unemployed, or housewife"
label var tot_hypH "Husband's hyperbolic measure"
label var tot_hypW "Wife's hyperbolic measure"
label var tot_revH "Husband's reverse hyperbolic measure"
label var tot_revW "Wife's reverse hyperbolic measure"
label var valid_tablesH "Husband valid tables"
label var valid_tablesW "Wife valid tables"
label var village_dist "Distance from village to bank, miles"


*Drop variables
#delimit;
drop a11H2 a11HW a11W2 a11_missH a11_missW b10HW_miss b14HW_miss b14H_miss b14W_miss 
b18HW_miss b22HW_miss b2HW_miss b6HW_miss cons_bothHW_miss cons_hubHW_miss cons_indHW_miss 
cons_meHW_miss cons_meH_miss cons_meW_miss cons_othHW_miss cons_othH_miss cons_othW_miss 
cons_spHW_miss cons_spH_miss cons_spW_miss cons_wifeHW_miss eduH2 eduHW eduHW_miss eduW2 
edu_hsH edu_hsW edu_infpolyH edu_infpolyW edu_ltpriH edu_ltpriW edu_missH edu_missW 
edu_noH edu_noW edu_priH edu_priW edu_primH edu_primW edu_somehsH edu_somehsW literateH2 
literateHW literateHW_miss literateHWzero literateW2 literate_d occup_bodaH occup_bodaH2 
occup_bodaHW occup_bodaHW_miss occup_bodaHWzero occup_bodaH_miss occup_bodaW occup_bodaW2 
occup_bodaW_miss occup_entreH2 occup_entreHW occup_entreHW_miss occup_entreHWzero 
occup_entreW2 occup_entre_missH occup_entre_missW occup_mvH occup_mvH2 occup_mvHW 
occup_mvHW_miss occup_mvHWzero occup_mvH_miss occup_mvW occup_mvW2 occup_mvW_miss 
occup_otherH occup_otherH2 occup_otherHW occup_otherHW_miss occup_otherHWzero occup_otherH_miss 
occup_otherW occup_otherW2 occup_otherW_miss occup_sfarmH2 occup_sfarmHW occup_sfarmHW_miss 
occup_sfarmHWzero occup_sfarmW2 own_phoneHW_miss own_phoneH_miss own_phoneW_miss phoneHW_miss 
phoneH_miss phoneW_miss polygamousHW_miss polygamous_miss save_bothHW_miss save_hubHW_miss 
save_indHW_miss save_othHW_miss save_othH_miss save_othW_miss save_wifeHW_miss savings_3dH2 
savings_3dHW savings_3dHW_miss savings_3dW savings_3dW2 savings_3d_missH savings_3d_missW 
savings_5dH2 savings_5dHW savings_5dHW_miss savings_5dW savings_5dW2 savings_5d_missH 
savings_5d_missW sd_baH2 sd_baHW sd_baHW_miss sd_baHWzero sd_baW2 sd_ba_d sd_ba_missH 
sd_ba_missW sd_fbaH sd_fbaW sd_formalH sd_formalW sd_hhH2 sd_hhHW sd_hhHW_miss sd_hhW2 
sd_mpesaH sd_mpesaH2 sd_mpesaHW sd_mpesaHW_miss sd_mpesaH_miss sd_mpesaW sd_mpesaW2 
sd_mpesaW_miss sd_othH sd_othH2 sd_othHW sd_othHW_miss sd_othH_miss sd_othW sd_othW2 
sd_othW_miss sd_roscaH2 sd_roscaHW sd_roscaHW_miss sd_roscaW2 sd_saccoH2 sd_saccoHW 
sd_saccoHW_miss sd_saccoW2 sub_unempHW sub_unempHW_miss sub_unempH_miss sub_unempW_miss;
#delimit cr


save $acctlevel, replace




***************************************
** Label LongRun_CoupleLevelData.dta **
***************************************

use $couplelevel, clear

label var W99a11H "Income in the last week by husband, winsorized (p99)"
label var W99a11W "Income in the last week by wife, winsorized (p99)"
label var W99a11_missH "Income in the last week by husband winsorized (p99), missing indicator"
label var W99a11_missW "Income in the last week by wife winsorized (p99), missing indicator"
label var W99b10H "Cash at home by husband, winsorized (p99)"
label var W99b10W "Cash at home by wife, winsorized (p99)"
label var W99b2H "Balance in savings account by husband, winsorized (p99)"
label var W99b2W "Balance in savings account by wife, winsorized (p99)"
label var W99b6H "Balance in SACCO account by husband, winsorized (p99)"
label var W99b6W "Balance in SACCO account by wife, winsorized (p99)"
label var a11H "Income in the last week, by husband"
label var a11HW_miss "Income in the last week by husband or wife, missing indicator"
label var a11W "Income in the last week, by wife"
label var a7H "Occupation, husband"
label var a7W "Occupation, wife"
label var active_last12 "Account active in the last 12 months"
label var active_last12IH "Husband's account active in the last 12 months"
label var active_last12IW "Wife's account active in the last 12 months"
label var active_last12J "Joint account active in the last 12 months"
label var active_last6 "Account active in the last 6 months"
label var active_last6IH "Husband's account active in the last 6 months"
label var active_last6IW "Wife's account active in the last 6 months"
label var active_last6J "Joint account active in the last 6 months"
label var ageH "Age of husband"
label var ageHW_miss "Age of husband or wife, missing indicator"
label var ageW "Age of wife"
label var anydep_last12IH "Any deposit made to husband's account in the last 12 months"
label var anydep_last12IW "Any deposit made to wife's account in the last 12 months"
label var anydep_last12J "Any deposit made to a joint account in the last 12 months"
label var anydep_last6IH "Any deposit made to husband's account in the last 6 months"
label var anydep_last6IW "Any deposit made to wife's account in the last 6 months"
label var anydep_last6J "Any deposit made to a joint account in the last 6 months"
label var anyindiv "Any account is open"
label var anywithd_last12IH "Any withdrawal made from husband's account in the last 12 months"
label var anywithd_last12IW "Any withdrawal made from wife's account in the last 12 months"
label var anywithd_last12J "Any withdrawal made from a joint account in the last 12 months"
label var anywithd_last6IH "Any withdrawal made from husband's account in the last 6 months"
label var anywithd_last6IW "Any withdrawal made from wife's account in the last 6 months"
label var anywithd_last6J "Any withdrawal made from a joint account in the last 6 months"
label var atm_with_3yIH "ATM withdrawals from husband's account - 3 years after project"
label var atm_with_3yIW "ATM withdrawals fromw wife's account - 3 years after project"
label var atm_with_3yJ "ATM withdrawals from a joint account - 3 years after project"
label var atm_with_6mIH "ATM withdrawals from husband's account - 6 months after project"
label var atm_with_6mIW "ATM withdrawals from wife's account - 6 months after project"
label var atm_with_6mJ "ATM withdrawals from a joint account - 6 months after project"
label var avg_bal_3y "Average balance - 3 years after project"
label var avg_bal_3yIH "Average balance in husband's account - 3 years after project"
label var avg_bal_3yIW "Average balance in wife's account - 3 years after project"
label var avg_bal_3yJ "Average balance in a joint account - 3 years after project"
label var avg_bal_6m "Average balance - 6 months after project"
label var avg_bal_6mIH "Average balance in husband's account - 6 months after project"
label var avg_bal_6mIW "Average balance in wife's account - 6 months after project"
label var avg_bal_6mJ "Average balance in a joint account - 6 months after project"
label var b10H "Cash at home by husband"
label var b10W "Cash at home by wife"
label var b2H "Balance in savings account, by husband"
label var b2W "Balance in savings account, by wife"
label var b2_missH "Balance in savings account by husband, missing indicator"
label var b2_missW "Balance in savings account by wife, missing indicator"
label var b6H "Balance in SACCO account, by husband"
label var b6W "Balance in SACCO account, by wife"
label var b6_missH "Balance in SACCO account by husband, missing indicator"
label var b6_missW "Balance in SACCO account by wife, missing indicator"
label var bad_atm "Bad ATM"
label var bal_3y "Balance - 3 years after project"
label var bal_3yIH "Balance in husband's account - 3 years after project"
label var bal_3yIW "Balance in wife's account - 3 years after project"
label var bal_3yJ "Balance in a joint account - 3 years after project"
label var bal_6m "Balance - 6 months after project"
label var bal_6mIH "Balance in husband's account - 6 months after project"
label var bal_6mIW "Balance in wife's account - 6 months after project"
label var bal_6mJ "Balance in a joint account - 6 months after project"
label var base_saveIH "Base savings by husband"
label var base_saveIW "Base savings by wife"
label var base_saveJ "Base savings by both wife and husband"
label var beta3H "Husband's estimated exponential discount factor using all time preference choices"
label var beta3W "Wife's estimated exponential discount factor using all time preference choices"
label var cashatipa_h "Husband will pick cash prize at IPA"
label var cashatipa_w "Wife will pick cash prize at IPA"
label var cashprize_h "Husband won time pref draw"
label var cashprize_w "Wife won time pref draw"
label var cashprizeamt_h "Amount husband won in time pref draw"
label var cashprizeamt_w "Amount wife won in time pref draw"
label var cashtofb_h "Husband deposited cash prize in FB acct"
label var cashtofb_w "Wife deposited cash prize in FB acct"
label var d_age "Age difference btw husband and wife"
label var d_edu "Education difference btw husband and wife"
label var d_inc_n "Income difference btw husband and wife, normalized"
label var d_inc_raw "Income difference btw husband and wife"
label var d_kids "# of kids difference btw husband and wife"
label var d_save_n "Savings difference btw husband and wife, normalized"
label var d_save_raw "Savings difference btw husband and wife"
label var dep_3y "Number of deposits in 3 years after project"
label var dep_6m "Number of deposits in 6 months after project"
label var dep_amt_3y "Total amount deposited in 3 years after project"
label var dep_amt_6m "Total amount deposited in 6 months after project"
label var dep_amt_6mIH "Total amount deposited by husband in 6 months after project"
label var dep_amt_6mIW "Total amount deposited by wife in 6 months after project"
label var dep_amt_6mJ "Total amount deposited to joint account in 6 months after project"
label var dep_amt_last12IH "Total amount deposited by husband in the last 12 months"
label var dep_amt_last12IW "Total amount deposited by wife in the last 12 months"
label var dep_amt_last12J "Total amount deposited to a joint account in the last 12 months"
label var dist "Distance from session to Family Bank in miles"
label var dist_km "Distance from session to Family Bank in km"
label var dist_rd "Distance from session to nearest tarmac road"
label var eduH "Level of education (years), by husband"
label var eduW "Level of education (years), by wife"
label var entreH "Husband is an entrepeneur"
label var entreW "Wife is an entrepreneur"
label var es "Was the household selected for extra statements"
label var failed_open "Couple IDs where at least one account they wanted to open was not due to require"
label var fee_3y "Total fees charged in 3 years after project"
label var fee_3yIH "Total fees charged in 3 years after project, husband account"
label var fee_3yIW "Total fees charged in 3 years after project, wife account"
label var fee_3yJ "Total fees charged in 3 years after project, joint account"
label var fee_6m "Total fees charged in 6 months after project"
label var fee_6mIH "Total fees charged in 6 months after project, husband account"
label var fee_6mIW "Total fees charged in 6 months after project, wife account"
label var fee_6mJ "Total fees charged in 6 months after project, joint account"
label var femaleH "Respondent is female - husband (=0)"
label var femaleW "Respondent is female - wife (=1)"
label var frac_hypH "Fraction hyperbolic preferences husband"
label var frac_hypW "Fraction hyperbolic preferences wife"
label var frac_hyp_missH "frac_hypH, missing indicator"
label var frac_hyp_missW "frac_hypW, missing indicator"
label var frac_revH "Fraction reverse hyperbolic preferences husband"
label var frac_revW "Fraction reverse hyperbolic preferences wife"
label var frac_rev_missH "frac_revH, missing indicator"
label var frac_rev_missW "frac_revW, missing indicator"
label var freeatmIH "Account won free ATM, husband"
label var freeatmIW "Account won free ATM, wife"
label var freeatmJ "Account won free ATM, joint"
label var gapIH_IW "Difference btw interest in husband's and wife's account"
label var gapJ_IH "Difference btw interest in joint and husband's account"
label var gapJ_IW "Difference btw interest in joint and wife's account"
label var has_atm_3yIH "Account has active ATM card in 3 years, husband's acct"
label var has_atm_3yIW "Account has active ATM card in 3 years, wife's acct"
label var has_atm_3yJ "Account has active ATM card in 3 years, joint acct"
label var has_atm_6mIH "Account has active ATM card in 6 months, husband's acct"
label var has_atm_6mIW "Account has active ATM card in 6 months, wife's acct"
label var has_atm_6mJ "Account has active ATM card in 6 months, joint acct"
label var highestIH "Dummy variable = 1 if husband acct has highest interest rate w/in couple"
label var highestIW "Dummy variable = 1 if wife acct has highest interest rate w/in couple"
label var highestJ "Dummy variable = 1 if joint acct has highest interest rate w/in couple"
label var intrtIH "Interest on husband's acct"
label var intrtIW "Interest on wife's acct"
label var intrtJ "Interest on joint acct"
label var ipacoupleid "Couple ID"
label var joint_saved1H "Joint savings by husband"
label var joint_saved1W "Joint savings by wife"
label var jointacctdecn "Did the couple open a joint IPA account"
label var kidsH "# of kids by husband"
label var kidsHW_miss "# of kids missing indicator - husband or wife"
label var kidsW "# of kids by wife"
label var kids_missH "# of kids by wife, missing indicator"
label var kids_missW "# of kids by husband, missing indicator"
label var literateH "Husband is literate"
label var literateW "Wife is literate"
label var literate_missH "Husband is literate, missing indicator"
label var literate_missW "Wife is literate, missing indicator"
label var ln_bal_3y "Natural log of balance amount in 3 years"
label var ln_bal_6m "Natural log of balance amount in 6 months"
label var ln_dep_amt_3y "Natural log of deposit amount in 3 years"
label var ln_dep_amt_6m "Natural log of deposit amount in 6 months"
label var ln_with_amt_3y "Natural log of withdrawal amount in 3 years"
label var ln_with_amt_6m "Natural log of withdrawal amount in 6 months"
label var loanmarkerIH "Husband account had loan"
label var loanmarkerIW "Wife account had loan"
label var loanmarkerJ "Joint account had loan"
label var maxintrt "Maximum interest among husband, wife, and/or joint account"
label var minintrt "Minimum interest among husband, wife, and/or joint account"
label var numopen "Number of open accounts"
label var occup_entreH "Husband is an entrepreneur"
label var occup_entreW "Wife is an entrepreneur"
label var occup_sfarmH "Husband is a small farmer"
label var occup_sfarmW "Wife is a small farmer"
label var occup_sfarm_missH "Husband is a small farmer, missing indicator"
label var occup_sfarm_missW "Wife is a small farmer, missing indicator"
label var openIH "Husband's account is open"
label var openIW "Wife's account is open"
label var openJ "Joint account is open"
label var phoneH "Husband has phone"
label var phoneW "Wife has phone:"
label var polygamous "Couple is polygamous"
label var polygamousH "Polygamous"
label var polygamousW "Polygamous"
label var polygamous_miss "Couple is polygamous, missing indicator"
label var polygamous_missH "Polygamous, missing indicator"
label var polygamous_missW "Polygamous, missing indicator"
label var repeat_hubby "Couple IDs where husband attended more than once with more than on wife"
label var save_meH "I do most savings - husband report"
label var save_meW "I do most savings - wife report"
label var save_me_missH "save_meH, missing indicator"
label var save_me_missW "save_meW, missing indicator"
label var save_spH "Spouse does most savings - husband report"
label var save_spW "Spouse does most savings - wife report"
label var saved_3y "Savings in acct - balance greater than IPA deposits - 3 years"
label var saved_6m "Savings in acct - balance greater than IPA deposits - 6 months"
label var saved_alt "Made at least one deposit"
label var saved_altIH "Made at least one deposit - husband acct"
label var saved_altIW "Made at least one deposit - wife acct"
label var saved_altJ "Made at least one deposit - joint acct"
label var savings_3dH "Savings in bank, SACCO, at home by husband"
label var savings_3dW "Savings in bank, SACCO, at homy by wife"
label var savings_5dH "Savings in bank, SACCO, at home, MPESA, and other by husband"
label var savings_5dW "Savings in bank, SACCO, at home, MPESA, and other by wife"
label var sd_baH "Husband has savings account"
label var sd_baW "Wife has savings account"
label var sd_hhH "Saves at home, by husband"
label var sd_hhW "Saves at home, by wife"
label var sd_hh_missH "Saves at home by husband, missing indicator"
label var sd_hh_missW "Saves at home by wife, missing indicator"
label var sd_roscaH "Saves in a ROSCA by husband"
label var sd_roscaW "Saves in a ROSCA by wife"
label var sd_rosca_missH "Saves in a ROSCA by husband, missing indicator"
label var sd_rosca_missW "Saves in a ROSCA by wife, missing indicator"
label var sd_saccoH "Save in a SACCO account by husband"
label var sd_saccoW "Saves in a SACCO account by wife"
label var sd_sacco_missH "Saves in a SACCO account by husband, missing indicator"
label var sd_sacco_missW "Saves in a SACCO account by wife, missing indicator"
label var sdum "Sessions with no extra statements, low ATM selection probability"
label var sess_date "Date of Sessions"
label var session "Research session ID"
label var sub_unempH "Husband is small farmer, unemployed, or househusband"
label var sub_unempW "Wife is a small farmer, unemployed, or housewife"
label var synth_atmIH "Synthetic ATM treatment, husband acct"
label var synth_atmIW "Synthetic ATM treatment, wife acct"
label var synth_atmJ "Synthetic ATM treatment, joint acct"
label var timeprefdep "Total deposits made into account due to time pref prizes"
label var valid_tablesH "Husband valid tables"
label var valid_tablesW "Wife valid tables"
label var village_dist "Distance from village to banks, miles"
label var village_distH "Distance from village to husband's bank, miles"
label var village_distW "Distance from village to wife's bank, miles"
label var with_amt_3y "Total amount withdrawn in 3 years after project"
label var with_amt_6m "Total amount withdrawn in 6 months after project"
label var with_amt_6mIH "Total amount withdrawn in husband account in 6 months after project"
label var with_amt_6mIW "Total amount withdrawn in wife account in 6 months after project"
label var with_amt_6mJ "Total amount withdrawn in joint account in 6 months after project"
label var with_amt_last12IH "Value withdrawals in husband acct in last 12 months of 3 year period"
label var with_amt_last12IW "Value withdrawals in wife acct in last 12 months of 3 year period"
label var with_amt_last12J "Value of withdrawals in joint acct in last 12 months of 3 year period"
label var withd_3y "Number of withdrawals in 3 years after project"
label var withd_6m "Number of withdrawals in 6 months after project"


#delimit;
drop W99b10_missH W99b10_missW W99b18H W99b18W W99b18_missH W99b18_missW W99b22H W99b22W 
W99b22_missH W99b22_missW W99b2_missH W99b2_missW W99b6_missH W99b6_missW W99savings_3dH 
W99savings_3dW W99savings_3d_missH W99savings_3d_missW W99savings_5dH W99savings_5dW 
W99savings_5d_missH W99savings_5d_missW a10H a10W a11H2 a11HW a11W2 a11_missH a11_missW 
a12H a12W a3H a3W a4H a4W a5H a5W a9H a9W ageH2 ageHW ageW2 age_missH age_missW all 
b10H2 b10HW b10HW_miss b10W2 b10_missH b10_missW b11H b11W b12H b12W b13H b13W b14H 
b14H2 b14HW b14HW_miss b14H_miss b14W b14W2 b14W_miss b15H b15W b16H b16W b17H b17W 
b18H b18H2 b18HW b18HW_miss b18W b18W2 b18_missH b18_missW b19H b19W b1H b1W b20H 
b20W b21H b21W b22H b22H2 b22HW b22HW_miss b22W b22W2 b22_missH b22_missW b23H b23W 
b24H b24W b2H2 b2HW b2HW_miss b2W2 b3H b3W b4H b4W b5H b5W b6H2 b6HW b6HW_miss b6W2 
b7H b7W b8H b8W b9H b9W beta1H beta1W c1H c1W c2H c2W c3H c3W c4H c4W c5H c5W cash_eligIH 
cash_eligIW cash_eligJ cons_bothH cons_bothH2 cons_bothHW cons_bothHW_miss cons_bothW 
cons_bothW2 cons_both_missH cons_both_missW cons_hubH cons_hubH2 cons_hubHW cons_hubHW_miss 
cons_hubW cons_hubW2 cons_hub_missH cons_hub_missW cons_indH cons_indH2 cons_indHW 
cons_indHW_miss cons_indW cons_indW2 cons_ind_missH cons_ind_missW cons_meH cons_meH2 
cons_meHW cons_meHW_miss cons_meH_miss cons_meW cons_meW2 cons_meW_miss cons_othH 
cons_othH2 cons_othHW cons_othHW_miss cons_othH_miss cons_othW cons_othW2 cons_othW_miss 
cons_spH cons_spH2 cons_spHW cons_spHW_miss cons_spH_miss cons_spW cons_spW2 cons_spW_miss 
cons_wifeH cons_wifeH2 cons_wifeHW cons_wifeHW_miss cons_wifeW cons_wifeW2 cons_wife_missH 
cons_wife_missW d10H d10W d11H d11W d12H d12W d13H d13W d14H d14W d15H d15W d16H d16W 
d17H d17W d18H d18W d19H d19W d1H d1W d20H d20W d21H d21W d22H d22W d23H d23W d24H 
d24W d25H d25W d26H d26W d27H d27W d28H d28W d29H d29W d2H d2W d30H d30W d31H d31W 
d32H d32W d33H d33H d33W d34H d34W d35H d35W d36H d36W d37H d37W d38H d38W d39H d39W 
d3H d3W d40H d40W d41H d41W d42H d42W d43H d43W d44H d44W d45H d45W d46H d46W d47H 
d47W d48H d48W d49H d49W d4H d4W d50H d50W d5H d5W d6H d6W d7H d7W d8H d8W d9H d9W 
d_agedum1 d_agedum2 d_agedum3 d_edudum1 d_edudum2 d_edudum3 d_inc_ndum1 d_inc_ndum2 
d_inc_ndum3 d_inc_rawdum1 d_inc_rawdum2 d_inc_rawdum3 d_kidsdum1 d_kidsdum2 d_kidsdum3 
d_save_ndum1 d_save_ndum2 d_save_ndum3 d_save_rawdum1 d_save_rawdum2 d_save_rawdum3 
delta1H delta1W dep_3yIH dep_3yIW dep_3yJ dep_6mIH dep_6mIW dep_6mJ dep_amt_3yIH dep_amt_3yIW 
dep_amt_3yJ dep_last12IH dep_last12IW dep_last12J dep_last6IH dep_last6IW dep_last6J 
eduH2 eduHW eduHW_miss eduW2 edu_hsH edu_hsW edu_infpolyH edu_infpolyW edu_ltpriH 
edu_ltpriW edu_missH edu_missW edu_noH edu_noW edu_priH edu_priW edu_primH edu_primW 
edu_somehsH edu_somehsW hyp_validH hyp_validW joint_animalfarmH joint_animalfarmW 
joint_animalfarm_spH joint_animalfarm_spW joint_homeH joint_homeW joint_mpesaH joint_mpesaW 
joint_othH joint_othW joint_saH joint_saW joint_samp1H joint_samp1W joint_samp2H joint_samp2W 
joint_saved2H joint_saved2W kidsH2 kidsHW kidsW2 literateH2 literateHW literateHW_miss 
literateHWzero literateW2 literate_d ln_avg_bal_2yIH ln_avg_bal_2yIW ln_avg_bal_2yJ 
ln_avg_bal_3y ln_avg_bal_3yIH ln_avg_bal_3yIW ln_avg_bal_3yJ ln_avg_bal_6m ln_avg_bal_6mIH 
ln_avg_bal_6mIW ln_avg_bal_6mJ ln_bal_3yIH ln_bal_3yIW ln_bal_3yJ ln_bal_6mIH ln_bal_6mIW 
ln_bal_6mJ ln_bal_preconvIH ln_bal_preconvIW ln_bal_preconvJ ln_dep_amt_3yIH ln_dep_amt_3yIW 
ln_dep_amt_3yJ ln_dep_amt_6mIH ln_dep_amt_6mIW ln_dep_amt_6mJ ln_dep_amt_last12IH 
ln_dep_amt_last12IW ln_dep_amt_last12J ln_with_amt_3yIH ln_with_amt_3yIW ln_with_amt_3yJ 
ln_with_amt_6mIH ln_with_amt_6mIW ln_with_amt_6mJ ln_with_amt_last12IH ln_with_amt_last12IW 
ln_with_amt_last12J now_alwaysH now_alwaysW now_tablesH now_tablesW num_txns_3yIH 
num_txns_3yIW num_txns_3yJ num_txns_6mIH num_txns_6mIW num_txns_6mJ occup_bodaH occup_bodaH2 
occup_bodaHW occup_bodaHW_miss occup_bodaHWzero occup_bodaH_miss occup_bodaW occup_bodaW2 
occup_bodaW_miss occup_entreH2 occup_entreHW occup_entreHW_miss occup_entreHWzero 
occup_entreW2 occup_entre_missH occup_entre_missW occup_mvH occup_mvH2 occup_mvHW 
occup_mvHW_miss occup_mvHWzero occup_mvH_miss occup_mvW occup_mvW2 occup_mvW_miss 
occup_otherH occup_otherH2 occup_otherHW occup_otherHW_miss occup_otherHWzero occup_otherH_miss 
occup_otherW occup_otherW2 occup_otherW_miss occup_sfarmH2 occup_sfarmHW occup_sfarmHW_miss 
occup_sfarmHWzero occup_sfarmW2 otherA10H otherA10W otherA7H otherA7W otherA9H otherA9W 
other_sameH other_sameW own_phoneH own_phoneH2 own_phoneHW own_phoneHW_miss own_phoneHWzero 
own_phoneH_miss own_phoneW own_phoneW2 own_phoneW_miss pct0IH pct0IW pct0J pct10IH 
pct10IW pct10J pct2IH pct2IW pct2J pct6IH pct6IW pct6J phoneH2 phoneHW phoneHW_miss 
phoneHWzero phoneH_miss phoneW2 phoneW_miss phone_d polygamousH2 polygamousHW polygamousHW_miss 
polygamousW2 pre_ex readH readW save_bothH save_bothH2 save_bothHW save_bothHW_miss 
save_bothW save_bothW2 save_both_missH save_both_missW save_hubH save_hubH2 save_hubHW 
save_hubHW_miss save_hubW save_hubW2 save_hub_missH save_hub_missW save_indH save_indH2 
save_indHW save_indHW_miss save_indW save_indW2 save_ind_missH save_ind_missW save_meH2 
save_meHW save_meHW_miss save_meW2 save_othH save_othH2 save_othHW save_othHW_miss 
save_othH_miss save_othW save_othW2 save_othW_miss save_spH2 save_spHW save_spHW_miss 
save_spW2 save_sp_missH save_sp_missW save_wifeH save_wifeH2 save_wifeHW save_wifeHW_miss 
save_wifeW save_wifeW2 save_wife_missH save_wife_missW saved_3yIH saved_3yIW saved_3yJ 
saved_6mIH saved_6mIW saved_6mJ saved_alt_6mIH saved_alt_6mIW saved_alt_6mJ savings_3dH2 
savings_3dHW savings_3dHW_miss savings_5d_missH savings_5d_missW savings_3dW2 savings_3d_missH 
savings_3d_missW savings_5dH2 savings_5dHW savings_5dHW_miss savings_5dW2 sd_baH2 
sd_baHW sd_baHW_miss sd_baHWzero sd_baW2 sd_ba_d sd_ba_missH sd_ba_missW sd_fbaH 
sd_fbaW sd_formalH sd_formalW sd_hhH2 sd_hhHW sd_hhHW_miss sd_hhW2 sd_mpesaH sd_mpesaH2 
sd_mpesaHW sd_mpesaHW_miss sd_mpesaH_miss sd_mpesaW sd_mpesaW2 sd_mpesaW_miss sd_othH 
sd_othH2 sd_othHW sd_othHW_miss sd_othH_miss sd_othW sd_othW2 sd_othW_miss sd_roscaH2 
sd_roscaW2 sd_roscaHW sd_roscaHW_miss sd_saccoH2 sd_saccoHW sd_saccoHW_miss sd_saccoW2 
sub_unempHW sub_unempHW_miss sub_unempH_miss sub_unempW_miss td_age td_edu td_inc_n 
td_inc_raw td_kids td_save_n td_save_raw timeprefdepIH timeprefdepIW timeprefdepJ 
took_es_h took_es_w tot_hypH tot_hypW tot_revH tot_revW txn_last12IH txn_last12IW 
txn_last12J txn_last6IH txn_last6IW txn_last6J village_dist_kmH village_dist_kmW 
wait_alwaysH wait_alwaysW wait_tablesH wait_tablesW with_amt_3yIH with_amt_3yIW with_amt_3yJ
withd_3yIH withd_3yIW withd_3yJ withd_6mIH withd_6mIW withd_6mJ withd_last12IH withd_last12IW 
withd_last12J withd_last6IH withd_last6IW withd_last6J writeH writeW;
#delimit cr


save $couplelevel, replace


**************************************
** Label LongRun_Indlevel_Final.dta **
**************************************

use $ind_final, clear

label var E2MWinc_monthly "Monthly income winsorized, endline wave 2"
label var E2MWinc_raw "Raw income winsorized, endline wave 2"
label var E2MWprofit_monthly "Monthly profit winsorized, endline wave 2"
label var E2MWprofit_raw "Raw profit winsorized, endline wave 2"
label var E2Minc_monthly "Monthly income, endline wave 2"
label var E2Minc_raw "Raw income, endline wave 2"
label var E2Mprofit_monthly "Monthly profit, endline wave 2"
label var E2Mprofit_raw "Raw profit, endline wave 2"
label var E2W90inc_monthly "Monthly income winsorized (p90), endline wave 2"
label var E2W90profit_monthly "Monthly profit winsorized (p90), endline wave 2"
label var E2W95inc_monthly "Monthly income winsorized (p95), endline wave 2"
label var E2W95profit_monthly "Monthly profit winsorized (p95), endline wave 2"
label var E2W98inc_monthly "Monthly income winsorized (p98), endline wave 2"
label var E2W98profit_monthly "Monthly profit winsorized (p98), endline wave 2"
label var E2W99inc_monthly "Monthly income winsorized (p99), endline wave 2"
label var E2W99profit_monthly "Monthly profit winsorized (p99), endline wave 2"
label var E2has_business "Has operating business, endline wave 2"
label var E2hasacct_bus "Has operating business and budget, endline wave 2"
label var E2inc_interval "P3 interval"
label var E2inc_monthly "Monthly income, endline wave 2"
label var E2inflex_bus "Downwardly, rigid business, budget, endline wave 2"
label var E2labor_ownbus "Own business, endline wave 2"
label var E2profit_monthly "Monthly profit, endline wave 2"
label var E2reg_saver "Saves regularly, endline wave 2"
label var E2save_priority "Savings a priority, endline wave 2"
label var EW90inc_bus "Business profit winsorized (p90), endline wave 1"
label var EW90inc_lastm "Monthly income winsorized (p90), endline wave 1"
label var EW90save_bus "Business capital winsorized (p90), endline wave 1"
label var EW90total_assets "Total assets winsorized (p90), endline wave 1"
label var EW95inc_bus "Business profit winsorized (p95), endline wave 1"
label var EW95inc_lastm "Monthly income winsorized (p95), endline wave 1"
label var EW95save_bus "Business capital winsorized (p95), endline wave 1"
label var EW95total_assets "Total assets winsorized (p95), endline wave 1"
label var EW98inc_bus "Business profit winsorized (p98), endline wave 1"
label var EW98inc_lastm "Monthly income winsorized (p98), endline wave 1"
label var EW98save_bus "Business capital winsorized (p98), endline wave 1"
label var EW98total_assets "Total assets winsorized (p98), endline wave 1"
label var EW99debt_banks "Bank debt winsorized (p99), endline wave 1"
label var EW99debt_family "Family debt winsorized (p99), endline wave 1"
label var EW99debt_mfi "MFI debt winsorized (p99), endline wave 1"
label var EW99debt_moneylend "Moneylending debt winsorized (p99), endline wave 1"
label var EW99debt_other "Other debts winsorized (p99), endline wave 1"
label var EW99debt_shops "Shopkeeper debt winsorized (p99), endline wave 1"
label var EW99inc_bus "Business profit winsorized (p99), endline wave 1"
label var EW99inc_bus_j "Joint business profit winsorized (p99), endline wave 1"
label var EW99inc_bus_r "Individual business profit winsorized (p99), endline wave 1"
label var EW99inc_farm "Farm income winsorized (p99), endline wave 1"
label var EW99inc_lastm "Monthly income winsorized (p99), endline wave 1"
label var EW99inc_lastm_j "Joint monthly income winsorized (p99), endline wave 1"
label var EW99inc_lastm_r "Individual monthly income winsorized (p99), endline wave 1"
label var EW99inc_oth "Other income winsorized (p99), endline wave 1"
label var EW99inc_wage "Wage income winsorized (p99), endline wave 1"
label var EW99netass "Net assets winsorized (p99), endline wave 1"
label var EW99save_ba "Bank savings winsorized (p99), endline wave 1"
label var EW99save_ba_j "Joint bank savings winsorized (p99), endline wave 1"
label var EW99save_ba_r "Individual bank savings winsorized (p99), endline wave 1"
label var EW99save_bus "Value of business inventory/assets winsorized (p99), endline wave 1"
label var EW99save_bus_j "Value of joint business inventory/assets winsorized (p99), endline wave 1"
label var EW99save_bus_r "Value of individual business inventory/assets winsorized (p99), endline wave 1"
label var EW99save_home "Savings at home winsorized (p99), endline wave 1"
label var EW99save_mpesa "MPESA savings winsorized (p99), endline wave 1"
label var EW99save_otherinv "Value of all other savings/investments winsorized (p99), endline wave 1"
label var EW99save_rosca "ROSCA savings winsorized (p99), endline wave 1"
label var EW99save_sacco "SACCO savings winsorized (p99), endline wave 1"
label var EW99total_assets "Total assets winsorized (p99), endline wave 1"
label var EW99total_assets_j "Joint total assets winsorized (p99), endline wave 1"
label var EW99total_assets_r "Individual total assets winsorized (p99), endline wave 1"
label var EW99value_livestock "Total value household livestock winsorized (p99), endline wave 1"
label var Edebt_banks_j "Joint back debt, endline wave 1"
label var Edebt_banks_r "Individual bank debt, endline wave 1"
label var Edebt_banks_s "Individual report: spouse's bank debt, endline wave 1"
label var Edebt_family_j "Joint family debt, endline wave 1"
label var Edebt_family_r "Individual family debt, endline wave 1"
label var Edebt_family_s "Individual report: spouse's family debt, endline wave 1"
label var Edebt_mfi_j "Joint MFI debt, endline wave 1"
label var Edebt_mfi_r "Individual MFI debt, endline wave 1"
label var Edebt_mfi_s "Individual report: spouse's MFI debt, endline wave 1"
label var Edebt_moneylend_j "Joint moneylending debt, endline wave 1"
label var Edebt_moneylend_r "Individual moneylending debt, endline wave 1"
label var Edebt_moneylend_s "Individual report: spouse's moneylending debt, endline wave 1"
label var Edebt_other_j "Joint others debt, endline wave 1"
label var Edebt_other_r "Individual others debt, endline wave 1"
label var Edebt_other_s "Individual report: spouse's others debt, endline wave 1"
label var Edebt_shops_j "Joint shopkeeper debt, endline wave 1"
label var Edebt_shops_r "Individual shopkeeper debt, endline wave 1"
label var Edebt_shops_s "Individual report: spouse's shopkeeper debt, endline wave 1"
label var Egood_roof "Home has permanent roof, endline wave 1"
label var Ehasbusinc "Has operating business, endline wave 1"
label var Einc_bus "Business profit, endline wave 1"
label var Einc_bus_j "Joint business profit, endline wave 1"
label var Einc_bus_r "Individual business profit, endline wave 1"
label var Einc_bus_s "Individual report: spouse's business profit, endline wave 1"
label var Einc_farm_j "Joint farm income, endline wave 1"
label var Einc_farm_r "Individual farm income, endline wave 1"
label var Einc_farm_s "Individual report: spouse's farm income, endline wave 1"
label var Einc_lastm "Monthly income, endline wave 1"
label var Einc_oth_j "Joint other income, endline wave 1"
label var Einc_oth_r "Individual other income, endline wave 1"
label var Einc_oth_s "Individual report: spouse's other income, endline wave 1"
label var Einc_wage_j "Joint wage income, endline wave 1"
label var Einc_wage_r "Individual wage income, endline wave 1"
label var Einc_wage_s "Individual report: spouse's wage income, endline wave 1"
label var Einwave1 "Endline wave 1, indicator"
label var Einwave2 "Endline wave 2, indicator"
label var Eladder_amtsave "Agreement on how much to save, endline wave 1"
label var Eladder_spend "Agreement on how much to spend, endline wave 1"
label var Emarried "Married, endline wave 1"
label var Emjaza_help "Helpful: Scale, endline wave 1"
label var Emjaza_likely "Sign Up: Scale, endline wave 1"
label var Eoccup_entre "Main occupation, endline wave 1"
label var Eorig "Eorig"
label var EorigH "H orig"
label var EorigW "W orig"
label var Esave_ba "Bank savings, endling wave 1"
label var Esave_ba_j "Joint bank savings, endling wave 1"
label var Esave_ba_r "Individual bank savings, endling wave 1"
label var Esave_ba_s "Individual report: spouse's bank savings, endling wave 1"
label var Esave_both "Savings decision are made together, endling wave 1"
label var Esave_bus "Value of business inventory/assets, endling wave 1"
label var Esave_bus_j "Joint value of business inventory/assets, endling wave 1"
label var Esave_bus_r "Individual value of business inventory/assets, endling wave 1"
label var Esave_bus_s "Individual report: spouse's value of business inventory/assets, endling wave 1"
label var Esave_home_j "Joint savings at home, endling wave 1"
label var Esave_home_r "Individual savings at home, endling wave 1"
label var Esave_home_s "Individual report: spouse's savings at home, endling wave 1"
label var Esave_mpesa_j "Joint MPESA savings, endling wave 1"
label var Esave_mpesa_r "Individual MPESA savings, endling wave 1"
label var Esave_mpesa_s "Individual report: spouse's MPESA savings, endling wave 1"
label var Esave_otherinv_j "Joint other savings, endling wave 1"
label var Esave_otherinv_r "Individual other savings, endling wave 1"
label var Esave_otherinv_s "Individual report: spouse's other savings, endling wave 1"
label var Esave_renovate "Investments in the home (past year), endling wave 1"
label var Esave_renovate_j "Joint investments in the home (past year), endling wave 1"
label var Esave_renovate_r "Individual investments in the home (past year), endling wave 1"
label var Esave_renovate_s "Individual report: spouse's investments in the home (past year), endling wave 1"
label var Esave_rosca_j "Joint ROSCA savings, endling wave 1"
label var Esave_rosca_r "Individual ROSCA savings, endling wave 1"
label var Esave_sacco_j "Joint SACCO savings, endling wave 1"
label var Esave_sacco_r "Individual SACCO savings, endling wave 1"
label var Esave_sacco_s "Individual report: spouse's SACCO savings, endling wave 1"
label var Esd_ba_any "Has account, endling wave 1"
label var Esd_ba_ind "Individual has account, endling wave 1"
label var Esd_ba_joint "Has joint account, endling wave 1"
label var Etotal_assets "Total assets, endling wave 1"
label var Evalue_livestock "Total value household livestock, endline wave 1"
label var HAS_PROFIT "Has profit"
label var INCOME "Pooled monthly income, endline wave 1"
label var INCOME_RAW "Pooled raw monthly income, endline wave 1"
label var LE2inc_month "Monthly income hypersine, endline wave 2"
label var LEinc_lastm "Monthly income hypersine, endline wave 1"
label var LEtotal_assets "Total assets hypersine, endline wave 1"
label var LEvalue_livestock "Total value household livestock, endline wave 1"
label var PROFIT "Business profit"
label var Tavg_bal_6m "Ending average balance - 6 months after project"
label var Tbal_3y "Ending balance - 3 years after project"
label var Tbal_6m "Ending balance - 6 months after project"
label var Tdep_amt_6m "Total deposits amount - 6 months after project"
label var Tdep_amt_last12 "Total deposits amount - last 12 months"
label var Twith_amt_6m "Total withdrawal amount - 6 months after project"
label var Twith_amt_last12 "Total withdrawal amount - last 12 months"
label var W99a11 "Income in the last week winsorized (p99)"
label var W99a11_miss "Income in the last week winsorized (p99), missing indicator"
label var W99b10 "Cash at home winsorized (p99)"
label var W99b2 "Balance in savings account winsorized (p99)"
label var W99b6 "Balance in SACCO account winsorized (p99)"
label var W99b6_miss "Balance in SACCO account winsorized (p99), missing indicator"
label var WE2labor_ownb "Hours worked on business, endline wave 2"
label var Wbal_3yI "Ending individual balance - 3 years after project"
label var Wbal_3yJ "Ending joint balance - 3 years after project"
label var Wbal_6mI "Ending individual balance - 6 months after project"
label var Wbal_6mJ "Ending joint balance - 6 months after project"
label var Wdep_amt_6mI "Total individual deposits - 6 months after project"
label var Wdep_amt_6mJ "Total joint deposits - 6 months after project"
label var Wwith_amt_6mI "Total individual withdrawals - 6 months after project"
label var Wwith_amt_6mJ "Total joint withdrawals - 6 months after project"
label var a11 "Income in the last week"
label var a11_miss "Income in the last week, missing indicator"
label var active_last12 "Account active in the last 12 months"
label var active_last12I "Individual account active in the last 12 months"
label var active_last12IH "Husband's account active in the last 12 months"
label var active_last12IW "Wife's account active in the last 12 months"
label var active_last12J "Joint account active in the last 12 months"
label var age "Age"
label var anyreno "Any renovations last year"
label var b10_miss "Cash at home, missing indicator"
label var b2_miss "Balance in savings account, missing indicator"
label var b6_miss "Balance in SACCO account, missing indicator"
label var bal_6m "Balance - 6 months after project"
label var bal_6mI "Individual balance - 6 months after project"
label var baselineonly "Only in baseline"
label var beta3 "Estimated exponential discount factor using all time preference choices"
label var cashprize "Won time pref draw"
label var cashprize_h "Husband won time pref draw"
label var cashprize_sp "Any spouse won time pref draw"
label var cashprize_w "Wife won time pref draw"
label var dep_amt_6mI "Total deposits - 6 months after project"
label var edu "Level of education (years)"
label var es "Was the household selected for extra statements"
label var female "Respondent is female"
label var frac_hyp "Fraction of respondents with hyperbolic preferences"
label var frac_hyp_miss "Fraction of respondents with hyperbolic preferences, missing indicator"
label var frac_rev "Fraction of respondents with reverse hyperbolic preferences"
label var freeatmI "Account won free ATM, individual"
label var freeatmIH "Account won free ATM, husband"
label var freeatmIW "Account won free ATM, wife"
label var freeatmJ "Account won free ATM, joint"
label var gender "Gender"
label var help10 "Helpful: 10/10"
label var intrtI "Individual account's interest"
label var intrtIH "Husband account's interest"
label var intrtIW "Wife account's interest"
label var intrtI_sp "Any spouse account's interest"
label var intrtJ "Joint account's interest"
label var ipacoupleid "Original couple ID number"
label var kids "# of kids"
label var kids_miss "# of kids, missing indicator"
label var lass "Total assets, inverse hyperbolic sine"
label var like10 "Sign Up: 10"
label var linc "Raw income, inverse hyperbolic sine"
label var linc1 "Monthly income endline wave 1, inverse hyperbolic sine"
label var linc2 "Monthly income endline wave 2, inverse hyperbolic sine"
label var literate "Is literate"
label var literate_miss "Is literate, missing indicator"
label var male "Respondent is male"
label var myint "Maximum interest btw couple"
label var occup_entre "Main occupation is entrepreneur"
label var occup_sfarm "Main occupation is small farmer"
label var occup_sfarm_miss "Main occupation is small farmer, missing indicator"
label var openI "Individual account is open"
label var openIH "Husband's account is open"
label var openIW "Wife's account is open"
label var openJ "Joint account is open"
label var pct10I "Individual interest rate: 20 percent"
label var pct10I_sp "Spousal interest rate: 20 precent"
label var pct10J "Joint interest rate: 20 percent"
label var pct2I "Individual interest rate: 4 percent"
label var pct2I_sp "Spousal interest rate: 4 percent"
label var pct6I "Individual interest rate: 12 percent"
label var pct6I_sp "Spousal interest rate: 12 percent"
label var pct6J "Joint interest rate: 12 percent"
label var polygamous "Respondent is polygamous"
label var polygamous_miss "Respondent is polygamous, missing indicator"
label var round "Round"
label var save_me "Saves in the household"
label var save_me_miss "Saves in the household, missing indicator"
label var save_sp "Spouse saves in the household"
label var saved_6mI "Savings in individual account - balance greater than IPA deposits - 6m"
label var saved_6mIH "Savings in husband's account - balabnce greater than IPA deposits - 6m"
label var saved_6mIW "Savings in wife's account - balance greater than IPA deposits - 6m"
label var saved_6mJ "Savings in joint account - balance greater than IPA deposits - 6m"
label var saved_any6m "Used individual or joint account - 6m"
label var sd_ba "Has savings account"
label var sd_hh "Savings at home"
label var sd_hh_miss "Savings at home, missing indicator"
label var sd_rosca "Savings in a ROSCA account"
label var sd_rosca_miss "Savings in a ROSCA account, missing indicator"
label var sd_sacco "Savings in a SACCO account"
label var sd_sacco_miss "Savings in a SACCO account, missing indicator"
label var sessdum "Session dummy"
label var synth_atmI "Synthetic ATM treatment, individual account"
label var synth_atmI_sp "Synthetic ATM treatment, spouse account"
label var synth_atmJ "Synthetic ATM treatment, joint account"
label var village_dist "Distance from village to banks, miles"
label var with_amt_6m "Total amount withdrawn in 6 months after project"
label var with_amt_6mI "Total amount withdrawn from individual account in 6 months after project"

#delimit;
drop E2MW90inc_monthly E2MW90inc_raw E2MW90profit_monthly E2MW90profit_raw E2MW95inc_monthly 
E2MW95inc_raw E2MW95profit_monthly E2MW95profit_raw E2MW98inc_monthly E2MW98inc_raw 
E2MW98profit_monthly E2MW98profit_raw E2MW99inc_monthly E2MW99inc_raw E2MW99profit_monthly 
E2MW99profit_raw E2W90inc_raw E2W90profit_raw E2W95inc_raw E2W95profit_raw E2W98inc_raw 
E2W98profit_raw E2W99inc_raw E2W99profit_raw E2Winc_monthly E2Winc_raw E2Wprofit_monthly 
E2Wprofit_raw E2a0_interval E2a1_account E2a1_budget E2a1_other E2a1_reduce E2a1_separate 
E2a2_account E2a2_budget E2a2_other E2a2_reduce E2a2_separate E2a3_account E2a3_budget 
E2a3_other E2a3_reduce E2a3_separate E2a4_account E2a4_budget E2a4_other E2a4_reduce 
E2a4_separate E2a5_account E2a5_budget E2a5_other E2a5_reduce E2a5_separate E2a6_account 
E2a6_budget E2a6_other E2a6_reduce E2a6_separate E2a7_account E2a7_budget E2a7_other 
E2a7_reduce E2a7_separate E2batch E2bud_inflex_1 E2bud_inflex_10 E2bud_inflex_11 E2bud_inflex_12 
E2bud_inflex_13 E2bud_inflex_14 E2bud_inflex_15 E2bud_inflex_16 E2bud_inflex_17 E2bud_inflex_18 
E2bud_inflex_2 E2bud_inflex_3 E2bud_inflex_4 E2bud_inflex_5 E2bud_inflex_6 E2bud_inflex_7 
E2bud_inflex_8 E2bud_inflex_9 E2bud_separate_1 E2bud_separate_10 E2bud_separate_11 
E2bud_separate_12 E2bud_separate_13 E2bud_separate_14 E2bud_separate_15 E2bud_separate_16 
E2bud_separate_17 E2bud_separate_18 E2bud_separate_2 E2bud_separate_3 E2bud_separate_4 
E2bud_separate_5 E2bud_separate_6 E2bud_separate_7 E2bud_separate_8 E2bud_separate_9 
E2budget_1 E2budget_10 E2budget_11 E2budget_12 E2budget_13 E2budget_14 E2budget_15 
E2budget_16 E2budget_17 E2budget_18 E2budget_2 E2budget_3 E2budget_4 E2budget_5 E2budget_6 
E2budget_7 E2budget_8 E2budget_9 E2budget_bus E2budget_bus_monthly E2budget_edu E2budget_edu_monthly 
E2budget_farmlandlive E2budget_farmlandlive_monthly E2budget_food E2budget_food_monthly 
E2budget_home E2budget_home_monthly E2budget_other E2budget_other_monthly E2budget_savings 
E2budget_savings_monthly E2budgetmiss E2day_survey E2entry_date E2flex_1 E2flex_10 E2flex_11 
E2flex_12 E2flex_13 E2flex_14 E2flex_15 E2flex_16 E2flex_17 E2flex_18 E2flex_2 E2flex_3 
E2flex_4 E2flex_5 E2flex_6 E2flex_7 E2flex_8 E2flex_9 E2flex_bus E2flex_edu E2flex_farmlandlive 
E2flex_food E2flex_home E2flex_other E2flex_savings E2foid E2frac_1 E2frac_10 E2frac_11 
E2frac_12 E2frac_13 E2frac_14 E2frac_15 E2frac_16 E2frac_17 E2frac_18 E2frac_2 E2frac_3 
E2frac_4 E2frac_5 E2frac_6 E2frac_7 E2frac_8 E2frac_9 E2frac_bud_inflex E2frac_bud_separate 
E2frac_bus E2frac_edu E2frac_farmlandlive E2frac_flex E2frac_food E2frac_home E2frac_inflex 
E2frac_other E2frac_savings E2frac_separate E2goal_bus E2goal_edu E2goal_farmlandlive 
E2goal_health E2goal_home E2goal_none E2goal_oth E2goal_saving E2has_profit E2hasacct_1 
E2hasacct_10 E2hasacct_11 E2hasacct_12 E2hasacct_13 E2hasacct_14 E2hasacct_15 E2hasacct_16 
E2hasacct_17 E2hasacct_18 E2hasacct_2 E2hasacct_3 E2hasacct_4 E2hasacct_5 E2hasacct_6 
E2hasacct_7 E2hasacct_8 E2hasacct_9 E2hasacct_edu E2hasacct_farmlandlive E2hasacct_food 
E2hasacct_home E2hasacct_other E2hasacct_savings E2help_acct E2help_invest E2help_learn 
E2help_oth E2help_plan E2help_pri E2help_pri_spec E2help_rel E2inc_raw E2inflex_1 
E2inflex_10 E2inflex_11 E2inflex_12 E2inflex_13 E2inflex_14 E2inflex_15 E2inflex_16 
E2inflex_17 E2inflex_18 E2inflex_2 E2inflex_3 E2inflex_4 E2inflex_5 E2inflex_6 E2inflex_7 
E2inflex_8 E2inflex_9 E2inflex_edu E2inflex_farmlandlive E2inflex_food E2inflex_home 
E2inflex_other E2inflex_savings E2labor_casual E2labor_hh E2labor_livestock E2labor_othbus 
E2labor_othfarm E2labor_ownfarm E2labor_salary E2month_survey E2nevrare_saver E2no_budgeter 
E2nohelp E2o6_consent E2o9_gift E2often_stress E2p1_age E2p2_interval E2p2_total_time 
E2p4_business_current E2priority_1 E2priority_10 E2priority_11 E2priority_12 E2priority_13 
E2priority_14 E2priority_15 E2priority_16 E2priority_17 E2priority_18 E2priority_2 
E2priority_3 E2priority_4 E2priority_5 E2priority_6 E2priority_7 E2priority_8 E2priority_9 
E2priority_bus E2priority_edu E2priority_farmlandlive E2priority_food E2priority_home 
E2priority_other E2priority_savings E2profit_interval E2profit_raw E2q1_mental_accounting 
E2q2_allaccountsequal E2q2_leavealone_1 E2q2_leavealone_2 E2q2_leavealone_3 E2q3_other 
E2q3_savingsgoals E2q4_budgetsaddup E2q5_save_often E2q6_save_priority E2q7_stress 
E2q8_dk E2q8_total E2q8j_other E2q9_accounts8 E2q9_finance_changes E2q9_other10 E2q9_other3 
E2q9_other9 E2quizid E2separate_1 E2separate_10 E2separate_11 E2separate_12 E2separate_13 
E2separate_14 E2separate_15 E2separate_16 E2separate_17 E2separate_18 E2separate_2 
E2separate_3 E2separate_4 E2separate_5 E2separate_6 E2separate_7 E2separate_8 E2separate_9 
E2separate_bus E2separate_edu E2separate_farmlandlive E2separate_food E2separate_home 
E2separate_other E2separate_savings E2some_stress E2strong_budgeter E2total_bud_inflex 
E2total_bud_inflex_monthly E2total_bud_separate E2total_budget E2total_budget_monthly 
E2total_flex E2total_inflex E2total_items E2total_separate E2totlabor E2vstrong_budgeter 
E2wfall_amt_business E2wfall_amt_debt E2wfall_amt_edu E2wfall_amt_farmlandlive E2wfall_amt_food 
E2wfall_amt_home E2wfall_amt_leis E2wfall_amt_oth E2wfall_amt_save E2wfall_amt_welf 
E2wfall_business E2wfall_debt E2wfall_edu E2wfall_farmlandlive E2wfall_food E2wfall_home 
E2wfall_leis E2wfall_oth E2wfall_save E2wfall_welf EMW90debt EMW90debt_banks EMW90debt_banks_j 
EMW90debt_banks_r EMW90debt_banks_s EMW90debt_family EMW90debt_family_j EMW90debt_family_r 
EMW90debt_family_s EMW90debt_j EMW90debt_mfi EMW90debt_mfi_j EMW90debt_mfi_r EMW90debt_mfi_s 
EMW90debt_moneylend EMW90debt_moneylend_j EMW90debt_moneylend_r EMW90debt_moneylend_s 
EMW90debt_other EMW90debt_other_j EMW90debt_other_r EMW90debt_other_s EMW90debt_r 
EMW90debt_shops EMW90debt_shops_j EMW90debt_shops_r EMW90debt_shops_s EMW90inc_bus 
EMW90inc_bus_j EMW90inc_bus_r EMW90inc_bus_s EMW90inc_farm EMW90inc_farm_j EMW90inc_farm_r 
EMW90inc_farm_s EMW90inc_lastm EMW90inc_lastm_j EMW90inc_lastm_r EMW90inc_lastm_s 
EMW90inc_oth EMW90inc_oth_j EMW90inc_oth_r EMW90inc_oth_s EMW90inc_wage EMW90inc_wage_j 
EMW90inc_wage_r EMW90inc_wage_s EMW90save_ba EMW90save_ba_j EMW90save_ba_r EMW90save_ba_s 
EMW90save_bus EMW90save_bus_j EMW90save_bus_r EMW90save_bus_s EMW90save_home EMW90save_home_j 
EMW90save_home_r EMW90save_home_s EMW90save_mpesa EMW90save_mpesa_j EMW90save_mpesa_r 
EMW90save_mpesa_s EMW90save_otherinv EMW90save_otherinv_j EMW90save_otherinv_r EMW90save_otherinv_s 
EMW90save_renovate EMW90save_renovate_j EMW90save_renovate_r EMW90save_renovate_s 
EMW90save_rosca EMW90save_rosca_j EMW90save_rosca_r EMW90save_rosca_s EMW90save_sacco 
EMW90save_sacco_j EMW90save_sacco_r EMW90save_sacco_s EMW90total_assets EMW90total_assets_j 
EMW90total_assets_r EMW90total_assets_s EMW90value_livestock EMW90xfer_give_hhmem 
EMW90xfer_give_hhmem_j EMW90xfer_give_hhmem_r EMW90xfer_give_hhmem_s EMW90xfer_give_outside 
EMW90xfer_give_outside_j EMW90xfer_give_outside_r EMW90xfer_give_outside_s EMW90xfer_give_spouse 
EMW90xfer_rec_hhmem EMW90xfer_rec_hhmem_j EMW90xfer_rec_hhmem_r EMW90xfer_rec_hhmem_s 
EMW90xfer_rec_outside EMW90xfer_rec_outside_j EMW90xfer_rec_outside_r EMW90xfer_rec_outside_s 
EMW90xfer_rec_spouse EMW95debt EMW95debt_banks EMW95debt_banks_j EMW95debt_banks_r 
EMW95debt_banks_s EMW95debt_family EMW95debt_family_j EMW95debt_family_r EMW95debt_family_s 
EMW95debt_j EMW95debt_mfi EMW95debt_mfi_j EMW95debt_mfi_r EMW95debt_mfi_s EMW95debt_moneylend 
EMW95debt_moneylend_j EMW95debt_moneylend_r EMW95debt_moneylend_s EMW95debt_other 
EMW95debt_other_j EMW95debt_other_r EMW95debt_other_s EMW95debt_r EMW95debt_shops 
EMW95debt_shops_j EMW95debt_shops_r EMW95debt_shops_s EMW95inc_bus EMW95inc_bus_j 
EMW95inc_bus_r EMW95inc_bus_s EMW95inc_farm EMW95inc_farm_j EMW95inc_farm_r EMW95inc_farm_s 
EMW95inc_lastm EMW95inc_lastm_j EMW95inc_lastm_r EMW95inc_lastm_s EMW95inc_oth EMW95inc_oth_j 
EMW95inc_oth_r EMW95inc_oth_s EMW95inc_wage EMW95inc_wage_j EMW95inc_wage_r EMW95inc_wage_s 
EMW95save_ba EMW95save_ba_j EMW95save_ba_r EMW95save_ba_s EMW95save_bus EMW95save_bus_j 
EMW95save_bus_r EMW95save_bus_s EMW95save_home EMW95save_home_j EMW95save_home_r EMW95save_home_s 
EMW95save_mpesa EMW95save_mpesa_j EMW95save_mpesa_r EMW95save_mpesa_s EMW95save_otherinv 
EMW95save_otherinv_j EMW95save_otherinv_r EMW95save_otherinv_s EMW95save_renovate 
EMW95save_renovate_j EMW95save_renovate_r EMW95save_renovate_s EMW95save_rosca EMW95save_rosca_j 
EMW95save_rosca_r EMW95save_rosca_s EMW95save_sacco EMW95save_sacco_j EMW95save_sacco_r 
EMW95save_sacco_s EMW95total_assets EMW95total_assets_j EMW95total_assets_r EMW95total_assets_s 
EMW95value_livestock EMW95xfer_give_hhmem EMW95xfer_give_hhmem_j EMW95xfer_give_hhmem_r 
EMW95xfer_give_hhmem_s EMW95xfer_give_outside EMW95xfer_give_outside_j EMW95xfer_give_outside_r 
EMW95xfer_give_outside_s EMW95xfer_give_spouse EMW95xfer_rec_hhmem EMW95xfer_rec_hhmem_j 
EMW95xfer_rec_hhmem_r EMW95xfer_rec_hhmem_s EMW95xfer_rec_outside EMW95xfer_rec_outside_j 
EMW95xfer_rec_outside_r EMW95xfer_rec_outside_s EMW95xfer_rec_spouse EMW98debt EMW98debt_banks 
EMW98debt_banks_j EMW98debt_banks_r EMW98debt_banks_s EMW98debt_family EMW98debt_family_j 
EMW98debt_family_r EMW98debt_family_s EMW98debt_j EMW98debt_mfi EMW98debt_mfi_j EMW98debt_mfi_r 
EMW98debt_mfi_s EMW98debt_moneylend EMW98debt_moneylend_j EMW98debt_moneylend_r EMW98debt_moneylend_s 
EMW98debt_other EMW98debt_other_j EMW98debt_other_r EMW98debt_other_s EMW98debt_r 
EMW98debt_shops EMW98debt_shops_j EMW98debt_shops_r EMW98debt_shops_s EMW98inc_bus 
EMW98inc_bus_j EMW98inc_bus_r EMW98inc_bus_s EMW98inc_farm EMW98inc_farm_j EMW98inc_farm_r 
EMW98inc_farm_s EMW98inc_lastm EMW98inc_lastm_j EMW98inc_lastm_r EMW98inc_lastm_s 
EMW98inc_oth EMW98inc_oth_j EMW98inc_oth_r EMW98inc_oth_s EMW98inc_wage EMW98inc_wage_j 
EMW98inc_wage_r EMW98inc_wage_s EMW98save_ba EMW98save_ba_j EMW98save_ba_r EMW98save_ba_s 
EMW98save_bus EMW98save_bus_j EMW98save_bus_r EMW98save_bus_s EMW98save_home EMW98save_home_j 
EMW98save_home_r EMW98save_home_s EMW98save_mpesa EMW98save_mpesa_j EMW98save_mpesa_r 
EMW98save_mpesa_s EMW98save_otherinv EMW98save_otherinv_j EMW98save_otherinv_r EMW98save_otherinv_s 
EMW98save_renovate EMW98save_renovate_j EMW98save_renovate_r EMW98save_renovate_s 
EMW98save_rosca EMW98save_rosca_j EMW98save_rosca_r EMW98save_rosca_s EMW98save_sacco 
EMW98save_sacco_j EMW98save_sacco_r EMW98save_sacco_s EMW98total_assets EMW98total_assets_j 
EMW98total_assets_r EMW98total_assets_s EMW98value_livestock EMW98xfer_give_hhmem 
EMW98xfer_give_hhmem_j EMW98xfer_give_hhmem_r EMW98xfer_give_hhmem_s EMW98xfer_give_outside 
EMW98xfer_give_outside_j EMW98xfer_give_outside_r EMW98xfer_give_outside_s EMW98xfer_give_spouse 
EMW98xfer_rec_hhmem EMW98xfer_rec_hhmem_j EMW98xfer_rec_hhmem_r EMW98xfer_rec_hhmem_s 
EMW98xfer_rec_outside EMW98xfer_rec_outside_j EMW98xfer_rec_outside_r EMW98xfer_rec_outside_s 
EMW98xfer_rec_spouse EMW99debt EMW99debt_banks EMW99debt_banks_j EMW99debt_banks_r 
EMW99debt_banks_s EMW99debt_family EMW99debt_family_j EMW99debt_family_r EMW99debt_family_s 
EMW99debt_j EMW99debt_mfi EMW99debt_mfi_j EMW99debt_mfi_r EMW99debt_mfi_s EMW99debt_moneylend 
EMW99debt_moneylend_j EMW99debt_moneylend_r EMW99debt_moneylend_s EMW99debt_other 
EMW99debt_other_j EMW99debt_other_r EMW99debt_other_s EMW99debt_r EMW99debt_shops 
EMW99debt_shops_j EMW99debt_shops_r EMW99debt_shops_s EMW99inc_bus EMW99inc_bus_j 
EMW99inc_bus_r EMW99inc_bus_s EMW99inc_farm EMW99inc_farm_j EMW99inc_farm_r EMW99inc_farm_s 
EMW99inc_lastm EMW99inc_lastm_j EMW99inc_lastm_r EMW99inc_lastm_s EMW99inc_oth 
EMW99inc_oth_j EMW99inc_oth_r EMW99inc_oth_s EMW99inc_wage EMW99inc_wage_j EMW99inc_wage_r 
EMW99inc_wage_s EMW99save_ba EMW99save_ba_j EMW99save_ba_r EMW99save_ba_s EMW99save_bus 
EMW99save_bus_j EMW99save_bus_r EMW99save_bus_s EMW99save_home EMW99save_home_j EMW99save_home_r 
EMW99save_home_s EMW99save_mpesa EMW99save_mpesa_j EMW99save_mpesa_r EMW99save_mpesa_s 
EMW99save_otherinv EMW99save_otherinv_j EMW99save_otherinv_r EMW99save_otherinv_s 
EMW99save_renovate EMW99save_renovate_j EMW99save_renovate_r EMW99save_renovate_s 
EMW99save_rosca EMW99save_rosca_j EMW99save_rosca_r EMW99save_rosca_s EMW99save_sacco 
EMW99save_sacco_j EMW99save_sacco_r EMW99save_sacco_s EMW99total_assets EMW99total_assets_j 
EMW99total_assets_r EMW99total_assets_s EMW99value_livestock EMW99xfer_give_hhmem 
EMW99xfer_give_hhmem_j EMW99xfer_give_hhmem_r EMW99xfer_give_hhmem_s EMW99xfer_give_outside 
EMW99xfer_give_outside_j EMW99xfer_give_outside_r EMW99xfer_give_outside_s EMW99xfer_give_spouse 
EMW99xfer_rec_hhmem EMW99xfer_rec_hhmem_j EMW99xfer_rec_hhmem_r EMW99xfer_rec_hhmem_s 
EMW99xfer_rec_outside EMW99xfer_rec_outside_j EMW99xfer_rec_outside_r EMW99xfer_rec_outside_s 
EMW99xfer_rec_spouse EMWdebt EMWdebt_banks EMWdebt_banks_j EMWdebt_banks_r EMWdebt_banks_s 
EMWdebt_family EMWdebt_family_j EMWdebt_family_r EMWdebt_family_s EMWdebt_j EMWdebt_mfi 
EMWdebt_mfi_j EMWdebt_mfi_r EMWdebt_mfi_s EMWdebt_moneylend EMWdebt_moneylend_j EMWdebt_moneylend_r 
EMWdebt_moneylend_s EMWdebt_other EMWdebt_other_j EMWdebt_other_r EMWdebt_other_s EMWdebt_r 
EMWdebt_shops EMWdebt_shops_j EMWdebt_shops_r EMWdebt_shops_s EMWinc_bus EMWinc_bus_j EMWinc_bus_r 
EMWinc_bus_s EMWinc_farm EMWinc_farm_j EMWinc_farm_r EMWinc_farm_s EMWinc_lastm EMWinc_lastm_j 
EMWinc_lastm_r EMWinc_lastm_s EMWinc_oth EMWinc_oth_j EMWinc_oth_r EMWinc_oth_s EMWinc_wage 
EMWinc_wage_j EMWinc_wage_r EMWinc_wage_s EMWsave_ba EMWsave_ba_j EMWsave_ba_r EMWsave_ba_s 
EMWsave_bus EMWsave_bus_j EMWsave_bus_r EMWsave_bus_s EMWsave_home EMWsave_home_j EMWsave_home_r 
EMWsave_home_s EMWsave_mpesa EMWsave_mpesa_j EMWsave_mpesa_r EMWsave_mpesa_s EMWsave_otherinv 
EMWsave_otherinv_j EMWsave_otherinv_r EMWsave_otherinv_s EMWsave_renovate EMWsave_renovate_j 
EMWsave_renovate_r EMWsave_renovate_s EMWsave_rosca EMWsave_rosca_j EMWsave_rosca_r 
EMWsave_rosca_s EMWsave_sacco EMWsave_sacco_j EMWsave_sacco_r EMWsave_sacco_s EMWtotal_assets 
EMWtotal_assets_j EMWtotal_assets_r EMWtotal_assets_s EMWvalue_livestock EMWxfer_give_hhmem 
EMWxfer_give_hhmem_j EMWxfer_give_hhmem_r EMWxfer_give_hhmem_s EMWxfer_give_outside 
EMWxfer_give_outside_j EMWxfer_give_outside_r EMWxfer_give_outside_s EMWxfer_give_spouse 
EMWxfer_rec_hhmem EMWxfer_rec_hhmem_j EMWxfer_rec_hhmem_r EMWxfer_rec_hhmem_s EMWxfer_rec_outside 
EMWxfer_rec_outside_j EMWxfer_rec_outside_r EMWxfer_rec_outside_s EMWxfer_rec_spouse 
EMdebt EMdebt_banks EMdebt_banks_j EMdebt_banks_r EMdebt_banks_s EMdebt_family EMdebt_family_j 
EMdebt_family_r EMdebt_family_s EMdebt_j EMdebt_mfi EMdebt_mfi_j EMdebt_mfi_r EMdebt_mfi_s 
EMdebt_moneylend EMdebt_moneylend_j EMdebt_moneylend_r EMdebt_moneylend_s EMdebt_other 
EMdebt_other_j EMdebt_other_r EMdebt_other_s EMdebt_r EMdebt_shops EMdebt_shops_j 
EMdebt_shops_r EMdebt_shops_s EMinc_bus EMinc_bus_j EMinc_bus_r EMinc_bus_s EMinc_farm 
EMinc_farm_j EMinc_farm_r EMinc_farm_s EMinc_lastm EMinc_lastm_j EMinc_lastm_r EMinc_lastm_s 
EMinc_oth EMinc_oth_j EMinc_oth_r EMinc_oth_s EMinc_wage EMinc_wage_j EMinc_wage_r 
EMinc_wage_s EMsave_ba EMsave_ba_j EMsave_ba_r EMsave_ba_s EMsave_bus EMsave_bus_j 
EMsave_bus_r EMsave_bus_s EMsave_home EMsave_home_j EMsave_home_r EMsave_home_s EMsave_mpesa 
EMsave_mpesa_j EMsave_mpesa_r EMsave_mpesa_s EMsave_otherinv EMsave_otherinv_j EMsave_otherinv_r 
EMsave_otherinv_s EMsave_renovate EMsave_renovate_j EMsave_renovate_r EMsave_renovate_s 
EMsave_rosca EMsave_rosca_j EMsave_rosca_r EMsave_rosca_s EMsave_sacco EMsave_sacco_j 
EMsave_sacco_r EMsave_sacco_s EMtotal_assets EMtotal_assets_j EMtotal_assets_r EMtotal_assets_s 
EMvalue_livestock EMxfer_give_hhmem EMxfer_give_hhmem_j EMxfer_give_hhmem_r EMxfer_give_hhmem_s 
EMxfer_give_outside EMxfer_give_outside_j EMxfer_give_outside_r EMxfer_give_outside_s 
EMxfer_give_spouse EMxfer_rec_hhmem EMxfer_rec_hhmem_j EMxfer_rec_hhmem_r EMxfer_rec_hhmem_s 
EMxfer_rec_outside EMxfer_rec_outside_j EMxfer_rec_outside_r EMxfer_rec_outside_s EMxfer_rec_spouse 
ESPdebt ESPdebt_banks ESPdebt_banks_j ESPdebt_banks_r ESPdebt_banks_s ESPdebt_family 
ESPdebt_family_j ESPdebt_family_r ESPdebt_family_s ESPdebt_j ESPdebt_mfi ESPdebt_mfi_j 
ESPdebt_mfi_r ESPdebt_mfi_s ESPdebt_moneylend ESPdebt_moneylend_j ESPdebt_moneylend_r 
ESPdebt_moneylend_s ESPdebt_other ESPdebt_other_j ESPdebt_other_r ESPdebt_other_s ESPdebt_r 
ESPdebt_s ESPdebt_shops ESPdebt_shops_j ESPdebt_shops_r ESPdebt_shops_s ESPinc_bus 
ESPinc_bus_j ESPinc_bus_r ESPinc_bus_s ESPinc_farm ESPinc_farm_j ESPinc_farm_r ESPinc_farm_s 
ESPinc_lastm ESPinc_lastm_j ESPinc_lastm_r ESPinc_lastm_s ESPinc_oth ESPinc_oth_j ESPinc_oth_r 
ESPinc_oth_s ESPinc_wage ESPinc_wage_j ESPinc_wage_r ESPinc_wage_s ESPj_1_inc_farm_j 
ESPj_1_inc_farm_r ESPj_1_inc_farm_s ESPj_2a_horticulture_j ESPj_2a_horticulture_r 
ESPj_2a_horticulture_s ESPj_2b_wage_j ESPj_2b_wage_r ESPj_2b_wage_s ESPj_2d_other_j 
ESPj_2d_other_r ESPj_2d_other_s ESPj_ls_3_cattlel_b ESPj_ls_4_cattleh_b ESPj_ls_5_sheep_b 
ESPj_ls_6_goat_b ESPj_ls_7_pig_b ESPj_ls_8_chick_b ESPj_ls_9_other_b ESPsave_ba ESPsave_ba_j 
ESPsave_ba_r ESPsave_ba_s ESPsave_bus ESPsave_bus_j ESPsave_bus_r ESPsave_bus_s ESPsave_home 
ESPsave_home_j ESPsave_home_r ESPsave_home_s ESPsave_mpesa ESPsave_mpesa_j ESPsave_mpesa_r 
ESPsave_mpesa_s ESPsave_otherinv ESPsave_otherinv_j ESPsave_otherinv_r ESPsave_otherinv_s 
ESPsave_renovate_j ESPsave_renovate_r ESPsave_renovate_s ESPsave_rosca ESPsave_rosca_j 
ESPsave_rosca_r ESPsave_sacco ESPsave_sacco_j ESPsave_sacco_r ESPsave_sacco_s ESPtotal_assets 
ESPvalue_livestock ESPxfer_give_hhmem ESPxfer_give_hhmem_j ESPxfer_give_hhmem_r ESPxfer_give_hhmem_s 
ESPxfer_give_outside ESPxfer_give_outside_j ESPxfer_give_outside_r ESPxfer_give_outside_s 
ESPxfer_rec_hhmem ESPxfer_rec_hhmem_j ESPxfer_rec_hhmem_r ESPxfer_rec_hhmem_s ESPxfer_rec_outside 
ESPxfer_rec_outside_j ESPxfer_rec_outside_r ESPxfer_rec_outside_s EW90debt EW90debt_banks 
EW90debt_banks_j EW90debt_banks_r EW90debt_banks_s EW90debt_family EW90debt_family_j 
EW90debt_family_r EW90debt_family_s EW90debt_j EW90debt_mfi EW90debt_mfi_j EW90debt_mfi_r 
EW90debt_mfi_s EW90debt_moneylend EW90debt_moneylend_j EW90debt_moneylend_r EW90debt_moneylend_s 
EW90debt_other EW90debt_other_j EW90debt_other_r EW90debt_other_s EW90debt_r EW90debt_shops 
EW90debt_shops_j EW90debt_shops_r EW90debt_shops_s EW90inc_bus_j EW90inc_bus_r EW90inc_bus_s 
EW90inc_farm EW90inc_farm_j EW90inc_farm_r EW90inc_farm_s EW90inc_lastm_j EW90inc_lastm_r 
EW90inc_lastm_s EW90inc_oth EW90inc_oth_j EW90inc_oth_r EW90inc_oth_s EW90inc_wage 
EW90inc_wage_j EW90inc_wage_r EW90inc_wage_s EW90save_ba EW90save_ba_j EW90save_ba_r 
EW90save_ba_s EW90save_bus_j EW90save_bus_r EW90save_bus_s EW90save_home EW90save_home_j 
EW90save_home_r EW90save_home_s EW90save_mpesa EW90save_mpesa_j EW90save_mpesa_r EW90save_mpesa_s 
EW90save_otherinv EW90save_otherinv_j EW90save_otherinv_r EW90save_otherinv_s EW90save_renovate 
EW90save_renovate_j EW90save_renovate_r EW90save_renovate_s EW90save_rosca EW90save_rosca_j 
EW90save_rosca_r EW90save_rosca_s EW90save_sacco EW90save_sacco_j EW90save_sacco_r EW90save_sacco_s
EW90total_assets_j EW90total_assets_r EW90total_assets_s EW90value_livestock EW90xfer_give_hhmem 
EW90xfer_give_hhmem_j EW90xfer_give_hhmem_r EW90xfer_give_hhmem_s EW90xfer_give_outside 
EW90xfer_give_outside_j EW90xfer_give_outside_r EW90xfer_give_outside_s EW90xfer_give_spouse 
EW90xfer_rec_hhmem EW90xfer_rec_hhmem_j EW90xfer_rec_hhmem_r EW90xfer_rec_hhmem_s EW90xfer_rec_outside 
EW90xfer_rec_outside_j EW90xfer_rec_outside_r EW90xfer_rec_outside_s EW90xfer_rec_spouse 
EW95debt EW95debt_banks EW95debt_banks_j EW95debt_banks_r EW95debt_banks_s EW95debt_family 
EW95debt_family_j EW95debt_family_r EW95debt_family_s EW95debt_j EW95debt_mfi EW95debt_mfi_j 
EW95debt_mfi_r EW95debt_mfi_s EW95debt_moneylend EW95debt_moneylend_j EW95debt_moneylend_r 
EW95debt_moneylend_s EW95debt_other EW95debt_other_j EW95debt_other_r EW95debt_other_s 
EW95debt_r EW95debt_shops EW95debt_shops_j EW95debt_shops_r EW95debt_shops_s EW95inc_bus_j 
EW95inc_bus_r EW95inc_bus_s EW95inc_farm EW95inc_farm_j EW95inc_farm_r EW95inc_farm_s 
EW95inc_lastm_j EW95inc_lastm_r EW95inc_lastm_s EW95inc_oth EW95inc_oth_j EW95inc_oth_r 
EW95inc_oth_s EW95inc_wage EW95inc_wage_j EW95inc_wage_r EW95inc_wage_s EW95save_ba 
EW95save_ba_j EW95save_ba_r EW95save_ba_s EW95save_bus_j EW95save_bus_r EW95save_bus_s 
EW95save_home EW95save_home_j EW95save_home_r EW95save_home_s EW95save_mpesa EW95save_mpesa_j 
EW95save_mpesa_r EW95save_mpesa_s EW95save_otherinv EW95save_otherinv_j EW95save_otherinv_r 
EW95save_otherinv_s EW95save_renovate EW95save_renovate_j EW95save_renovate_r EW95save_renovate_s 
EW95save_rosca EW95save_rosca_j EW95save_rosca_r EW95save_rosca_s EW95save_sacco EW95save_sacco_j 
EW95save_sacco_r EW95save_sacco_s EW95total_assets_j EW95total_assets_r EW95total_assets_s 
EW95value_livestock EW95xfer_give_hhmem EW95xfer_give_hhmem_j EW95xfer_give_hhmem_r 
EW95xfer_give_hhmem_s EW95xfer_give_outside EW95xfer_give_outside_j EW95xfer_give_outside_r 
EW95xfer_give_outside_s EW95xfer_give_spouse EW95xfer_rec_hhmem EW95xfer_rec_hhmem_j 
EW95xfer_rec_hhmem_r EW95xfer_rec_hhmem_s EW95xfer_rec_outside EW95xfer_rec_outside_j 
EW95xfer_rec_outside_r EW95xfer_rec_outside_s EW95xfer_rec_spouse EW98debt EW98debt_banks 
EW98debt_banks_j EW98debt_banks_r EW98debt_banks_s EW98debt_family EW98debt_family_j 
EW98debt_family_r EW98debt_family_s EW98debt_j EW98debt_mfi EW98debt_mfi_j EW98debt_mfi_r 
EW98debt_mfi_s EW98debt_moneylend EW98debt_moneylend_j EW98debt_moneylend_r EW98debt_moneylend_s 
EW98debt_other EW98debt_other_j EW98debt_other_r EW98debt_other_s EW98debt_r EW98debt_shops 
EW98debt_shops_j EW98debt_shops_r EW98debt_shops_s EW98inc_bus_j EW98inc_bus_r EW98inc_bus_s 
EW98inc_farm EW98inc_farm_j EW98inc_farm_r EW98inc_farm_s EW98inc_lastm_j EW98inc_lastm_r 
EW98inc_lastm_s EW98inc_oth EW98inc_oth_j EW98inc_oth_r EW98inc_oth_s EW98inc_wage 
EW98inc_wage_j EW98inc_wage_r EW98inc_wage_s EW98save_ba EW98save_ba_j EW98save_ba_r 
EW98save_ba_s EW98save_bus_j EW98save_bus_r EW98save_bus_s EW98save_home EW98save_home_j 
EW98save_home_r EW98save_home_s EW98save_mpesa EW98save_mpesa_j EW98save_mpesa_r EW98save_mpesa_s 
EW98save_otherinv EW98save_otherinv_j EW98save_otherinv_r EW98save_otherinv_s EW98save_renovate 
EW98save_renovate_j EW98save_renovate_r EW98save_renovate_s EW98save_rosca EW98save_rosca_j 
EW98save_rosca_r EW98save_rosca_s EW98save_sacco EW98save_sacco_j EW98save_sacco_r EW98save_sacco_s
EW98total_assets_j EW98total_assets_r EW98total_assets_s EW98value_livestock EW98xfer_give_hhmem 
EW98xfer_give_hhmem_j EW98xfer_give_hhmem_r EW98xfer_give_hhmem_s EW98xfer_give_outside 
EW98xfer_give_outside_j EW98xfer_give_outside_r EW98xfer_give_outside_s EW98xfer_give_spouse 
EW98xfer_rec_hhmem EW98xfer_rec_hhmem_j EW98xfer_rec_hhmem_r EW98xfer_rec_hhmem_s 
EW98xfer_rec_outside EW98xfer_rec_outside_j EW98xfer_rec_outside_r EW98xfer_rec_outside_s 
EW98xfer_rec_spouse EW99debt EW99debt_banks_j EW99debt_banks_r EW99debt_banks_s EW99debt_family_j 
EW99debt_family_r EW99debt_family_s EW99debt_j EW99debt_mfi_j EW99debt_mfi_r EW99debt_mfi_s 
EW99debt_moneylend_j EW99debt_moneylend_r EW99debt_moneylend_s EW99debt_other_j EW99debt_other_r 
EW99debt_other_s EW99debt_r EW99debt_shops_j EW99debt_shops_r EW99debt_shops_s EW99inc_bus_s 
EW99inc_farm_j EW99inc_farm_r EW99inc_farm_s EW99inc_lastm_s EW99inc_oth_j EW99inc_oth_r
EW99inc_oth_s EW99inc_wage_j EW99inc_wage_r EW99inc_wage_s EW99netass_j EW99netass_r 
EW99save_ba_s EW99save_bus_s EW99save_home_j EW99save_home_r EW99save_home_s EW99save_mpesa_j 
EW99save_mpesa_r EW99save_mpesa_s EW99save_otherinv_j EW99save_otherinv_r EW99save_otherinv_s 
EW99save_renovate EW99save_renovate_j EW99save_renovate_r EW99save_renovate_s EW99save_rosca_j 
EW99save_rosca_r EW99save_rosca_s EW99save_sacco_j EW99save_sacco_r EW99save_sacco_s
EW99total_assets_s EW99xfer_give_hhmem EW99xfer_give_hhmem_j EW99xfer_give_hhmem_r 
EW99xfer_give_hhmem_s EW99xfer_give_outside EW99xfer_give_outside_j EW99xfer_give_outside_r 
EW99xfer_give_outside_s EW99xfer_give_spouse EW99xfer_rec_hhmem EW99xfer_rec_hhmem_j 
EW99xfer_rec_hhmem_r EW99xfer_rec_hhmem_s EW99xfer_rec_outside EW99xfer_rec_outside_j 
EW99xfer_rec_outside_r EW99xfer_rec_outside_s EW99xfer_rec_spouse EWdebt EWdebt_banks 
EWdebt_banks_j EWdebt_banks_r EWdebt_banks_s EWdebt_family EWdebt_family_j EWdebt_family_r 
EWdebt_family_s EWdebt_j EWdebt_mfi EWdebt_mfi_j EWdebt_mfi_r EWdebt_mfi_s EWdebt_moneylend 
EWdebt_moneylend_j EWdebt_moneylend_r EWdebt_moneylend_s EWdebt_other EWdebt_other_j 
EWdebt_other_r EWdebt_other_s EWdebt_r EWdebt_shops EWdebt_shops_j EWdebt_shops_r 
EWdebt_shops_s EWinc_bus EWinc_bus_j EWinc_bus_r EWinc_bus_s EWinc_farm EWinc_farm_j 
EWinc_farm_r EWinc_farm_s EWinc_lastm EWinc_lastm_j EWinc_lastm_r EWinc_lastm_s EWinc_oth 
EWinc_oth_j EWinc_oth_r EWinc_oth_s EWinc_wage EWinc_wage_j EWinc_wage_r EWinc_wage_s 
EWsave_ba EWsave_ba_j EWsave_ba_r EWsave_ba_s EWsave_bus EWsave_bus_j EWsave_bus_r 
EWsave_bus_s EWsave_home EWsave_home_j EWsave_home_r EWsave_home_s EWsave_mpesa EWsave_mpesa_j 
EWsave_mpesa_r EWsave_mpesa_s EWsave_otherinv EWsave_otherinv_j EWsave_otherinv_r 
EWsave_otherinv_s EWsave_renovate EWsave_renovate_j EWsave_renovate_r EWsave_renovate_s 
EWsave_rosca EWsave_rosca_j EWsave_rosca_r EWsave_rosca_s EWsave_sacco EWsave_sacco_j 
EWsave_sacco_r EWsave_sacco_s EWtotal_assets EWtotal_assets_j EWtotal_assets_r EWtotal_assets_s 
EWvalue_livestock EWxfer_give_hhmem EWxfer_give_hhmem_j EWxfer_give_hhmem_r EWxfer_give_hhmem_s 
EWxfer_give_outside EWxfer_give_outside_j EWxfer_give_outside_r EWxfer_give_outside_s 
EWxfer_give_spouse EWxfer_rec_hhmem EWxfer_rec_hhmem_j EWxfer_rec_hhmem_r EWxfer_rec_hhmem_s 
EWxfer_rec_outside EWxfer_rec_outside_j EWxfer_rec_outside_r EWxfer_rec_outside_s 
EWxfer_rec_spouse Eacres_land Eacres_land_miss Eage Ealt_bp_demo Ealtb_1 Ealtb_11 
Ealtb_16 Ealtb_6 Ealways_impat Ealways_pat Easset_index Ebeta Ebp_demo Econs_both 
Econs_ind Econs_me Econs_oth Econs_sp Econsistent Ecoupleid Edebt Edebt_banks Edebt_family 
Edebt_j Edebt_mfi Edebt_moneylend Edebt_other Edebt_r Edebt_s Edebt_shops Edecide 
Edecide_ind Edivsep Eecouple_status Eedu Efalse_couple Efemale Efrac Efrac_consist 
Efrac_hyp Efrac_pat Efrac_rev Eg_1_id Eg_3_village_other Eg_3_villlage_other Eg_5b_fo_id 
Eg_6_date Eg_7_start Eg_8_bankinfo Egood_floor Egood_toilet Egood_walls Eh_11_members 
Eh_12_spouse_status Eh_12_spouse_status_other Eh_13_joint_interview Eh_9_married Ehhnum Ehyp1 
Ehyp2 Ehyperbolic Einc_farm Einc_lastm_j Einc_lastm_r Einc_lastm_s Einc_oth Einc_wage 
Eind_test Eindid Eindiff_1 Eindiff_11 Eindiff_16 Eindiff_6 Eintact_couple Ej_10f_other 
Ej_1_inc_farm_j Ej_1_inc_farm_r Ej_1_inc_farm_s Ej_2_other Ej_2a_horticulture_j Ej_2a_horticulture_r 
Ej_2a_horticulture_s Ej_2b_wage_j Ej_2b_wage_r Ej_2b_wage_s Ej_2d_other_j Ej_2d_other_r 
Ej_2d_other_s Ej_36_assets Ej_38_assets Ej_38_other Ej_42_other Ej_42_walls Ej_43_other 
Ej_43_roof Ej_44_floor Ej_44_other Ej_45_other Ej_45_toilet Ej_ls_3_cattlel_a Ej_ls_3_cattlel_b 
Ej_ls_4_cattleh_a Ej_ls_4_cattleh_b Ej_ls_5_sheep_a Ej_ls_5_sheep_b Ej_ls_6_goat_a 
Ej_ls_6_goat_b Ej_ls_7_pig_a Ej_ls_7_pig_b Ej_ls_8_chick_a Ej_ls_8_chick_b Ej_ls_9_other_a 
Ej_ls_9_other_b Ej_ls_9_other_c Ejoint_test Ek1_consent Ek2_ind_resp Ek2_ind_respH 
Ek2_ind_respW Ek2_ind_sp Ek2_ind_spH Ek2_ind_spW Ek3_joint_resp Ek3_joint_respH Ek3_joint_respW 
Ek3_joint_sp Ek3_joint_spH Ek3_joint_spW Ek4_payment Ek_date Ek_fo_id Ekey Ekids Eladder_howsave 
Eladder_kids Eladder_selftem Eladder_sptem Elegit_couple Eliterate Em_1_helpful Em_1_other 
Em_2_hesitant Em_2_other Em_5_costa_0 Em_5_costb_50 Em_5_costc_100 Em_5_costd_150 
Em_5_coste_200 Em_6_business Em_6_consumption Em_6_farm Em_6_goal Em_6_other Emstatcode 
EmstatcodeH EmstatcodeW Enetass Enetass_j Enetass_r Enetxfer_spouse Enevmar Enewcoupleid 
Enum_rosca Eoccup_boda Eoccup_mv Eoccup_other Eoccup_sfarm Eoccupation Eocup_unemp 
Eotherocc_des Epat_1 Epat_11 Epat_16 Epat_6 Ephone_interview Epolygamous Eq_2_end 
Equizid Eresp_number Erev1 Erev2 Erev_hyp Ermiss Esave_home Esave_ind Esave_me Esave_mpesa
Esave_oth Esave_otherinv Esave_rosca Esave_rosca_s Esave_sacco Esave_sp Esaver Esd_bus 
Esd_hh Esd_mpesa Esd_other Esd_rosca Esd_sacco Esetofjroscatable_ Esimple_decide Esk_choice 
EspM EspW Esplit Estable Etotal_assets_j Etotal_assets_r Etotal_assets_s Ewave Exfer_give 
Exfer_give_hhmem Exfer_give_hhmem_j Exfer_give_hhmem_r Exfer_give_hhmem_s Exfer_give_j 
Exfer_give_outside Exfer_give_outside_j Exfer_give_outside_r Exfer_give_outside_s 
Exfer_give_r Exfer_give_s Exfer_give_spouse Exfer_rec Exfer_rec_hhmem Exfer_rec_hhmem_j 
Exfer_rec_hhmem_r Exfer_rec_hhmem_s Exfer_rec_j Exfer_rec_outside Exfer_rec_outside_j 
Exfer_rec_outside_r Exfer_rec_outside_s Exfer_rec_r Exfer_rec_s Exfer_rec_spouse 
LE2labor_ownb LEdebt LEinc_bus LEsave_ba LEsave_bus RE2inc_month RE2labor_ownb REdebt 
REinc_bus REinc_lastm REsave_ba REsave_bus REtotal_assets REvalue_livestock TE2inc_month 
TE2labor_ownb TEdebt TEinc_bus TEinc_lastm TEsave_ba TEsave_bus TEtotal_assets TEvalue_livestock 
W99a11H W99a11W W99a11_missH W99a11_missW W99b10H W99b10W 
W99b10_miss W99b18 W99b18_miss W99b22 W99b22_miss W99b2H W99b2W W99b2_miss W99b6H W99b6W 
W99savings_3d W99savings_3d_miss W99savings_5d W99savings_5d_miss WE2inc_month WEdebt 
WEinc_bus WEinc_lastm WEsave_ba WEsave_bus WEtotal_assets WEvalue_livestock Wavg_bal_6mI 
Wavg_bal_6mJ Wdep_amt_last12I Wdep_amt_last12J Wwith_amt_last12I Wwith_amt_last12J 
XXavg_bal_6m XXavg_bal_6mJ XXbal_3y XXbal_3yJ XXbal_6m XXbal_6mJ XXdep_amt_6m XXdep_amt_6mJ 
XXdep_amt_last12 XXdep_amt_last12J XXwith_amt_6m XXwith_amt_6mJ XXwith_amt_last12 
XXwith_amt_last12J a1 a10 a12 a3 a4 a5 a6 a7 a9 active_last6 active_last6I active_last6IH 
active_last6IW active_last6J ageH ageW age_miss agg avg_bal_3y avg_bal_3yI avg_bal_3yIH 
avg_bal_3yIW avg_bal_3yJ avg_bal_6m avg_bal_6mI avg_bal_6mIH avg_bal_6mIW avg_bal_6mJ 
b1 b10 b10_missH b10_missW b11 b12 b13 b14 b14_miss b15 b16 b17 b18 b18_miss b19 b2 b20 b21 
b22 b22_miss b23 b24 b2_missH b2_missW b3 b4 b5 b6 b6_missH b6_missW b7 b8 b9 bal_3y 
bal_3yI bal_3yIH bal_3yIW bal_3yJ bal_6mIH bal_6mIW bal_6mJ beta1 beta3H beta3W c1 
c2 c3 c4 c5 cashatipa cashatipa_h cashatipa_w cashprizeamt_h cashprizeamt_w cashtofb 
cashtofb_h cashtofb_w cons_both cons_both_miss cons_hub cons_hub_miss cons_ind cons_ind_miss 
cons_me cons_me_miss cons_oth cons_oth_miss cons_sp cons_sp_miss cons_wife cons_wife_miss 
d1 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d2 d20 d21 d22 d23 d24 d25 d26 d27 d28 
d29 d3 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d4 d40 d41 d42 d43 d44 d45 d46 d47 
d48 d49 d5 d50 d6 d7 d8 d9 delta1 delta1H delta1W dep_3y dep_3yI dep_3yIH dep_3yIW dep_3yJ 
dep_6m dep_6mI dep_6mIH dep_6mIW dep_6mJ dep_amt_3y dep_amt_3yI dep_amt_3yIH dep_amt_3yIW 
dep_amt_3yJ dep_amt_6m dep_amt_6mIH dep_amt_6mIW dep_amt_6mJ dep_amt_last12I dep_amt_last12IH 
dep_amt_last12IW dep_amt_last12J dep_last12I dep_last12IH dep_last12IW dep_last12J 
dep_last6I dep_last6IH dep_last6IW dep_last6J dist e1 e2 e4 eduH eduW edu_hs edu_hs_miss 
edu_infpoly edu_infpoly_miss edu_ltpri edu_ltpri_miss edu_miss edu_no edu_no_miss edu_pri 
edu_pri_miss edu_prim edu_prim_miss edu_somehs edu_somehs_miss entre fee_3y fee_3yI 
fee_3yIH fee_3yIW fee_3yJ fee_6m fee_6mI fee_6mIH fee_6mIW fee_6mJ femaleH femaleW 
frac_hypH frac_hypW frac_hyp_missH frac_hyp_missW frac_revH frac_revW frac_rev_miss 
gen gen2 goodatm hhid2 hsp_id hyp_valid idum1 idum10 idum11 idum12 idum13 idum14 idum2 
idum3 idum4 idum5 idum6 idum7 idum8 idum9 index inendline inflation_factor inflation_factor2 
joint_animalfarm joint_animalfarm_sp joint_home joint_mpesa joint_oth joint_sa joint_samp1 
joint_samp2 joint_saved1 joint_saved2 kidsH kidsW kids_missH kids_missW literateH literateW
literate_missH literate_missW ln_avg_bal_2yIH ln_avg_bal_2yIW ln_avg_bal_2yJ ln_avg_bal_3y 
ln_avg_bal_3yIH ln_avg_bal_3yIW ln_avg_bal_3yJ ln_avg_bal_6m ln_avg_bal_6mIH ln_avg_bal_6mIW 
ln_avg_bal_6mJ ln_bal_3y ln_bal_3yI ln_bal_3yIH ln_bal_3yIW ln_bal_3yJ ln_bal_6m ln_bal_6mI 
ln_bal_6mIH ln_bal_6mIW ln_bal_6mJ ln_bal_preconvIH ln_bal_preconvIW ln_bal_preconvJ 
ln_dep_amt_3y ln_dep_amt_3yI ln_dep_amt_3yIH ln_dep_amt_3yIW ln_dep_amt_3yJ ln_dep_amt_6m 
ln_dep_amt_6mI ln_dep_amt_6mIH ln_dep_amt_6mIW ln_dep_amt_6mJ ln_dep_amt_last12IH ln_dep_amt_last12IW 
ln_dep_amt_last12J ln_with_amt_3y ln_with_amt_3yI ln_with_amt_3yIH ln_with_amt_3yIW 
ln_with_amt_3yJ ln_with_amt_6m ln_with_amt_6mI ln_with_amt_6mIH ln_with_amt_6mIW ln_with_amt_6mJ 
ln_with_amt_last12IH ln_with_amt_last12IW ln_with_amt_last12J loanmarkerI loanmarkerIH 
loanmarkerIW loanmarkerJ max10 max6 maxIH maxIW maxintrt mecons mesave miss_t1 miss_t11 
miss_t16 miss_t21 miss_t26 miss_t31 miss_t36 miss_t41 miss_t46 miss_t6 myfee_3y myfee_6m 
now_always now_tables num_txns_3yI num_txns_3yIH num_txns_3yIW num_txns_3yJ num_txns_6mI 
num_txns_6mIH num_txns_6mIW num_txns_6mJ occup_boda occup_entreH occup_entreW occup_entre_miss 
occup_mv occup_other occup_sfarmH occup_sfarmW occup_sfarm_missH occup_sfarm_missW otherA10 
otherA7 otherA9 otherB21 otherB23 other_same own_phone own_phone_miss pct0I pct0IH pct0IW 
pct0I_sp pct0J pct10IH pct10IW pct2IH pct2IW pct2J pct6IH pct6IW persid phone phone_miss 
polygamousH polygamousW polygamous_missH polygamous_missW q1a q2a q2bdd q2bmm q2byy q6hh q6hi 
q6mm q6mn q8 read read_miss save_both save_both_miss save_hub save_hub_miss save_ind 
save_ind_miss save_meH save_meW save_me_missH save_me_missW save_oth save_oth_miss save_spH 
save_spW save_sp_miss save_wife save_wife_miss saved_3y saved_3yI saved_3yIH saved_3yIW 
saved_3yJ saved_6m saved_altI saved_altIH saved_altIW saved_altJ saved_alt_6mIH saved_alt_6mIW 
saved_alt_6mJ savings_3d savings_3d_miss savings_3dhh savings_3dhh_miss savings_5d 
savings_5d_miss savings_5dhh savings_5dhh_miss sd_baH sd_baW sd_ba_miss sd_fba sd_formal 
sd_hhH sd_hhW sd_hh_missH sd_hh_missW sd_mpesa sd_mpesa_miss sd_oth sd_oth_miss sd_roscaH 
sd_roscaW sd_rosca_missH sd_rosca_missW sd_saccoH sd_saccoW sd_sacco_missH sd_sacco_missW sdum
session sub_unemp sub_unempH sub_unempHW sub_unempHW_miss sub_unempH_miss sub_unempW 
sub_unempW_miss sub_unemp_miss synth_atmIH synth_atmIW tot_hyp tot_rev town txn_last12I 
txn_last12IH txn_last12IW txn_last12J txn_last6I txn_last6IH txn_last6IW txn_last6J 
valid_tables village_distH village_distW village_dist_km wait_always wait_tables with_amt_3y 
with_amt_3yI with_amt_3yIH with_amt_3yIW with_amt_3yJ with_amt_6mIH with_amt_6mIW 
with_amt_6mJ with_amt_last12I with_amt_last12IH with_amt_last12IW with_amt_last12J 
withd_3y withd_3yI withd_3yIH withd_3yIW withd_3yJ withd_6m withd_6mI withd_6mIH withd_6mIW 
withd_6mJ withd_last12I withd_last12IH withd_last12IW withd_last12J withd_last6I withd_last6IH 
withd_last6IW withd_last6J write write_miss;
#delimit cr

save $ind_final, replace


