
set more off


* ********************************************************
* EXTERNAL VALIDITY TABLE
* ********************************************************

mat t=J(25,6,.)
use "${censpath}/KenyaCensus09", clear
	g rural= urban==1
	keep if marst==2 & sprule!=0
	drop if age<18
	g sampdist= geo2b_ke==820 | geo2b_ke==816
	g western= geo1b_ke==8
		g agric= empstatd==119
		g self_emp= empsect==22 & agric==0
		g perm_roof= roof>=11 & roof<=33 if roof!=0 & roof<80
		g polygamous= polygam==2
		replace yrsch=. if yrsc>20
		replace chborn=. if chborn>90
		g dummy=-99
		local row=1
foreach var in age yrsch chborn polygamous rural self_emp dummy dummy dummy dummy dummy perm_roof {
	sum `var' [w=wtper]
		mat t[`row',1]= r(mean)
	sum `var' if western [w=wtper]
		mat t[`row',2]= r(mean)
	sum `var' if sampdist [w=wtper]
		mat t[`row',3]= r(mean)
	local ++row
	}
	mat t[`row',1]= _N
		sum western if western==1
	mat t[`row',2]= r(N)
		sum sampdist if sampdist==1
	mat t[`row',3]= r(N)
	
use "${FApath}/FinAccess_Retail_2009_public", clear
	g age= A23
		replace age=A18 if age==.
	g mstat= A26
		replace mstat= A21 if mstat==.
	drop if age==1 /* under 18 */	
	keep if mstat==4 /* married */
	g rural= A6==1
	*	keep if rural
	g sampdist= A2==802 | A2==806
	g has_bank= G4_1==1 
	g own_phone= N2==1
	g literate= A27==1
	g good_roof= Q10!=5 & Q10!=6
	g western= A1==7
	g hasbusinc= F2==3 |  F2==14 | F2==15 | F2==16 
	g hasbusinc_liveland= F2==3 |  F2==14 | F2==15 | F2==16 | F2==5 | F2==6 | F2==17 | F2==18
	g has_mpesa= G4_10==1
	g has_rosca= G1_G2_G3_4==1
	g has_sacco= G4_4==1
	g dummy=-99
	local row=1

foreach var in dummy dummy dummy dummy rural hasbusinc hasbusinc_live has_bank has_rosca has_sacco has_mpesa good_roof {
	sum `var' [w=indv_wgt]
		mat t[`row',4]= r(mean)	
	sum `var' if western [w=indv_wgt]
		mat t[`row',5]= r(mean)	
	local ++row
	}
	mat t[`row',4]= _N
		sum western if western==1
	mat t[`row',5]= r(N)
	
	
cd "$finaldata"
use $ind_final, clear
	drop if Eorig==0
	keep if round==0
	g dummy=-99
	g rural= town==0
	replace kids=. if male==1
	local row=1
	g occ_nonag= inlist(a7,1,2,3,8) if a7!=.
	foreach var in age edu kids polygamous rural occ_nonag occup_entre sd_ba sd_rosca sd_sacco sd_mpesa  Egood_roof {
		cap replace `var'=. if `var'_miss==1
		sum `var' 
			mat t[`row',6]= r(mean)	
		local ++row
		}
	mat t[`row',6]= _N
